LTP-20090131

1) Log Message:
Please find a patch to fix the sigsegv error on pidns13.c on containers. Signed-off-by: Veerendra C <veerendrac@in.ibm.com>.

Modified File(s):
ltp/testcases/kernel/containers/pidns/pidns13.c

2) Log Message:
Today I released version 0.3 of v4l-test, see http://v4l-test.sourceforge.net/ for details. I also updated the LTP tree, and I attached the two files in this email. The first file is a patch against ltp-full-20081231. The second file is a tar.gz which contains the binary image files which are part of the original V4L2 API specification, revision 0.24. Signed-Off-By: Németh Márton <nm127@freemail.hu>.

Modified Files:
ltp/testcases/kernel/device-drivers/v4l/user_space/Makefile
ltp/testcases/kernel/device-drivers/v4l/user_space/README
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_CROPCAP.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMAUDIO.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMAUDIO.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMINPUT.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMINPUT.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMSTD.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMSTD.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUM_FMT.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUM_FMT.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_QUERYCAP.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_STD.c
ltp/testcases/kernel/device-drivers/v4l/user_space/v4l2_test.c
ltp/testcases/kernel/device-drivers/v4l/user_space/v4l2_test.h
ltp/testcases/kernel/device-drivers/v4l/user_space/video_limits.h
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/index.html

Added Files:
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMAUDOUT.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMAUDOUT.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMOUTPUT.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMOUTPUT.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_LOG_STATUS.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_LOG_STATUS.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_QUERYCTRL.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_QUERYCTRL.h

3) Log Message:
Introduce autoconf to inotify03.c. Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/inotify/inotify03.c

4) Log Message:
The way to report a bug about configure: Introducing autoconf still causes a troble. Shooting the trouble may not be so difficult. However, some information is needed. I'll write them on INSTALL file. Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified File(s):
ltp/INSTALL

5) Log Message:
Convert hardlinks to softlinks in testcases/commands/unzip/Makefile:
Kamalesh Babulal <kamalesh@linux.vnet.ibm.com> wrote: The make install of the testcases/commands/unzip fails, when the ltp sources are mounted on different filesystem other than /tmp, because the hardlinks are created by the testcase Makefile. This patches converts the hardlinks to softlinks. Signed-off-by: Kamalesh Babulal <kamalesh@linux.vnet.ibm.com>.
CAI Qian <caiqian@cclom.cn> replied: Are you really want to change the above two soft links to hard links? I do not see it helps to fix your problem, and it will leave broken links after "make clean".
Kamalesh Babulal <kamalesh@linux.vnet.ibm.com> replied: Thanks for the review. I am resending the patch with the changes you have recommended. Signed-off-by: Kamalesh Babulal <kamalesh@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/commands/unzip/Makefile

6) Log Message:
There is a testcase in mmapstress03, which checks, that we can't mmap 2Gb-512Kb of RAM at address 0x7ff80000. But if host has > 2Gb of RAM+swap - it's valid operation: mmap maps 2Gb of ram at some other address and returns no errors. For correct working of this testcase we should add MAP_FIXED flag to mmap. Signed-Off-By: Dmitry Guryanov <dguryanov@parallels.com>.

Modified Files:
ltp/testcases/kernel/mem/mmapstress/mmapstress03.c

7) Log Message:
mmapstress03: fix mmapstress03 on x86_64: There is a testcase in mmapstress03, which tries to mmap 2Gb-4Kb at address 0x7ffff000 and checks it returns error and errno is set to ENOMEM. But such mmap is possible on x86_64. So lets tune size and address to more suitable for 64-bit architectures.. Signed-Off-By: Dmitry Guryanov <dguryanov@parallels.com>. 

Modified Files:
ltp/testcases/kernel/mem/mmapstress/mmapstress03.c

8) Log Message:
madvice03: report TCONF instead of TWARN on old kernels: If kernel is too old for executing this test, we should report TCONF for exit code will be 0. Signed-Off-By: Dmitry Guryanov <dguryanov@parallels.com>.

Modified Files:
ltp/testcases/kernel/syscalls/madvise/madvise03.c

9) Log Message:
Nancy <nancydreaming@gmail.com> reported: Case "endian_switch01" FAIL on IBM Power 6 machine. The case failed on IBM JS22, p570 and p550. Is that the case bug or the OS bug? Thank you!. Subrata Modak <subrata@linux.vnet.ibm.com> replied: This will fail for all POWER machines which are not P6 & above, and, for all other archs. However, for other archs, it will throw you appropriate message like: 
$./testcases/bin/endian_switch01 
endian_switch01    1  CONF  :  This system does not support running of switch() syscall
In P6 (and above), even it will fail if the kernel is not 2.6.26 & above. The support for this syscall was added only from then. Please see: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=745a14cc264b1832c638e41812e0cb04328b2db1. If you are running 2.6.26 on p6, then we need to investigate why this is failing, else, i would prefer to merge the following patch for avoiding to test in systems where the switch() support is not available at the first place itself. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>,

Modified File(s):
ltp/testcases/kernel/syscalls/switch/endian_switch01.c

10) Log Message:
This patch adds RHEL4 and RHEL5 detection to refpolicy Makefile and fixes policy compilation errors on RHEL5 introduced by the bounds test policy. Signed-off-by: Ramon de Carvalho Valle <rcvalle@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/security/selinux-testsuite/refpolicy/Makefile

11) Log Messsage:
checking sys/capability.c for pidns14 and pidns16: this patch adds "sys/capability.c" checking for pidns14 and pidns16 testcases using autoconf support. Signed-off-by: Edjunior B. Machado <emachado@linux.vnet.ibm.com>.

Modified File(s):
ltp/configure.ac
ltp/testcases/kernel/containers/pidns/pidns14.c
ltp/testcases/kernel/containers/pidns/pidns16.c

12) Log Message:
Edjunior Barbosa Machado <emachado@linux.vnet.ibm.com> wrote: in a ppc64 machine running SLES11 RC1, I'm trying to build the December 2008 LTP release (ltp-full-20081231) but it fails on "make". Mike Frysinger <vapier@gentoo.org> replied: tcore only works on x86 systems ... building/running on other systems makes no sense. Subrata Modak <subrata@linux.vnet.ibm.com> answered: Mike, Then the following Patch will be needed: Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files(s):
ltp/testcases/misc/tcore_patch_test_suites/tcore.c

13) Log Message:
A while back I had submitted an LTP patch for the vmsplice01 test case (sent on 03/27/2008). However, the code I see in the vmsplice01.c file now is not what the patch contains. Please find below the correction against the latest ltp release : Signed-off by: Vinay Sridhar <vinay@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/vmsplice/vmsplice01.c

14) Log Message:
Update kernel/device-drivers/nls test for 2.6.25: the attached patch makes the ltp/testcases/kernel/device-drivers/nls testsuite compileable under Linux kernel 2.6.25. Currently the test_nls_base() crashes with 2.6.25, but without calling that function the module loads and unloads cleanly. This can be a base for checking what is going wrong with nls. Signed-off-by: Márton Németh <nm127@freemail.hu>.

Modified Files:
ltp/testcases/kernel/device-drivers/nls/Makefile
ltp/testcases/kernel/device-drivers/nls/nlsTest.c
ltp/testcases/kernel/device-drivers/nls/nlsTest.h
ltp/testcases/kernel/device-drivers/nls/userBlockNLS.c
ltp/testcases/kernel/device-drivers/tbio/kernel_space/Makefile
Added Files:
ltp/testcases/kernel/device-drivers/nls/README

15) Log Message:
gcov-kernel: add patches for 2.6.28, by, Peter Oberparleiter <oberpapr@users.sourceforge.net>

Added Files:
ltp/utils/analysis/gcov-kernel/linux-2.6.28-gcov-arm-eabi.patch
ltp/utils/analysis/gcov-kernel/linux-2.6.28-gcov-arm-hack.patch
ltp/utils/analysis/gcov-kernel/linux-2.6.28-gcov.patch

16) Log Message:
Sending the new patch along with the batch file to run the tests. Also made small modifications in the mesgq_nstest.c to fix
a) the warnings on tst_exit().
b) to remove the global var.
And to return correct error num in the batch file runipcnstest.sh. Signed-off-by: Veerendra C <veerendra@in.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/sysvipc/runipcnstest.sh
Added Files:
ltp/testcases/kernel/containers/sysvipc/mesgq_nstest.c

17) Log Message:
Avoiding build failures on ppc64, adding proper FLAG definitions and improving a bit of LTP specific stuff. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/misc/tcore_patch_test_suites/Makefile
ltp/testcases/misc/tcore_patch_test_suites/tcore.c
ltp/testcases/misc/tcore_patch_test_suites/tcore.sh

18) Log Message:
set flags properly and just use implicit make rules. Mike Frysinger <vapier@users.sourceforge.net>

Modified File(s):
ltp/testcases/misc/tcore_patch_test_suites/Makefile

19) Log Message:
I attached a preliminary testsuite for testing linux/block/genhd.c. The goal of this test suite is to check whether using block device is stable enough. A lot of test suites under ltp/testcases/kernel/device-drivers are based on the usage of block device so it shall work relayable. Note that the module under test is different in case of ltp/testcases/kernel/device-drivers/tbio/kernel_space testsuite. Signed-off-by: Márton Németh <nm127@freemail.hu>.

Added Files:
ltp/testcases/kernel/device-drivers/block/kernel_space/Makefile
ltp/testcases/kernel/device-drivers/block/kernel_space/README
ltp/testcases/kernel/device-drivers/block/kernel_space/test_block.c
ltp/testcases/kernel/device-drivers/block/kernel_space/test_genhd.c

20) Log Message:
[2nd Updates for kernel/device-drivers/nls test for 2.6.25]: Németh Márton initially wrote: the attached patch makes the ltp/testcases/kernel/device-drivers/nls testsuite compileable under Linux kernel 2.6.25. Currently the test_nls_base() crashes with 2.6.25, but without calling that function the module loads and unloads cleanly. This can be a base for checking what is going wrong with nls. Signed-off-by: Márton Németh <nm127@freemail.hu>.
Subrata Modak replied: Thanks Németh for the patch. I tested the build on my machine 2.6.27, x86_64. I have merged this Patch. However, i would request you to send me another patch containing the following information: 
1) Kernel config options to be enabled & any special library(s) to be installed to allow these tests to be built/run on kernel(s) > 2.6.25 in the following README: http://ltp.cvs.sourceforge.net/viewvc/ltp/ltp/README, 
2) Then, http://ltp.cvs.sourceforge.net/viewvc/ltp/ltp/testcases/kernel/device-drivers/nls/README, should contain information to build/install/run these tests. Since these are device drivers tests, and will be executed through insmod, etc, can we have a script which automates these steps and reports error in loading/unloading of modules as such. I think it can be a very small script as well. 
Németh Márton responded by: I added some descriptions in the mentioned READMEs. However, I would wait adding an automated shell script because the tests fails on my x86_32 system with 2.6.28, and for example "rmmod nlsTest" reports "ERROR: Module nlsTest is in use". The real problem is, however, that the one of the test case already caused NULL pointer exception. I also don't have any easy solution to report only the nlsTest output to the user other than first running "dmesg -c" and then load nlsTest.ko. After the module was loaded the "dmesg" will only show the output of the testsuite. The drawback is that the user will loose the first part of his/her "dmesg" in this way. Signed-Off-By: Németh Márton <nm127@freemail.hu>.

Modified File(s):
ltp/README
ltp/testcases/kernel/device-drivers/nls/Makefile
ltp/testcases/kernel/device-drivers/nls/README

21) Log Message:
Prevent false negatives in cron_pos_tests caused by returning exit value of wrong command. This patch fixes erroneous failure caused by returning return value of a wrong command in cron tests. Signed-Off-By: "Jiri Palecek" <jirka@debian.POK.IBM.COM>.

Modified File(s):
ltp/testcases/commands/cron/cron_pos_tests.sh

22) Log Message:
This patch fixes the following error when running sched_cli_serv test case via runltp by making the path of the data file as a runtime option and giving an absolute path of it. Signed-Off-By: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/sched/clisrv/pthcli.c
ltp/testcases/kernel/sched/clisrv/run_sched_cliserv.sh

23) Log Message:
Fix broken symlink to tst_unzip_file.zip: Creating a link to tst_unzip_file.zip by testcases/commands/unzip/Makefile, has a problem and it seems to be fixed by http://ltp.cvs.sourceforge.net/viewvc/ltp/ltp/testcases/commands/unzip/Makefile?r1=1.2&r2=1.3. So I made a fix (this patch against ltp-full-20081231). Signed-off-by: Seiichi Ikarashi <s.ikarashi@jp.fujitsu.com>.

Modified File(s):
ltp/testcases/commands/unzip/Makefile

24) Log Message:
Fix for msgctl11.c: Resending the fix after modifications based on suggestions from Mike Frysinger. PS: I've retained SHRT_MAX return value in the patch below as per the reason stated earlier. Signed-off by: Vinay Sridhar <vinay@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/syscalls/ipc/msgctl/msgctl11.c
Added Files:
ltp/include/system_specific_process_info.h
ltp/lib/system_specific_process_info.c

25) Log Message:
I encountered a failure on running ltpstress.sh. This problem seems to be introduced by http://ltp.cvs.sourceforge.net/viewvc/ltp/ltp/testscripts/ltpstress.sh?r1=1.26&r2=1.27, Since I don't know why it wanted to eliminate rpcinfo command, I wrote two solutions attached. Signed-off-by: Seiichi Ikarashi <s.ikarashi@jp.fujitsu.com>. 

Modified File(s):
ltp/testscripts/ltpstress.sh

26) Log Message:
Adding AUTOCONF rules for eventfd syscall tests. Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified Files:
ltp/configure.ac
ltp/testcases/kernel/syscalls/eventfd/Makefile
ltp/testcases/kernel/syscalls/eventfd/eventfd01.c
Added Files:
ltp/config.mk.in
ltp/m4/ltp-eventfd.m4

27) Log Message:
Add "tc" paramter for "block" testsuite which enables the testsuite to run test cases separately. The default value of tc is 0 which preserves the original behaviour and runs all the available test cases. A user space shell script "run.sh" is also added which helps to run the test cases in kernel space. Signed-off-by: Márton Németh <nm127@freemail.hu>.

Modified Files:
ltp/testcases/kernel/device-drivers/block/kernel_space/Makefile
ltp/testcases/kernel/device-drivers/block/kernel_space/test_block.c
Added Files:
ltp/testcases/kernel/device-drivers/block/kernel_space/run.sh

28) Log Message:
Add  socket02  syscall  test, testing socket(SOCK_CLOEXEC)  and socketpair(SOCK_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/socket/socket02.c

29) Log Message:
Add  paccept01  syscall  test, testing paccept(SOCK_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>,

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/paccept/Makefile
ltp/testcases/kernel/syscalls/paccept/paccept01.c

30) Log Message:
Add  signalfd4_01  syscall  test, testing signalfd4(SFD_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>,

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/signalfd4/Makefile
ltp/testcases/kernel/syscalls/signalfd4/signalfd4_01.c

31) Log Message:
Add  eventfd2_01  syscall  test, testing eventfd2(EFD_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/eventfd2/Makefile
ltp/testcases/kernel/syscalls/eventfd2/eventfd2_01.c

32) Log Message:
Add  timerfd02  syscall  test, testing timerfd_create(TFD_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/timerfd/timerfd02.c

33) Log Message:
Add  epoll_create2_01  syscall  test, testing epoll_create2(EPOLL_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/epoll_create2/Makefile
ltp/testcases/kernel/syscalls/epoll_create2/epoll_create2_01.c

34) Log Message:
Add  dup3_01  syscall  test, testing dup3   (O_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>,.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/dup3/Makefile
ltp/testcases/kernel/syscalls/dup3/dup3_01.c

35) Log Message:
Add  pipe2_01  syscall  test, testing pipe2(O_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/pipe2/Makefile
ltp/testcases/kernel/syscalls/pipe2/pipe2_01.c

36) Log Message:
Add  inotify_init1_01  syscall  test, testing inotify_init1(O_CLOEXEC). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/inotify_init/Makefile
ltp/testcases/kernel/syscalls/inotify_init/inotify_init1_01.c

37) Log Message:
Add  socket03  syscall  test, testing socket(SOCK_NONBLOCK). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
ltp/testcases/kernel/syscalls/socket/Makefile
Added Files:
ltp/testcases/kernel/syscalls/socket/socket03.c

38) Log Message:
Add  socketpair02  syscall  test, testing socketpair(SOCK_NONBLOCK). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
ltp/testcases/kernel/syscalls/socketpair/Makefile
Added Files:
ltp/testcases/kernel/syscalls/socketpair/socketpair02.c

39) Log Message:
Add  paccept02  syscall  test, testing paccept(SOCK_NONBLOCK). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/paccept/paccept02.c

40) Log Message:
Add  signalfd4_02  syscall  test, testing signalfd4(SFD_NONBLOCK). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/signalfd4/signalfd4_02.c

41) Log Message:
Add  eventfd2_02  syscall  test, testing eventfd2(EFD_NONBLOCK). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/eventfd2/eventfd2_02.c

42) Log Message:
Add  timerfd03  syscall  test, testing timerfd_create(TFD_NONBLOCK). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/timerfd/timerfd03.c

43) Log Message:
Add  pipe2_02  syscall  test, testing pipe2(O_NONBLOCK). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/pipe2/pipe2_02.c

44) Log Message:
Add  inotify_init1_02  syscall  test, testing inotify_init1(IN_NONBLOCK). Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/inotify_init/inotify_init1_02.c

45) Log Message:
This patch fixes fcntl27 and fcntl28 test cases failures seen on RHEL 4 kernel (2.6.9 based).
# ./fcntl27
fcntl27     1  FAIL  :  fcntl(tfile_1206, F_SETLEASE, F_RDLCK) failed with errno 11 : Resource temporarily unavailable
# ./fcntl28 
fcntl28     1  FAIL  :  fcntl(tfile_1213, F_SETLEASE, F_RDLCK) failed with errno 11 : Resource temporarily unavailable

It because the expected result in incorrect. There is a kernel version comparison code in both tests.
    if ((results=tst_kvercmp(2,6,10)) >= 0)
          {
            expected_result = -1;
          }
    else if( ((results=tst_kvercmp(2,4,0)) >= 0)&&\
             ((results=tst_kvercmp(2,6,0))< 0) )
      {
            expected_result = 1;
      }
    else if( ((results=tst_kvercmp(2,6,0)) >= 0)&&\
         ((results=tst_kvercmp(2,6,10))< 0) )
      {
            expected_result = 0;
      }
    else
      {
             expected_result = -1;
      }

Because it is kernel 2.6.9, the "expected_result" will be 0. However, th actual return code is the same as other kernels like 2.6.18, as it only allow F_RDLCK option to be placed on a read-only file descriptor (man fcntl). 
# strace ./fcntl27 
...
open("tfile_1453", O_RDWR|O_CREAT, 0777) = 3
...
fcntl(3, 0x400 /* F_??? */, 0)          = -1 EAGAIN (Resource temporarily unavailable)

I have no idea where is the above kernel version and expected code mapping originally came from. I have searched the manpage of fcntl(), but not found any mention of 2.6.10. Since there is a check already, #ifdef F_SETLEASE I have removed the above code like other fcntl* test cases, but I am willing to listen other options. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/syscalls/fcntl/fcntl27.c
ltp/testcases/kernel/syscalls/fcntl/fcntl28.c

46) Log Message:
This problem was reported earlier. Following is a brief history for this issue: The ltp/testcases/kernel/syscalls/ioctl/ioctl02 testcase was failing on 2.6.27 on x86_64 kernel(s).
# ./ioctl02 -D /dev/tty0
ioctl02     0  INFO  :  cflag has incorrect value. 4277
ioctl02     1  FAIL  :  TCGETA/TCSETA tests FAILED with 1 error
ioctl02     0  INFO  :  child: Got SIGTERM from parent.
The following mail archive tells that it can be a kernel driver problem: http://sourceforge.net/mailarchive/message.php?msg_name=48F4CFF7.8070303%0terra.com.br. It seems there is some modification between 2.6.23 and 2.6.24-rc1 which raise this problem. Looking at the git log of file drivers/char/tty_ioctl.c there are few commits between these two releases (3 to be exactly, and one of them is a typo):
tty: expose new methods needed for drivers to get termios right:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=5f519d728169fa9975bcba001de425f11e18e8e3,
tty_ioctl: fix the baud_table check in encode_baud_rate:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=75e8b71d559632dd70c9799ea8b5c133a2ddcea9,
Somebody says: The ltp-list thread referenced seems to imply that the new functionality is correct and that the relevant LTP test needs to change, whereas others disagreed: Afaics, the ltp-list thread didn't conclude if the testcase should be fixed or if there's a problem in the kernel tty modification. Beyond this, there is this comment from Alan Cox on commit 5f519d728169fa9975bcba001de425f11e18e8e3 (mainly the last 3 paragraphs), mentioning that he was expecting some "tweaking" until the drivers were fixed. However, i tried to set only the HUPCL | CREAD | CLOCAL bits, still the tests failed for 2.6.27 kernels. So, i have prepared 2 patches: 
1) PATCH 1: Patch to Find the core problem with ioctl02: (This is for demonstration and not to be applied)
This clearly demonstrates that something goes wrong when: ioctl(parentfd, TCGETA, &termio) gets called. It alters the value of c_cflag. However other flags´ values remain unchanged:
# ./ioctl02 -D /dev/tty0
ioctl02     0  INFO  :  Trying to the Set the value of c_cflag, present value of c_cflag=0 
ioctl02     0  INFO  :  Trying to the Set the value of c_cflag, value of c_cflag to be set to=5641
ioctl02     0  INFO  :  After Setting the value of c_cflag, value of c_cflag=5641
ioctl02     0  INFO  :  Before Calling ioctl(parentfd, TCSETA, &termio), the value of c_cflag, value of c_cflag=5641
ioctl02     0  INFO  :  After Calling ioctl(parentfd, TCSETA, &termio), the value of c_cflag, value of c_cflag=5641
ioctl02     0  INFO  :  Before Calling ioctl(parentfd, TCGETA, &termio), the value of c_cflag, value of c_cflag=5641
ioctl02     0  INFO  :  After Calling ioctl(parentfd, TCGETA, &termio), the value of c_cflag, value of c_cflag=4277
ioctl02     0  INFO  :  cflag has incorrect value. 4277  
ioctl02     1  FAIL  :  TCGETA/TCSETA tests FAILED with 1 error 
ioctl02     0  INFO  :  child: Got SIGTERM from parent.
2) PATCH 2: Patch to Remove Checking for "termio.c_cflag": The only way Test can handle this to make it pass is to avoid checking for this flag which is causing the trouble, which this patch does: 
# ./ioctl02 -D /dev/tty0
ioctl02     0  INFO  :  termio values are set as expected
ioctl02     1  PASS  :  TCGETA/TCSETA tests SUCCEEDED
ioctl02     0  INFO  :  child: Got SIGTERM from parent.
However, i still believe that there is something to be fixed from the kernel side, rather than from the test side, although this patch will make the test PASS for the time being. And i will not have any problem applying this patch. Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/ioctl/ioctl02.c

47) Log Message:
Integrate autotools a bit more so that we can take advantage of the configure features like toolchain selection and build flags. Mike Frysinger <vapier@users.sourceforge.net>.

Modified File(s):
ltp/.gitignore
ltp/Makefile
ltp/config.mk.in
ltp/configure.ac
ltp/m4/GNUmakefile
ltp/m4/Makefile.am
ltp/m4/ac_prog_ar.m4

48) Log Message:
Move documentation from Makefile to INSTALL ... patch by Masatake YAMATO <yamato@redhat.com>.

Modified File(s):
ltp/INSTALL
ltp/Makefile

49) Log Message:
Update to OpenHPI 2.13.2. See http://openhpi.org/ for more details.

Modified File(s):
/ltp/testcases/open_hpi_testsuite/

50) Log Message:
The at tests copy the testscript to the home directories of newly created users. This may fail if the home directory does not exist. This patch fixes that by adding an option to create home directories to useradd. Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/commands/at/at_allow01
ltp/testcases/commands/at/at_deny01

51) Log Message:
This patch fixes a segfault of pan, when the command file doesn't end with a newline. Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/pan/pan.c

52) Log Message:
Seiichi Ikarashi reported:: I report ia64-specific build failures and a patch for them. Since ia64 glibc does not have the clone() function call, building testcases/kernel/containers/pidns/pidns12.c fails as follows. It's same for pidns13.c, pidns14.c, pidns16.c, pidns20.c, pidns21.c, pidns30.c, and pidns31.c. They should call clone2() instead of clone(), like check_pidns_enabled.c. I attached a patch to fix them. Signed-Off-By: Seiichi Ikarashi <s.ikarashi@jp.fujitsu.com>. Complete mail thread: http://marc.info/?l=ltp-list&m=123232695003986&w=2.

Modified File(s):
ltp/testcases/kernel/containers/libclone/libclone.c
ltp/testcases/kernel/containers/libclone/libclone.h
ltp/testcases/kernel/containers/pidns/check_pidns_enabled.c
ltp/testcases/kernel/containers/pidns/pidns12.c
ltp/testcases/kernel/containers/pidns/pidns13.c
ltp/testcases/kernel/containers/pidns/pidns14.c
ltp/testcases/kernel/containers/pidns/pidns16.c
ltp/testcases/kernel/containers/pidns/pidns20.c
ltp/testcases/kernel/containers/pidns/pidns21.c
ltp/testcases/kernel/containers/pidns/pidns30.c
ltp/testcases/kernel/containers/pidns/pidns31.c

53) Log Message:
ftest02: size of 'name' buffer must be more than 3:: name will be passed to mkname function, which will copy to it temporary directory name. So let's it will be 128 as other buffers, passed to mkname. Signed-Off-By: Dmitry Guryanov <dguryanov@parallels.com>.

Modified File(s):
ltp/testcases/kernel/fs/ftest/ftest02.c

54) Log Message:
Help text needs updating then ... now we need to run `make autotools`. this will invoke aclocal and automake.  we dont actually use automake-generated Makefiles, but the fun helper files (install.sh, config.guess, etc...) come from automake. Here is a quickfix. However, it is not perfect. Could you improve this? Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified Files:
ltp/INSTALL
ltp/Makefile

55) Log Message:
Removed check_header from Makefile of io_* testcases and use autoconf instead of the macro. Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified Files:
ltp/testcases/kernel/syscalls/io_cancel/Makefile
ltp/testcases/kernel/syscalls/io_cancel/io_cancel01.c
ltp/testcases/kernel/syscalls/io_destroy/Makefile
ltp/testcases/kernel/syscalls/io_destroy/io_destroy01.c
ltp/testcases/kernel/syscalls/io_getevents/Makefile
ltp/testcases/kernel/syscalls/io_getevents/io_getevents01.c
ltp/testcases/kernel/syscalls/io_setup/Makefile
ltp/testcases/kernel/syscalls/io_setup/io_setup01.c
ltp/testcases/kernel/syscalls/io_submit/Makefile
ltp/testcases/kernel/syscalls/io_submit/io_submit01.c

56) Log Message:
This patch fixes the syslog tests on Debian. The tests currently fail on Debian, because they check for a nonexistent file. Besides that, this patch adds rsyslogd as another possibility to supported syslog daemons. The patch changes the detection of syslog_cmd and CONFIG_FILE names; they are all detected by checking for possible files. I have not tested it on a different distro than Debian, but it should work on them too. Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/syslog/syslog01
ltp/testcases/kernel/syscalls/syslog/syslog02
ltp/testcases/kernel/syscalls/syslog/syslog03
ltp/testcases/kernel/syscalls/syslog/syslog04
ltp/testcases/kernel/syscalls/syslog/syslog05
ltp/testcases/kernel/syscalls/syslog/syslog06
ltp/testcases/kernel/syscalls/syslog/syslog07
ltp/testcases/kernel/syscalls/syslog/syslog08
ltp/testcases/kernel/syscalls/syslog/syslog09
ltp/testcases/kernel/syscalls/syslog/syslog10

57) Log Message:
lcov: remove CRLF line breaks in source code when generating html output - added patch by michael.knigge@set-software.de.

Modified Files:
ltp/utils/analysis/lcov/bin/genhtml

58) Log Message:
Create a dummy config.mk when running just `make`. Mike Frysinger <vapier@users.sourceforge.net>

Modified File(s):
ltp/Makefile

59) Log Message:
Require automake-1.10. Mike Frysinger <vapier@users.sourceforge.net>.

Modified File(s):
ltp/configure.ac

60) Log Message:
Info regarding various dependant packages for LTP build/install. Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/INSTALL

61) Log Message:
lcov: modify end-of-line CR removal
- s///g is 10% slower than s///
- \r may be 0x10 or 0x13 (see man perlport),
Peter Oberparleiter <oberpapr@users.sourceforge.net>.

Modified Files:
ltp/utils/analysis/lcov/bin/genhtml

62) Log Message:
geninfo: need to add CR removal to geninfo as well or checksumming will fail. Peter Oberparleiter <oberpapr@users.sourceforge.net>

Modified File(s):
ltp/utils/analysis/lcov/bin/geninfo

63) Log Message:
[PATCH 1/6] Do not cleanup if it doesn't make sense: This is the first from the series of minor patches to syslog tests. Parts inspired by CAI Qian's remarks. Resend due to line-wrapping problems.
- Check for existence of the backup file before moving it back,
- Do not restart syslog daemon, if syslog command was not found,
Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/syslog/syslog01
ltp/testcases/kernel/syscalls/syslog/syslog02
ltp/testcases/kernel/syscalls/syslog/syslog03
ltp/testcases/kernel/syscalls/syslog/syslog04
ltp/testcases/kernel/syscalls/syslog/syslog05
ltp/testcases/kernel/syscalls/syslog/syslog06
ltp/testcases/kernel/syscalls/syslog/syslog07
ltp/testcases/kernel/syscalls/syslog/syslog08
ltp/testcases/kernel/syscalls/syslog/syslog09
ltp/testcases/kernel/syscalls/syslog/syslog10

64) Log Message:
[PATCH 2/6] Use TFAIL/TPASS in some syslog tests. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/syslog/syslog09
ltp/testcases/kernel/syscalls/syslog/syslog10

65) Log Message:
[PATCH 3/6] Fix paths for detecting syslog daemons: Allow /usr/sbin/syslog-ng as path to syslog-ng, because this is the path used in Debian syslog-ng packages. Also, detect /sbin/rsyslogd as rsyslog, which is its location on Fedora. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/syslog/syslog01
ltp/testcases/kernel/syscalls/syslog/syslog02
ltp/testcases/kernel/syscalls/syslog/syslog03
ltp/testcases/kernel/syscalls/syslog/syslog04
ltp/testcases/kernel/syscalls/syslog/syslog05
ltp/testcases/kernel/syscalls/syslog/syslog06
ltp/testcases/kernel/syscalls/syslog/syslog07
ltp/testcases/kernel/syscalls/syslog/syslog08
ltp/testcases/kernel/syscalls/syslog/syslog09
ltp/testcases/kernel/syscalls/syslog/syslog10

66) Log Message:
[PATCH 4/6] Don't check for existence of the log file before the test with syslog-ng, because it might not exist and still work correctly. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/syslog/syslog01
ltp/testcases/kernel/syscalls/syslog/syslog02
ltp/testcases/kernel/syscalls/syslog/syslog05
ltp/testcases/kernel/syscalls/syslog/syslog09

67) Log Message:
[PATCH 5/6] Add support for rsyslog in not-syslog-compatible mode: This adds the configuration directive: $ModLoad imuxsock.so; to the beginning of the syslog configuration file when using rsyslog. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/syslog/syslog01
ltp/testcases/kernel/syscalls/syslog/syslog02
ltp/testcases/kernel/syscalls/syslog/syslog03
ltp/testcases/kernel/syscalls/syslog/syslog04
ltp/testcases/kernel/syscalls/syslog/syslog05
ltp/testcases/kernel/syscalls/syslog/syslog06
ltp/testcases/kernel/syscalls/syslog/syslog07
ltp/testcases/kernel/syscalls/syslog/syslog08
ltp/testcases/kernel/syscalls/syslog/syslog09
ltp/testcases/kernel/syscalls/syslog/syslog10

68) Log Message:
[PATCH 6/6] Change the message and return value used to report missing supported syslog daemon.
- note rsyslog in the message,
- use TCONF to report unsuitable configuration,
- return 0, which corresponds to other tests failing on TCONF,
Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/syslog/syslog01
ltp/testcases/kernel/syscalls/syslog/syslog02
ltp/testcases/kernel/syscalls/syslog/syslog03
ltp/testcases/kernel/syscalls/syslog/syslog04
ltp/testcases/kernel/syscalls/syslog/syslog05
ltp/testcases/kernel/syscalls/syslog/syslog06
ltp/testcases/kernel/syscalls/syslog/syslog07
ltp/testcases/kernel/syscalls/syslog/syslog08
ltp/testcases/kernel/syscalls/syslog/syslog09
ltp/testcases/kernel/syscalls/syslog/syslog10

69) Log Message:
CAI Qian wrote: After apply the whole series of patches with the help of '-l'. The only failure for rsyslogd is syslog06:
syslog06    0  INFO  :  syslog: Testing the log option: LOG_NDELAY...
syslogtst    1  FAIL  :  open() has returned unexpected fd: -1,
I have noticed this line here,
# cat syslogtst.c
...
        case 6:
                config_file = "/etc/syslog.conf";
                if (system("[ -e /sbin/syslog-ng ]") == 0)
                        config_file = "/etc/syslog-ng/syslog-ng.conf";
                openlog("without log_ndelay", LOG_PID, LOG_USER);
                fd = open(config_file, O_RDONLY);
...
so it is not a surprise that open() returned -1.
Jiri Palecek <jpalecek@web.de> wrote back: Yes, that code is a gem :-) Does it work with the attached patch?
CAI Qian tested back: It works apart from something untidy.

Modified Files:
ltp/testcases/kernel/syscalls/syslog/syslogtst.c

70) Log Message:
Fix the following build warning:
cc -I../../../../include -Wall    syslogtst.c  -L../../../../lib -lltp -o
syslogtst
syslogtst.c: In function ‘main’:
syslogtst.c:50: warning: unused variable ‘config_file’
Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/syscalls/syslog/syslogtst.c

71) Log Message:
Matt Helsley reported: The dependency description in testcases/network/lib6/Makefile breaks parallel builds:
 make autoconf
 ./configure
 make -j4 all
 ...
 cc -I../../../include -g -D_GNU_SOURCE   -c -o runcc.o runcc.c
 cc -I../../../include -g -D_GNU_SOURCE    asapi_01.c -L../../../lib runcc.a
-lltp -lpthread  -o asapi_01
 cc: runcc.a: No such file or directory
This patch fixes the problem by properly expressing the build depdency between the TARGET objects and runcc.a. Signed-off-by: Matt Helsley <matthltc@us.ibm.com>.
Garrett Cooper <yanegomi@gmail.com> replied: Sorry to knitpick, but runcc.a should really be librunc"c.a; otherwise it's not really linkable with ld when using -lruncc. You could also omit the lime with CC if implicit rules are enabled. Other than that the patch looks groovy!.
Matt Helsley replied back: Since the -l flag is not being used to link with runcc.a that's not a problem. -l adds the naming requirement and searches multiple directories. Otherwise gcc behaves as if it were just another .o. I think the only reason to prefer -l is if we're going to install it as a library. I checked and, as best I could tell, runcc.a is only used in the network/lib6 testcases. This means using -l has no advantages so I don't intend to change this part of the patch. In fact I can't see why they bothered making an archive at all. But that's a different change than I intend to make :). I guess I never relied much on the implicit rules -- I suppose the implicit rule compiling and linking each target will be triggered because the "empty" rule: 
$(TARGETS): %: %.c runcc.a
did not actually wind up creating its supposed target.. Thanks for the review. I'll post an updated patch soon. This patch fixes the problem by properly expressing the build depdency between the TARGET objects and runcc.a. Rely on the implicit rules as suggested by Garrett Cooper. Signed-off-by: Matt Helsley <matthltc@us.ibm.com>.

Modified File(s):
ltp/testcases/network/lib6/Makefile

72) Log Message:
[Patch 1/2] Used named PIPE in test cases for NOMMU arch instead of anonymous: In NOMMU arch, anonymous PIPE can't be accessed in child process if it is started by vfork/execve. This patch use named PIPE instead. The API sync_pipe_create() and sync_pipe_close() are changed to accept PIPE name. Signed-off-by: Sonic Zhang <sonic.adi@gmail.com>.

Modified Files:
ltp/include/libtestsuite.h
ltp/lib/libtestsuite.c

73) Log Message:
[Patch 2/2] Used named PIPE in test cases for NOMMU arch instead of anonymous: In NOMMU arch, anonymous PIPE can't be accessed in child process if it is started by vfork/execve. This patch uses named PIPE instead and changes related test cases accordingly. Signed-off-by: Sonic Zhang <sonic.adi@gmail.com>.

Modified Files:
ltp/testcases/kernel/syscalls/execve/execve05.c
ltp/testcases/kernel/syscalls/ftruncate/ftruncate04.c
ltp/testcases/kernel/syscalls/ipc/msgrcv/msgrcv05.c
ltp/testcases/kernel/syscalls/ipc/msgrcv/msgrcv06.c
ltp/testcases/kernel/syscalls/ipc/msgsnd/msgsnd05.c
ltp/testcases/kernel/syscalls/ipc/msgsnd/msgsnd06.c
ltp/testcases/kernel/syscalls/ipc/semctl/semctl01.c
ltp/testcases/kernel/syscalls/ipc/semop/semop05.c
ltp/testcases/kernel/syscalls/ipc/shmctl/shmctl01.c

74) Log Message:
Submitting a new testcase on semaphore to test the IPCNS in the containers. This patch contains the batch file to run the test on LTP. In this patch , I am checking  the IPCNS functionaity: "Semaphore in parent NS is isolated from the container". Changelog: Removed the extra semget call in the check_semaphore(). Corrected the indentation. Acked-by: Serge Hallyn <serue@us.ibm.com>. Signed-Off-By: Veerendra <veeren@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/sysvipc/runipcnstest.sh
Added Files:
ltp/testcases/kernel/containers/sysvipc/sem_nstest.c

75) Log Message:
Here it goes. What i have tried to do is fix only the broken issues, where the test case(s) will not execute if enough hugepages are not available in the system. Now, i leave it on the discrition of the user to increase the hugepages in their system before executing these tests. Else, if you all agree on some way to autoset that before test execution, it would be welcome. Following patches Follow:
__001-Fix_Hugepages-Add_declaration_for_new_functions.patch
__002-Fix_Hugepages-Add_definitions_for_new_functions.patch
__003-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugepageshmget01.patch
__004-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugepageshmget03.patch
__005-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugepageshmget03_remaining_fixes.patch
__006-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugepageshmget05.patch
__007-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugepageshmget02.patch
__008-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugeshmat01.patch
__009-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugeshmat02.patch
__010-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugeshmat03.patch
__011-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugeshmctl01.patch
__012-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugeshmctl02.patch
__013-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugeshmctl03.patch
__014-Fix_Hugepages-Allocate_hugepages_only_if_available_to_hugeshmdt01.patch
Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat01.c
ltp/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat02.c
ltp/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat03.c
ltp/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl01.c
ltp/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl02.c
ltp/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl03.c
ltp/testcases/kernel/mem/hugetlb/hugeshmdt/hugeshmdt01.c
ltp/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget01.c
ltp/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget02.c
ltp/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget03.c
ltp/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget05.c
Added Files:
ltp/include/system_specific_hugepages_info.h
ltp/lib/system_specific_hugepages_info.c

76) Log Message:
Modify Makefile to include dma_thread_diotest7. Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/io/direct_io/Makefile

77) Log Message:
Add dma_thread_diotest7. Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/io/direct_io/dma_thread_diotest7.c

78) Log Message:
Add test dma_thread_diotest7.sh. Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/io/direct_io/test_dma_thread_diotest7.sh

79) Log Message:
Add test dma_thread_diotest7 command file. Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Added Files:
ltp/runtest/test_dma_thread_diotest7

80) Log Message:
Add test_dma_thread_diotest7 to runalltests.sh. Signed-Off-By: Subrata Modak<subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

81) Log Message:
Testing semaphore isolation between 2 containers: Here is a test case to test the semaphore isloation in container environment. Test Assertion: 
- This testcase verifies the semaphore isoloation in 2 diff containers.
- It tries to create/access a semaphore created with the same KEY.
changelog: version 2
* Modified testcase, to use only 2 pipe's to sync between 2 containers.
* Corrected the indentation. 
Signed-off-by: Veerendra C <vechandr@in.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/sysvipc/runipcnstest.sh
Added Files:
ltp/testcases/kernel/containers/sysvipc/semtest_2ns.c

82) Log Message:
Testing shmem isolation between 2 containers: Please find the testcase to test the shared memory isolation in between 2 containers. Test Assertion:
- This testcase verifies the Shared Memory isoloation in 2 containers.
- It tries to create/access a Shared Memory created with the same KEY.
Changelog: Version2
Removed extra pipe, to use only 2 pipe's for synchronizing between containers. Corrected from TPASS to TFAIL in the print statement. Signed-off-by: Veerendra C <vechandr@in.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/sysvipc/runipcnstest.sh
Added Files:
ltp/testcases/kernel/containers/sysvipc/shmem_2nstest.c

83) Log Message:
v4l-test 0.4 for LTP: Test cases for MAX_EM28XX_INPUT, MAX_EM28XX_TVNORMS removed as they might have confusing results if the tests are not executed agains em28xx driver. Some typos fixed. Signed-Off-By: Németh Márton <nm127@freemail.hu>.

Modified File(s):
ltp/testcases/kernel/device-drivers/v4l/user_space/README
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMINPUT.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMSTD.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_STD.c
ltp/testcases/kernel/device-drivers/v4l/user_space/v4l2_test.c

84) Log Message:
This patch fixes compilation warnings introduced recently. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/lib/libtestsuite.c
ltp/lib/system_specific_process_info.c
ltp/testcases/kernel/sched/hyperthreading/ht_interrupt/HTutils.c
ltp/testcases/kernel/syscalls/ipc/msgctl/msgctl11.c
ltp/testcases/kernel/syscalls/paccept/paccept01.c
ltp/testcases/kernel/syscalls/paccept/paccept02.c
ltp/testcases/kernel/syscalls/socket/socket02.c
ltp/testcases/kernel/syscalls/socket/socket03.c
ltp/testcases/kernel/syscalls/socketpair/socketpair02.c

85) Log Message:
Paccept() has not been accepted upstream, and accept4() has already been tested in LTP, which does the pretty much same thing as the test here, http://lkml.org/lkml/2008/10/26/123. Hence, remove this test. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/runtest/syscalls
Removed Files:
ltp/testcases/kernel/syscalls/paccept/Makefile
ltp/testcases/kernel/syscalls/paccept/paccept01.c
ltp/testcases/kernel/syscalls/paccept/paccept02.c

86) Log Message:
Make ltp compilable without libaio: This is a patch inspired by numerous whining recently seen on ltp-list concerning compile failures when libaio is not present. This includes changes:
- add stubs to the aio tests,
- remove -laio from doio and pipeio makefile, as it was superfluous,
Changed the signatures of main() function (requested by Garrett Cooper). Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/fs/doio/Makefile
ltp/testcases/kernel/io/aio/aio01/Makefile
ltp/testcases/kernel/io/aio/aio01/aio01.c
ltp/testcases/kernel/io/aio/aio02/Makefile
ltp/testcases/kernel/io/aio/aio02/main.c
ltp/testcases/kernel/ipc/pipeio/Makefile

LTP-20081231

1) Log Message:
fix from Jiri Palecek: Fix syntax errors (and bashisms) in some shell files.

Modified File(s):
ltp/testcases/commands/unzip/unzip_genfile.sh
ltp/testcases/commands/unzip/unzip_tests.sh
ltp/testcases/commands/fileutils/mkdir/mkdir_tests.sh
ltp/testcases/commands/fileutils/cp/cp_tests.sh
ltp/testcases/commands/fileutils/ln/ln_tests.sh
ltp/testcases/commands/fileutils/mv/mv_tests.sh

2) Log Message:
Fix for failure in syscalls/stat04_64 and syscalls/lstat01A_64 testcases, by, Dmitry Guryanov <dguryanov@parallels.com>.

Modified File(s):
ltp/runtest/syscalls

3) Log Message:
Add _GNU_SOURCE for strsignal in spawn_ptrace_child.h. Mike Frysinger <vapier@users.sourceforge.net>

Modified File(s):
ltp/testcases/kernel/syscalls/ptrace/ptrace04.c
ltp/testcases/kernel/syscalls/ptrace/ptrace06.c

4) Log Message:
I've added small help target to Makefile & INSTALL talking about the new configuration setups. Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified File(s):
ltp/INSTALL
ltp/Makefile

5) Log Message:
sbrk has arguments of type intptr_t, which is long in on x86_64. There is following line in mmapstress03:
        if (sbrk(-NUM_SEGS * pagesize) == NEG1) {
Here the type of argument is int, because of constant NUM_SEGS, and this test fails here on x86_64. So let constants will be long. Signed-Off-By: Dmitry Guryanov <dguryanov@parallels.com>.

Modified File(s):
ltp/testcases/kernel/mem/mmapstress/mmapstress03.c

6) Log Message:
This test case requires write permission for the dummy program. It would fail for those who put LTP on an read-only environment. So this patch copies the dummy test program to and performs the test in a private directory. p.s. this patch copy the one Renaud Lottiaux sent for execve02.c. Signed-Off-By: Roy Lee <roylee17@gmail.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/execve/execve05.c

7) Log Message:
The following patch fixes two problems in loop variables of gtod_latency test case :
1) The loop variable 'k' could overflow on 32 bit systems, leading to a SEGV.
2) The inner loop was not of constant duration. This meant the frequency of calls to usleep() depend on the number of total iterations. It is desirable to make this frequency a constant.
Signed-off-by: Sripathi Kodi <sripathik@in.ibm.com>, Acked-by: Darren Hart <dvhltc@us.ibm.com>.

Modified File(s):
ltp/testcases/realtime/func/gtod_latency/gtod_latency.c

8) Log Message:
These patches enable AIO and listio in tlibio.c for linux, mostly by reusing code that is already in tlibio.c, and makes non-blocking read()/write() actually work. Also, they change pipeio.c to use this. Comments:
1) Patch 0001 enables aio and other types of io in tlibio.c code. Note that this means programs using functions from tlibio need linking with libaio and librt,
2) Patch 0002 changes non-blocking io in tlibio, so that it doesn't report EAGAIN to the client, but rather waits with select() for the io to become available (it would be possible extend this by adding more wait types). Also, it makes some minor changes to pipeio to make it work (eg. make opening the pipe always block, regardless of non-blocking setting).
3) Patch 0003 adds a semaphore to pipeio, to ensure all children have opened their pipes before reading & writing takes place. This avoids situations where one child gets to open the pipe after the parent deleted it (eg. because of an error). Also, it should eliminate all empty reads.
4) Patch 0004 changes error handling in pipeio to interpret every negative number as -errno.
5) Patch 0005 changes the way the end of the test is handled - before, the test ended after the last child was dead, but possibly before all data was read. The new way is to read all data and only if no data can be read, see if the children are dead.
The patches should be applied in sequence. Signed-Off-By: Jiří Paleček <jpalecek@web.de>,

Modified File(s):
ltp/include/tlibio.h ltp/lib/tlibio.c
ltp/testcases/commands/eject/Makefile
ltp/testcases/kernel/fs/doio/Makefile
ltp/testcases/kernel/ipc/pipeio/Makefile
ltp/testcases/kernel/ipc/pipeio/pipeio.c

9) Log Message:
The aiodio_sparse (and dio_sparse) tests use mmaped region of memory backed by a file, and populate the pages by writing to them. This can fail, eg. when Linux overcommits memory and the newly created pages do not fit; it results in the file not being properly deleted. This patch fixes that by trapping signals in these test (I used the standard libltp functions for that) and deleting the file in a cleanup function. Sorry that the patch may be little unclean - it was hand-edited. I will do something about that if it matters. Signed-Off-By: Jiří Paleček <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/io/ltp-aiodio/Makefile
ltp/testcases/kernel/io/ltp-aiodio/aiodio_sparse.c
ltp/testcases/kernel/io/ltp-aiodio/dio_sparse.c

10) Log Message:
The following patch removes a known failure that has been fixed in RHEL 5.3 and the fix also sent upstream, as well as adds missing copyright information. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/fs/proc/proc01.c

11) Log Message:
Here is a new patch to be applied on the November Release (ltp-full-20081130.tgz). It fixes and improves build/install scripts in the Sun-RPC/TI RPC test suite. It takes care also about some portmap/rpcbind conflicts in the tests scripts. Signed-Off-By: Le Rouzic <aime.le-rouzic@bull.net>.

Modified File(s):
ltp/runtest/stress.part3
ltp/testcases/network/rpc/basic_tests/rpcinfo/rpcinfo01
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/README
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/configure.auto
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/configure.interactive
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/inc/install.ftr
ltp/testscripts/ltpstress.sh

12) Log Message:
This patch fixes compilation errors on RHEL5 introduced by addition of the bounds test to default test list. Signed-off-by: Ramon de Carvalho Valle <rcvalle@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/security/selinux-testsuite/tests/Makefile

13) Log Message:
I report a bug of the msgctl02 testcase and a patch for it. When you set /proc/sys/kernel/msgmnb to a value larger than 65536, msgctl02 always results FAIL because of a bug itself. An example when /proc/sys/kernel/msgmnb == 4194304,
# cd ./testcases/kernel/syscalls/ipc/msgctl
# ./msgctl02
msgctl02    1  FAIL  :  qs_buf.msg_qbytes value is not expected
msgctl02    0  INFO  :  expected - 65535, received - 4194303
#
This is because the variable "new_bytes" storing "expected" value above is defined as "unsigned short" type and cannot hold a value larger than 65535. It should be "msglen_t" type as same as the member msg_qnum of struct msqid_ds, but msg_qnum seems to be declared as "unsigned long int" type on some architecture like ia64, I recommend you to use "unsigned long int" for new_bytes. Signed-off-by: Seiichi Ikarashi <s.ikarashi@jp.fujitsu.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/ipc/msgctl/msgctl02.c

14) Log Message:
Veerendra <veeren@linux.vnet.ibm.com> reported: In the latest LTP release (LTP-full-20081130) the make is failing for Power machines for the 'utimensat' tests. Jiri Palecek <jpalecek@web.de> replied: This is because TCID is needed to call tst_brk if the syscall doesn't exist or optimization doesn't eliminate the call. At the first sight, it might seem that syscall() is not called when __NR_utimensat is undefined, because it is guarded by #ifdef, but it's not really so, because __NR_utimensat is stubbed in linux_syscall_numbers.h. To fix it, apply the first patch, which moves the definition of TCID outside the #ifdef block - it should be there anyway. The second patch removes the conditional compilation altogether, because it is never effective. The patches should be applied in sequence. Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/utimensat/utimensat01.c

15) Log Message:
The following patches fixes a useless error log and possible segmentation fault with fclose[1], a failure to report client and server failures[2], and missing data file installation[3]. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/sched/clisrv/Makefile
ltp/testcases/kernel/sched/clisrv/pthcli.c
ltp/testcases/kernel/sched/clisrv/run_sched_cliserv.sh

16) Log Message:
Fixed typo when not defining SPEW_SIGNALS in my_yield(). Signed-Off-By: nobuhiro <nobuhiro@andestech.com>.

Modified File(s):
ltp/testcases/kernel/mem/mtest07/mallocstress.c

17) Log Message:
This series of patches fixes failures with mmapstress04, mmapstress07 and mmapstress08 test cases on IA-64, s390x and PPC64 mostly due to assuming page sizes on those architectures are 4K. This patch fixes mm testing list by removing hard-coded (4K alignment) arguments. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified Files:
ltp/runtest/mm

18) Log Message:
This series of patches fixes failures with mmapstress04, mmapstress07 and mmapstress08 test cases on IA-64, s390x and PPC64 mostly due to assuming page sizes on those architectures are 4K. This patch fixes mmapstress04 test case by obtaining default settings from default page size. It also preserve the possibility to use user-specified arguments. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified Files:
ltp/testcases/kernel/mem/mmapstress/mmapstress04.c

19) Log Message:
This series of patches fixes failures with mmapstress04, mmapstress07 and mmapstress08 test cases on IA-64, s390x and PPC64 mostly due to assuming page sizes on those architectures are 4K. This patch fixes mmapstress07 test case by obtaining default settings from default page size. It also preserve the possibility to use user-specified arguments. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified Files:
ltp/testcases/kernel/mem/mmapstress/mmapstress07.c

20) Log Message:
This series of patches fixes failures with mmapstress04, mmapstress07 and mmapstress08 test cases on IA-64, s390x and PPC64 mostly due to assuming page sizes on those architectures are 4K. This patch fixes mmapstress08 test case by limiting this test to run for x86 architecture only due to it makes several assumptions about 4K page size etc, and I don't see the obvious way to make it work for non-x86 architectures. Signed-off-by: CAI Qian <caiqian@cclom.cn>. 

Modified Files:
ltp/testcases/kernel/mem/mmapstress/mmapstress08.c

21) Log Message:
Mem01 test case sometimes trigger OOM Killer. As the result, the test failed with a non-error code. This patch reduces the chance of OOM Killer by always reserving 16MB memory. It is a trade-off between not testing all available memory and dealing with false failure (extra work to waive the failure in automated environment and clean up unexpected test leftovers). I prefer the formal. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/mem/mem/mem01.c

22) Log Message:
commands/unzip: check exit code of all comands: 1. don't redirect all output to /dev/null. It's bad idea, because we can't investigate bugs without error messages. 2. check exit code of command "zip". If it failed, we get error during make install that can't found a zip file. Signed-Off-By: Andrew Vagin <avagin@parallels.com>.

Modified File(s):
ltp/testcases/commands/unzip/unzip_genfile.sh

23) Log Message:
Version 2: The test failed a few hours after I sent this off. I think it was caused by a pid collision which caused the test to use the same queue as an earlier failed test that didn't close out its queue. This version of the test uses O_EXCL to avoid this. And it cleans up the queue on every failure case. This test was racy. It relied on signals interrupting sleeps to do syncronization between processes. It also didn't cleanup the queue on the failure cases and assumed that its queue didn't already exist. This patch fixes these issues. Reported failures: https://bugzilla.novell.com/show_bug.cgi?id=375897. Instead use a syncronization pipe to have the child thread send messages to the parent thread (with reasonable timeouts since this is testing blocking calls).
# Apply to root of ltp-full-20081031 tree
$ cd testcases/open_posix_testsuite/
$ make conformance/interfaces/mq_send/5-1.test
$ conformance/interfaces/mq_send/5-1.test
Signed-off-by: Brandon Philips <bphilips@suse.de>

Modified File(s):
ltp/testcases/open_posix_testsuite/conformance/interfaces/mq_send/5-1.c
ltp/testcases/open_posix_testsuite/include/posixtest.h

24) Log Message:
This is a proposal for 2 new testcases in the pidns testcases. They are related to POSIX message queues and notification on message arrival. Could you please review them? If a process registers for asynchronous notification on a POSIX message queue, it gets a signal and a siginfo_t structure when a message arrives on the message queue. The si_pid in the siginfo_t structure is set to the PID of the process that sent the message. If the process that sent the message is not in the same namespace as the notified one, this should be taken into account. 
pidns30 : notified process is in a descendant namespace wrt to the notifier. so the signal receiver doesn't know about the sender's pid.
pidns31 : notified process is in an ancestor namespace wrt to the notifier. so the signal receiver should get the sender's PID in the signal receiver namespace.
They currently fail, since the si_pid is not correctly set. But I just proposed a patch to fix this (see http://lkml.org/lkml/2008/12/5/13). This testcase checks if the si_pid is correctly set when a process that has registered for notification on a posix mqueue is in a descendant namespace wrt the process that sends a message to that posix mqueue. Signed-off-by: Nadia Derbey <Nadia.Derbey@bull.net>, Acked-By: <sukadev@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/pidns/Makefile
ltp/testcases/kernel/containers/pidns/runpidnstest.sh
Added Files:
ltp/testcases/kernel/containers/pidns/pidns30.c

25) Log Message:
This is a proposal for 2 new testcases in the pidns testcases. They are related to POSIX message queues and notification on message arrival. Could you please review them? If a process registers for asynchronous notification on a POSIX message queue, it gets a signal and a siginfo_t structure when a message arrives on the message queue. The si_pid in the siginfo_t structure is set to the PID of the process that sent the message. If the process that sent the message is not in the same namespace as the notified one, this should be taken into account.
pidns30 : notified process is in a descendant namespace wrt to the notifier. so the signal receiver doesn't know about the sender's pid.
pidns31 : notified process is in an ancestor namespace wrt to the notifier. so the signal receiver should get the sender's PID in the signal receiver namespace.
They currently fail, since the si_pid is not correctly set. But I just proposed a patch to fix this (see http://lkml.org/lkml/2008/12/5/13). This testcase checks if the si_pid is correctly set when a process that has registered for notification on a posix mqueue is in an ancestor namespace wrt the process that sends a message to that posix mqueue. Signed-off-by: Nadia Derbey <Nadia.Derbey@bull.net>, Acked-By: <sukadev@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/pidns/runpidnstest.sh
Added Files:
ltp/testcases/kernel/containers/pidns/pidns31.c

26) Log Message:
Tests in testcase/network/lib6 has been excluded because they occured build break on the earlier distributions. Now autoconf is introduced, we can include it again. Ths series of patches enable the lib6 tests. The initialization style of union, ".<member>=<value>", is one of the latest gcc extention. It's better not to use it. Signed-off-by: Mitsuru Chinen <mitch@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/network/lib6/asapi_01.c
ltp/testcases/network/lib6/asapi_02.c
ltp/testcases/network/lib6/asapi_03.c
ltp/testcases/network/lib6/asapi_05.c
ltp/testcases/network/lib6/asapi_06.c
ltp/testcases/network/lib6/asapi_07.c

27) Log Message:
Tests in testcase/network/lib6 has been excluded because they occured build break on the earlier distributions. Now autoconf is introduced, we can include it again. Ths series of patches enable the lib6 tests. For socket related functions, sys/socket.h should be included. Signed-off-by: Mitsuru Chinen <mitch@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/network/lib6/asapi_04.c
ltp/testcases/network/lib6/asapi_05.c

28) Log Message:
Tests in testcase/network/lib6 has been excluded because they occured build break on the earlier distributions. Now autoconf is introduced, we can include it again. Ths series of patches enable the lib6 tests. Signed-off-by: Mitsuru Chinen <mitch@linux.vnet.ibm.com>.

Modified Files:
ltp/configure.ac
ltp/include/config.h.default
ltp/testcases/network/Makefile
ltp/testcases/network/lib6/asapi_06.c

29) Log Message:
Give others to use this file created by Root during Install.

Modified Files:
ltp/testcases/commands/unzip/Makefile

30) Log Message:
COMPILATION ERROR FIX for NETNS on ia64: Serge/Subrata, I have the patch , to fix the make problem for containers. Would you please review this ? In containers, it would dynamically check for the unshare() defn, in the linked libraries. This would not halt the make, if the unshare() is not found in the system. Signed-Off-By: Veerendra <veeren@linux.vnet.ibm.com>. 

Modified File(s):
ltp/testcases/kernel/containers/Makefile
ltp/testcases/kernel/containers/check_for_unshare.c

31) Log Message:
Subrata Modak <subrata@linux.vnet.ibm.com> wrote: Hi Rusty, I found that you wrote a test program to verify whether all the valid IFF flags are implemented by TUNGETFEATURES ioctl (recently in 2.6.27: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=07240fd0902c872f044f523893364a1a24c9f278). I ported the same into LTP format and created the first draft version. Yet to test it on the latest kernel, but the first draft works fine. If you do not have any issue(s), can we add this code to LTP with your permission ??. Rusty Russell <rusty@rustcorp.com.au> replied: Thanks, of course!. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>. Signed-Off-By: Rusty Russell <rusty@rustcorp.com.au>.

Modified Files:
ltp/runtest/syscalls
ltp/testcases/kernel/syscalls/ioctl/test_ioctl
Added Files:
ltp/testcases/kernel/syscalls/ioctl/ioctl03.c

32) Log Message:
Please find the patch for the pidns14.c testcase. Test Assertion:
** kill -USR1 container_init from outside a container,
** $ Where init has not defined a custom handler for USR1,
** $ Should kill the container,
** $ else the test fails,
Signed-off-by: Veerendra C <vechandr@in.ibm.com>,
Results:
# ./pidns14
pidns14     1  PASS  :  container init is killed, as expected
Sukadev, Included the changes suggested by you after doing waitpid() at the end.

Added Files:
ltp/testcases/kernel/containers/pidns/pidns14.c

33) Log Message:
Please find the testcase for the below scenario. Assertion:
** kill - USR1 container_init,
**      - from the parent process and also inside a container,
**      - Where init has defined a custom handler for USR1,
**      - Should call the handler, and,
**      - Verify whether the signal handler is called from the proper process.
Signed-off by: Veerendra C <vechandr@in.ibm.com>,
Results:
# ./pidns16
pidns16     0  INFO  :  sig_handler is signalled from pid  29640
pidns16     0  INFO  :  Container: Resumed after receiving SIGUSR1 from parentNS
pidns16     0  INFO  :  sig_handler is signalled from pid  1
pidns16     0  INFO  :  Container: Resumed after sending SIGUSR1 from container itself
pidns16     1  PASS  :  container init continued successfuly, after handling signal -USR1
Suka,
After your comments, now I am checking in the signal handler the sending procee id. If it is from the parent ns and when it is from container init. Also made some small changes after doing waitpid() in main.

Added Files:
ltp/testcases/kernel/containers/pidns/pidns16.c

34) Log Message:
Just a few fixes I've done while running the complete LTP suite on a ppc64 system. The test fails while running command "numa_node_size" which is unknown to my system. This patch replaces numa_node_size by "numactl --hardware". Signed-off-by: Gilles Carry <gilles.carry@bull.net>.

Modified Files:
ltp/testcases/kernel/numa/numa01.sh

35) Log Message:
Just a few fixes I've done while running the complete LTP suite on a ppc64 system. This definition is missing on powerpc specific code. utimensat test fails without this patch. Signed-off-by: Gilles Carry <gilles.carry@bull.net>. 

Modified Files:
ltp/testcases/kernel/include/powerpc.in
ltp/testcases/kernel/include/powerpc64.in

36) Log Message:
Just a few fixes I've done while running the complete LTP suite on a ppc64 system. Crontab command fail if user is not present in cron.allow file. This moves away cron.allow and restores it afterward. Signed-off-by: Gilles Carry <gilles.carry@bull.net>.

Modified Files:
ltp/testcases/commands/cron/cron_deny01

37) Log Message:
Just a few fixes I've done while running the complete LTP suite on a ppc64 system. Crontab command fail if user is not present in cron.allow file. This moves away cron.allow and restores it afterward. Signed-off-by: Gilles Carry <gilles.carry@bull.net>.

Modified Files:
ltp/testcases/commands/cron/cron_pos_tests.sh

38) Log Message:
CPU controller latency testcases v-4: Add some documentation with respect to test. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_testplan.txt

39) Log Message:
CPU controller latency testcases v-4: The patch adds a binary to be run as load on the machine. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_latency_test.c

40) Log Message:
CPU controller latency testcases v-4: The patch adds a binary to be run as the latency check task. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_latency_check_task.c

41) Log Message:
CPU controller latency testcases v-4: The patch adds a script which runs the load tasks and the latency check task. The script creates setup for both the tests(with and without cpu controller). Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_latency_test.sh

42) Log Message:
CPU controller latency testcases v-4: Edit the makefile. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/Makefile

43) Log Message:
CPU controller latency testcases v-4: Add the test to be run with other cpu controller testcases. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/test_controllers.sh

44) Log Message:
Testcase pidns10 on pidnamespace: The pidns10.c testcase verifies inside the container, if kill(-1, sig) fails with ESRCH when there are no processes in container besides container-init. Signed-off-by: Gowrishankar M <gowrishankar.m@in.ibm.com>, Acked-by: Sukadev Bhattiprolu <sukadev@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/pidns/runpidnstest.sh
Added Files:
ltp/testcases/kernel/containers/pidns/pidns10.c

45) Log Message:
Please accept below testcase patches for pid namespace. 
pidns12:
Description:
  The pidns12.c testcase verifies that siginfo->si_pid is set to 0 if sender (parent process) is not in receiver's namespace.
pidns13:
  The pidns13.c testcase checks container init, for async I/O triggered by peer namespace process.
pidns17:
  The pidns17.c testcase verifies inside the container, if kill(-1, SIGUSR1) terminates all children running inside.
Signed-off-by: Gowrishankar M <gowrishankar.m@in.ibm.com>,
Acked-by: Sukadev Bhattiprolu <sukadev@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/pidns/runpidnstest.sh
Added Files:
ltp/testcases/kernel/containers/pidns/pidns12.c
ltp/testcases/kernel/containers/pidns/pidns13.c
ltp/testcases/kernel/containers/pidns/pidns17.c

46) Log Message:
Per request of Mike Frysinger, I resend this patch. The patch itself is  the same, but the explanation is extended. Hope it's better this time. 
Hello,
I'm sorry to say this, but some changes in the "Fix Warnings and Badness v2" patch[1] from October actually create bugs in the ltp tests. I think they should be reverted by applying the attached patch. The problems are of those types:
1) Calling:
pthread_create(&th, &newattr, (void *)&new_thread, (void *)&newsockfd) is wrong if eg. newsockfd is a variable subsequently modified by the parent thread, not protected by locking. This is because there is a data race between the read in the new thread and the write in the parent thread. Moreover, it is quite often meant to pass different values to more threads in the ltp tests, which results in the different threads actually sharing the variable, which leads to unpredictable results.
2) Calling
pthread_exit((void *)&exit_val); is wrong if exit_val is a local or thread-local variable, incl. errno. These variables cease to exist when the thread finishes, so subsequent dereferencing & read in the joining thread would read nonexistent variable. I think they should be reverted, because the warning (conversion pointer/integer) doesn't mean anything bad in this context (provided you use the same type on both sides, eg. the calling thread and the created thread) and other solutions just add unnecessary complexity. The patch goes a little further, while I was searching for related problems, I've found one typo and changed the signatures of some thread functions (they really should be (void* (*)(void*)), not (void* (*)(int))). I've discovered this when I debugged a deadlock in test_1_to_1_threads. BTW, shouldn't the first (or last) thread in this test call t_recv instead of t_send (see the relay function). Signed-Of-By: Jiří Paleček <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/fs/openfile/openfile.c
ltp/testcases/kernel/io/disktest/childmain.c
ltp/testcases/kernel/io/disktest/main.c
ltp/testcases/kernel/io/disktest/timer.c
ltp/testcases/kernel/mem/mtest06/mmap1.c
ltp/testcases/kernel/mem/mtest07/mallocstress.c
ltp/testcases/kernel/mem/mtest07/shm_test.c
ltp/testcases/kernel/sched/clisrv/pthserv.c
ltp/testcases/network/sctp/func_tests/test_1_to_1_threads.c

47) Log Message:
The test case "utimensat01" will test the function "utimensat" when the file is not owned by self. It excepts it will return some error code. But if the test user is "root", it has super property and can be success. Signed-off-by: Zhang Xiliang <zhangxiliang@cn.fujitsu.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/utimensat/utimensat_tests.sh

48) Log Message:
This patch adds a menu to networktests.sh in order to select the network tests like networkstress.sh. For the backword compatibility, the default test sets are left as-is. Namely, networktests.sh doesn't run any additional tests when no option is specified. Signed-off-by: Mitsuru Chinen <mitch@linux.vnet.ibm.com>.

Modified Files:
ltp/testscripts/networktests.sh
Added Files:
ltp/runtest/tcp_cmds_addition

49) Log Message:
Adding the patch for running the tests pidns14.c and pidns16.c. Please accept this. Signed-Off-By: Veerendra <veeren@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/containers/pidns/runpidnstest.sh

50) Log Message:
The description of the networktests.sh in INTALL file is a bit old. This patch adds the description regarding PAM and test menu. Signed-off-by: Mitsuru Chinen <mitch@linux.vnet.ibm.com>.

Modified File(s):
ltp/INSTALL

51) Log Message:
Please accept below testcase patches for pid namespace. They carry minor comments suggested by Suka and Nadia in lxc-dev.
---
pidns20:
     The pidns20.c testcase verifies that signal handler of SIGUSR1 is called (and cinit is NOT terminated) when:
        - container-init blocks SIGUSR1,
        - parent queues SIGUSR1 and
        - a handler is specified for SIGUSR1 before it is unblocked.
 Change log:
   version 2:
     * added two pipes for reliable testing.
   version 1:
     * Submitted in lxc-dev
pidns21:
    The pidns21.c testcase verifies that container-init is terminated by
SIGUSR1 when:
       - a handler is specified for SIGUSR1,
       - container-init blocks SIGUSR1,
       - parent queues SIGUSR1 and
       - handler for SIGUSR1 is set to system default before SIGUSR1 is
         unblocked.
Change log:
   version 2:
     * added two pipes for reliable testing.
   version 1:
    * Submitted in lxc-dev
Signed-off-by: Gowrishankar M <gowrishankar.m@in.ibm.com>, Acked-by: Sukadev Bhattiprolu <sukadev@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/pidns/runpidnstest.sh
Added Files:
ltp/testcases/kernel/containers/pidns/pidns20.c
ltp/testcases/kernel/containers/pidns/pidns21.c

52) Log Message:
I made few changes to ltp/testcases/kernel/fs/acl/tacl_xattr.sh. It is not working perfectly still there are issues with this script. I have posted patch and logs.attached strace log file. Please cross check results. Signed-off-by: Naresh Kamboju<naresh.kernel@gmail.com>.

Modified File(s):
ltp/testcases/kernel/fs/acl/tacl_xattr.sh

53) Log Message:
The problem is noticed only for these 2 tests lstat01A_64 and stat04_64. Analysis of the problem showed that these tests are called from runtest/syscall file. The problem is noticed because the symlink01.c file doesn't have implementation to take care lstat01A_64 and stat04_64 arguments that are passed in the file runtest/syscall. Solution: Simple solution is to remove lines.
lstat01A_64 symlink01 -T lstat01_64
stat04_64 symlink01 -T stat04_64
from runtest/syscall.
Other option is to provide feature in symlink01.c so that it can execute these tests successfully. I worked on one such patch. Please have a look. This runs same tests for lstat01A_64 and stat04_64 as is run for lstat01 and stat04 respectively. Signed-Off-By: Sharyathi Nagesh <sharyath@in.ibm.com>.

Modified File(s):
ltp/runtest/syscalls
ltp/testcases/kernel/syscalls/symlink/symlink01.c

54) Log Message:
Subrata Modak <subrata@linux.vnet.ibm.com> wrote:
The tcore_patch_test_suite was added to LTP on Fri Jan 17 22:07:55 2003 UTC, with contribution from you. As i try to compile it today, i get the following error:
[tcore_patch_test_suites]$ make
 gcc  -o tcore tcore.c -lm -lpthread
 tcore.c: In function ‘producer’:
 tcore.c:129: error: memory input 0 is not directly addressable
 tcore.c: In function ‘consumer’:
 tcore.c:166: error: memory input 0 is not directly addressable
 tcore.c:167: error: memory input 0 is not directly addressable
 make: *** [tcore] Error 1
Can you please let me know:
 1) Any fix for this Failure ?
 2) Relevance of this test case today, whether they need to be there in  LTP or not ?

Gowrishankar <gomuthuk@linux.vnet.ibm.com> replied:
I have made it to compile and run with below patch. Using proper extended asm stops this problem. Below patch uses gcc's extended asm instead of basic inlines on this test which stops compilation problem with newer gcc's (v4). Signed-off-by: Gowrishankar M <gowrishankar.m@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/misc/tcore_patch_test_suites/tcore.c
ltp/testcases/misc/tcore_patch_test_suites/tcore.sh

55) Log Message:
Small updates from Pradeep K Surisetty <pradeepkumars@in.ibm.com>.

Modified File(s):
ltp/testcases/pounder21/README
ltp/testcases/pounder21/src/ramsnake/Makefile
ltp/testcases/pounder21/src/ramsnake/snake.c

56) Log Message:
The attached patch fixes and then integrates the Hyperthreading tests to default LTP run. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/runltp
ltp/testcases/kernel/sched/Makefile
ltp/testcases/kernel/sched/hyperthreading/ht_affinity/HTaffinity.c
ltp/testcases/kernel/sched/hyperthreading/ht_affinity/HTutils.c
ltp/testcases/kernel/sched/hyperthreading/ht_affinity/Makefile
ltp/testcases/kernel/sched/hyperthreading/ht_enabled/Makefile
ltp/testcases/kernel/sched/hyperthreading/ht_interrupt/Makefile

57) Log Message:
Thanks very much for fixing this. Now i am able to build and install properly. As a fallout to your fix, i am adding this test to build & install default, however i am reserving to run it only through runalltests.sh, as it creates a core file of size > 20MB. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>,

Modified Files:
ltp/runalltests.sh
ltp/testcases/misc/Makefile
Added Files:
ltp/runtest/tcore

58) Log Message:
The newly added test case ioctl03[1] introduces some problems. First, compilation errors. Second, test failures and misuse of TCONF. The following patch fixes them by changing an order of a header file and also checking IFF_VNET_HDR. It also tidy up the code and add some more information to test output.Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/syscalls/ioctl/ioctl03.c

59) Log Message:
This patch fix man miscellenous compilation warnings. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/lib/tlibio.c
ltp/testcases/kernel/fs/openfile/openfile.c
ltp/testcases/kernel/io/disktest/childmain.c
ltp/testcases/kernel/io/disktest/main.c
ltp/testcases/kernel/io/disktest/timer.c
ltp/testcases/kernel/mem/mtest07/mallocstress.c
ltp/testcases/kernel/mem/mtest07/shm_test.c
ltp/testcases/kernel/sched/clisrv/pthserv.c
ltp/testcases/kernel/sched/hyperthreading/ht_enabled/HTutils.c
ltp/testcases/kernel/sched/hyperthreading/ht_enabled/Makefile
ltp/testcases/kernel/sched/hyperthreading/ht_interrupt/Makefile
ltp/testcases/network/sctp/func_tests/Makefile
ltp/testcases/network/sctp/func_tests/test_1_to_1_threads.c

60) Log Message:
I have reviewed test cases for set_robust_list and get_robust_list. These test cases are working fine and generating results as PASS. I have found a small correction in comment line. Here I am posting the same. Signed-Off-By: Naresh Kamboju <naresh.kernel@gmail.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/set_robust_list/set_robust_list01.c

61) Log Message:
=========================================================
Manas K. Nayak <maknayak@in.ibm.com> reported:
=========================================================
accept4_01 test cases are broken because the function accept04() is not implemented in testcase. Used ltp version: ltp-full-20081130.tgz. Manually executed the test as below:
[accept4]# ./accept4_01
accept04_01    1  BROK  :  accept4() Error: Function not implemented
=========================================================
Subrata Modak <subrata@linux.vnet.ibm.com> replied:
=========================================================
Fix on x86_64 as well, as it behaves properly on other Architectures. Supriya/Manas, accept4_01.c is a new test case for the new system call accept4() recently introduced in kernel-2.6.26 only for the x86_64 architecture. The test has the code to handle if it is not supported in some architecture. Interestingly it executes the expected way on x86 machines: 
# uname -a
Linux 2.6.25-gcov-nomodconfig-smp #1 SMP Thu Jun 12 06:29:27 EDT 2008 i686 i686 i386 GNU/Linux 
# ./ltp-intermediate-20081216/testcases/bin/accept4_01
accept04_01    1  CONF  :  syscall __NR_accept4 not supported on your arch
But on x86_64, it behaves differently:
# uname -a
Linux 2.6.18-125.el5 #1 SMP Mon Dec 1 17:38:25 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
# ./accept4_01
accept04_01    1  BROK  :  accept4() Error: Function not implemented
It means though the interface calls for:
syscall(__NR_socketcall, SYS_ACCEPT4, args)
&
syscall(__NR_accept4, fd, sockaddr, addrlen, flags)
will execute as __NR_socketcall & __NR_accept4 are defined inside the system, the exact implementation of the interface is yet to come as the kernel < 2.6.26. So, i changed the code accordingly. Please verify the patch. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/accept4/accept4_01.c

62) Log Message:
======================================================
Manas K. Nayak <maknayak@in.ibm.com> reported:
======================================================
Ltp iptables testcases failed against sles with following ping failures. Looks like iptables chain rules set to block ping from loopback address.
======================================================
Sridhar Vinay Replied:
======================================================
Manas, This looks like default SLES behaviour. When all rules are flushed, the default behaviour for SUSE firewall is to drop all packets. This is not the case with RH where absence of any rule results in all packets accepted. So we may need to adjust the test accordingly. Modification to test case to indicate certain distributions dropping all packets when firewall is enabled and no rule is present.
======================================================
Manas K. Nayak <maknayak@in.ibm.com> reverted back:
======================================================
I verified the patch using ltp release "ltp-full-20081130" on SLES and it is generating expected information as mentioned. Subrata you can make this patch available in coming ltp release. Signed-Off-By: Vinay Sridhar <vinay@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/network/iptables/iptables_tests.sh

63) Log Message:
Include File Systems Data Integrity Tests to Default  LTP run. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/fs

64) Log Message:
Increase the No. of Loops for the File System INOD tests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/fs

65) Log Message:
Integrate the File System Permissions Tests in to Default LTP run. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/fs ltp/testcases/kernel/fs/fs_perms/Makefile
Added Files:
ltp/testcases/kernel/fs/fs_perms/fs_perms_simpletest.sh
Removed Files:
ltp/testcases/kernel/fs/fs_perms/simpletest.sh

66) Log Message:
Increase the No. of Soft & Hard Links Created by linktest.pl. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/fs

67) Log Message:
Integrate PROC File Systems tests into default LTP run. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/fs

68) Log Message:
Integrate File Systems Race Condition Check tests to  default LTP run. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/fs ltp/testcases/kernel/fs/Makefile
Added Files:
ltp/testcases/kernel/fs/racer/fs_racer.sh
ltp/testcases/kernel/fs/racer/fs_racer_dir_create.sh
ltp/testcases/kernel/fs/racer/fs_racer_dir_test.sh
ltp/testcases/kernel/fs/racer/fs_racer_file_concat.sh
ltp/testcases/kernel/fs/racer/fs_racer_file_create.sh
ltp/testcases/kernel/fs/racer/fs_racer_file_link.sh
ltp/testcases/kernel/fs/racer/fs_racer_file_list.sh
ltp/testcases/kernel/fs/racer/fs_racer_file_rename.sh
ltp/testcases/kernel/fs/racer/fs_racer_file_rm.sh
ltp/testcases/kernel/fs/racer/fs_racer_file_symlink.sh
Removed Files:
ltp/testcases/kernel/fs/racer/dir_create.sh
ltp/testcases/kernel/fs/racer/dir_test.sh
ltp/testcases/kernel/fs/racer/file_concat.sh
ltp/testcases/kernel/fs/racer/file_create.sh
ltp/testcases/kernel/fs/racer/file_link.sh
ltp/testcases/kernel/fs/racer/file_list.sh
ltp/testcases/kernel/fs/racer/file_rename.sh
ltp/testcases/kernel/fs/racer/file_rm.sh
ltp/testcases/kernel/fs/racer/file_symlink.sh
ltp/testcases/kernel/fs/racer/racer.sh

69) Log Message:
Integrate CD and FLOPPY tests to run with runalltests.sh. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh
Added Files:
ltp/runtest/io_cd
ltp/runtest/io_floppy
Removed Files:
ltp/runtest/io

70) Log Message:
Make io/aio tests to build & install with root level  make, and then run with runltp. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runltp
ltp/testcases/kernel/io/Makefile
ltp/testcases/kernel/io/aio/aio02/Makefile
ltp/testcases/kernel/io/aio/aio02/runfstests.sh
Added Files:
ltp/runtest/io

71) Log Message:
Run the CPU HOTPLUG tests through runalltests.sh. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/README
ltp/runalltests.sh
Added Files:
ltp/runtest/cpuhotplug

72) Log Message:
Fix compilation issues in compiling the MEMORY HOTPLUG tests. Better ways to fix the compilation error(s) are always welcome. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/hotplug/memory_hotplug/commands.c
ltp/testcases/kernel/hotplug/memory_hotplug/migrate_pages.c

73) Log Message:
Add options for block devices and turn on related testcases. Signed-Off-By: Andrew Vagin <avagin@gmail.com>.

Modified Files:
ltp/runltp
ltp/runtest/syscalls

74) Log Message:
This testcase checked event IN_UNMOUNT. IN_UNMOUNT File system containing watched object was unmounted and check filesystem that it can't be unmounted if exist opened inotify descriptor. Example of execution:
Running tests.......
inotify03    0  INFO  :  mount /dev/loop0 to mnt_694 fstype=ext3
inotify03    0  INFO  :  umount /dev/loop0
<<<test_start>>>
tag=inotify03 stime=1229332020
cmdline="inotify03 -D /dev/loop0 -T ext3"
contacts=""
analysis=exit
initiation_status="ok"
<<<test_output>>>
incrementing stop
inotify03    1  PASS  :  get event: wd=1 mask=2000 cookie=0 len=0
inotify03    2  PASS  :  get event: wd=1 mask=8000 cookie=0 len=0
inotify03    3  PASS  :  inotify_rm_watch (5, 1) return -1 errno=22 : Invalid argument
<<<execution_status>>>
duration=0 termination_type=exited termination_id=0 corefile=no cutime=0 cstime=0
<<<test_end>>>
kernel: Linux avagin 2.6.25-rc6 #1 SMP Tue Jul 8 13:42:51 MSD 2008 i686 Intel(R) Celeron(R) CPU 2.53GHz GenuineIntel GNU/Linux. 
Signed-Off-By: Andrew Vagin <avagin@gmail.com>. Acked-By: CAI Qian <caiqian@cclom.cn>.

Modified Files:
ltp/runtest/syscalls
Added Files:
ltp/testcases/kernel/syscalls/inotify/inotify03.c

75) Log Message:
Add TCONF if the tested kernel has version less than 2.6.13. Signed-Of-By: Andrew Vagin <avagin@gmail.com>. Acked-By: CAI Qian <caiqian@cclom.cn>.

Modified Files:
ltp/testcases/kernel/syscalls/inotify/inotify01.c
ltp/testcases/kernel/syscalls/inotify/inotify02.c
ltp/testcases/kernel/syscalls/inotify/inotify03.c

76) Log Message:
Introduce autoconf to inotify test case. Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified File(s):
ltp/configure.ac
ltp/testcases/kernel/syscalls/inotify/Makefile
ltp/testcases/kernel/syscalls/inotify/inotify01.c
ltp/testcases/kernel/syscalls/inotify/inotify02.c

77) Log Message:
This patchset creates the basic infrastructure for running the existing network testcases under containers automatically. The patchset creates a command file named nw_under_ns for the purpose. Please review them and provide all your valuable feedback. I have addressed all the comments from lxc-dev list except one. The changelog looks like:
1. Added verbose comments and patch description.
2. Restructured the licensing text.
3. Merged two patches into one touching runallnetworktest_child.sh file.

TODO:
1. Changing the kernel version to proper one
2. unshare not needed as clone only is suffucient. I will do it in a separate patch as need to do extensive testing to ensure other testcases do not break.
Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>. Acked-By: "Serge E. Hallyn" <serue@us.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/libclone/libnetns.c
ltp/testcases/kernel/containers/netns/parentns.sh
Modified Files:
ltp/testcases/kernel/containers/libclone/libnetns.c
Modified Files:
ltp/testcases/kernel/containers/libclone/libnetns.c
ltp/testcases/kernel/containers/netns/childns.sh
ltp/testcases/kernel/containers/netns/parentns.sh
Modified Files:
ltp/testcases/kernel/containers/netns/childns.sh
ltp/testcases/kernel/containers/netns/parentns.sh
Added Files:
ltp/testcases/kernel/containers/netns/create_container.c
Added Files:
ltp/testcases/kernel/containers/netns/runallnetworktests_parent.sh
Added Files:
ltp/testcases/kernel/containers/netns/runallnetworktests_child.sh
Added Files:
ltp/testcases/kernel/containers/netns/nw_under_ns.sh
Modified Files:
ltp/testcases/kernel/containers/netns/Makefile
Added Files:
ltp/runtest/nw_under_ns
Modified Files:
ltp/testcases/kernel/containers/netns/runallnetworktests_child.sh
Added Files:
ltp/testcases/kernel/containers/netns/readme

78) Log Message:
Linux drivers based on Video for Linux Two (V4L2) API, test addition:
Németh Márton <nm127@freemail.hu> wrote:
I started a project to test the Linux drivers based on Video for Linux Two (V4L2) API, release 0.24. This project is using the CUnit framework and is available at http://v4l-test.sourceforge.net/. I found your project at http://ltp.sourceforge.net/ . As far as I know the LTP currently do not have any tests for V4L2. Maybe test cases created for v4l-test project can be used for LTP also. What do you think? 
Subrata Modak <subrata@linux.vnet.ibm.com> wrote back: 
es, it can be. We have a rather old code base for Device Drivers testing. And time and again i was trying to revive the device drivers tests inside LTP, but, did not get sufficient volunteers to do the same. Your test code can be a starting point for us. I downloaded your testsuite and was able to compile the stuff, with some modification(s). However, i did not test it. Can you also share the logs of the run on your machine ?? More info is required in the documentation. I have prepared a patch(attached & embedded), which will integrate these tests inside LTP with minor modifications in documentation and some #defines in some source files (to be able to compile on machines not having respective header files containing the definition). Now, we have 2 choices:
1) You can voluntarily allow us to maintain this code inside LTP. Send your patches/modifications to us, whenever you want to add/modify/remove any tests out of: ltp/testcases/kernel/device-drivers/v4l-test/, We will then do the needful. You benefit by showcasing your test code to a bigger LTP community, and hence can attract more contribution from them. We gain by re-introducing/re-starting device drivers testing, which can then move to other device drivers as well. If you agree, please reply to this mail with a DCO Sign-off:  Signed-Off-By: Németh Márton <nm127@freemail.hu>, I can then go ahead and include this patch.
2) You can keep your project running at: http://v4l-test.sourceforge.net/, as well as agree to apply this patch to include in LTP. In such a case, send us updates whenever you update your project. In any case, i  would require a DCO Sign-off: Signed-Off-By: Németh Márton <nm127@freemail.hu>,  from you. I would like to thank you for deciding to contribute this to LTP, and would also request you to help us fix the  existing device drivers tests in LTP, so that we can start using them. If necessary we can delete the obsolete ones and add new ones: http://ltp.cvs.sourceforge.net/viewvc/ltp/ltp/testcases/kernel/device-drivers/. Do you think, you will also be able to help us here ?? 
Németh Márton <nm127@freemail.hu> wrote back:
Yes, sorry about that. I have had no access to my emails during the last days. I also wanted to think about this a little. I would like to choose the 2nd solution: I try to run my project forward and send you patches to include them  in LTP. The source code and the test design was created by me. However, the V4L2 API specification which is also included in the tarball is only downloaded and saved under the 'doc' directory so I always have a local copy of the V4L2 API revision 0.24. This you might not want to include in the LTP source code. I had some difficulties with the inline patch you sent me, it was not usable at my side because my email client was not able to handle it correctly. Could you please send it as an attachment? What I could recognised that the v4l-test project was placed in LTP source directory under ltp-intermediate-20081223.orig/testcases/kernel/device-drivers/v4l-test . However, if I look around in the "device-drivers" subdirectory I would use the subdirectory: ltp/testcases/kernel/device-drivers/v4l/user_space . What do you think? Signed-Off-By: Márton Németh <nm127@freemail.hu>.

Modified Files:
ltp/README
Added Files:
ltp/testcases/kernel/device-drivers/v4l/user_space/Makefile
ltp/testcases/kernel/device-drivers/v4l/user_space/README
ltp/testcases/kernel/device-drivers/v4l/user_space/dev_video.c
ltp/testcases/kernel/device-drivers/v4l/user_space/dev_video.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_CROPCAP.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_CROPCAP.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMAUDIO.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMAUDIO.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMINPUT.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMINPUT.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMSTD.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUMSTD.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUM_FMT.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_ENUM_FMT.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_INPUT.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_INPUT.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_QUERYCAP.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_QUERYCAP.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_STD.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_VIDIOC_STD.h
ltp/testcases/kernel/device-drivers/v4l/user_space/test_invalid_ioctl.c
ltp/testcases/kernel/device-drivers/v4l/user_space/test_invalid_ioctl.h
ltp/testcases/kernel/device-drivers/v4l/user_space/v4l2_test.c
ltp/testcases/kernel/device-drivers/v4l/user_space/v4l2_test.h
ltp/testcases/kernel/device-drivers/v4l/user_space/video_limits.h
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/index.html
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/a16506.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/a16706.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/a16721.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/b17127.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/book1.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/c14592.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/c14595.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/c174.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/c2030.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/c5742.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/c6488.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/capture-example.html
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/f163.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/i16960.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/index.html
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r10104.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r10211.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r10386.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r10595.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r10944.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r11094.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r11217.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r11285.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r11430.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r11612.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r11680.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r11946.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r12051.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r12265.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r12342.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r12784.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r12816.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r12878.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r13022.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r13105.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r13317.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r13641.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r13696.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r13817.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r13889.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r14037.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r14090.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r14169.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r14264.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r14390.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r14496.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r2492.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r3735.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r3796.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r3896.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r4185.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r4246.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r4339.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r4484.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r4629.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r4850.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r5016.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r5154.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r5319.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r5470.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r7624.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r7626.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r7667.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r7771.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r7900.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r8087.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r8242.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r8304.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r8367.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r8494.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r8724.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r8936.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r9149.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r9288.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r9539.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r9688.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r9804.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/r9994.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x15446.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16430.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16453.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16497.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16743.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16769.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16775.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16788.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16896.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16910.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16915.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16923.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16929.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16933.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x16941.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x1859.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x1904.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x2009.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x2123.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x2428.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x2490.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x282.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x294.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x309.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x341.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x3891.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x394.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x448.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x542.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x5634.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x5665.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x5791.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x5884.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x5950.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x5953.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x6386.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x6570.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x6831.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x6909.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x6991.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x7002.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x7013.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x7236.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x7561.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x7578.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x7607.htm
ltp/testcases/kernel/device-drivers/v4l/user_space/doc/spec/x802.htm

79) Log Message:
Manas Kumar Nayak <maknayak@in.ibm.com> shared this wonderfull README to run LTP Network tests.

Added File(s):
ltp/testcases/network/LTP-Network-test_README.pdf

80) Log Message:
Use more descriptive diff format for reporting errors in ln_tests: the error output in some tests is not as useful as it could be. This patch amend that. Do not compare actual and expected output with the "quiet" switch, to get some info more useful than "The files xxx and yyy differ" in case of failure. Use the correct error output file in unzip_tests. Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/commands/fileutils/ln/ln_tests.sh
ltp/testcases/commands/gzip/gzip_tests.sh
ltp/testcases/commands/unzip/unzip_tests.sh

81) Log Message:
This patch fixes the logic of #ifdefs in the signalfd testcase. The problem was, that if our own syscall was used, no test would actually be compiled (because of #else between those two pieces of code). This patch also fixes this compile error:
make[5]: Leaving directory `/tmp/buildd/ltp-20081130+dfsg/testcases/kernel/syscalls/signal'
make[5]: Entering directory `/tmp/buildd/ltp-20081130+dfsg/testcases/kernel/syscalls/signalfd'
cc -g -O2 -g -Wall -O2 -Wall -g -O2 -g -Wall -O2 -I../../include -g -Wall -I../../../../include -Wall    signalfd01.c-L../../../../lib -lltp -o signalfd01
signalfd01.c:88:18: error: #if with no expression
signalfd01.c: In function 'do_test1':
signalfd01.c:117: warning: implicit declaration of function 'signalfd' by checking for "defined USE_OWNIMPL", not "USE_OWNIMPL".
Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/signalfd/signalfd01.c

82) Log Message:
Delete an a.out file in eventfd Makefile: the clean targets in ltp don't always clean all intermediate binary files. This patch fixes that. The a.out file is potentially created by the check for aio_eventfd (or other compile checks) in the makefile. The object files in getgroups Makefile are xxx_16.o. Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/eventfd/Makefile
ltp/testcases/kernel/syscalls/getgroups/Makefile
ltp/testcases/kernel/syscalls/move_pages/Makefile

83) Log Message:
Integrate ltp network tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

84) Log Message:
Integrate ltp network stress tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

85) Log Message:
Integrate ltp adp tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

86) Log Message:
Integrate ltp autofs tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

87) Log Message:
Fix Diskio test. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/testscripts/diskio.sh

88) Log Message:
Integrate ltp exportfs tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

89) Log Message:
Integrate ltp ro only fs tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

90) Log Message:
Integrate ltp isofs tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

91) Log Message:
Integrate ltp dmmapper tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

92) Log Message:
Integrate ltp fslvm tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

93) Log Message:
Integrate ltp fsnolvm tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

94) Log Message:
Integrate ltp scsi_debug tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

95) Log Message:
Integrate ltp sysfs tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

96) Log Message:
Remove rpc tests from tirpc. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/rpctirpc

97) Log Message:
Integrate ltp tirpc tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

98) Log Message:
Integrate ltp selinux tests to runalltests. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

99) Log Message:
Check for existing commands after LTPTMP has been defined in unzip_tests.sh: The chk_ifexist function in unzip_tests needs the variable LTPTMP, but it is called before this variable is initialized. This patch fixes that by moving the call after LTPTMP is initialized. Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/commands/unzip/unzip_tests.sh

100) Log Message:
Always create a new expected output file, not append to the previous in gzip_tests: The expected output file in gzip_tests is made always by appending data to the file. Because there are two tests in gzip_tests (each making its own exp file), the second test ends up with concatenation of the two exp files, which doesn't work well. This patch fixes that by truncating the file at the first write. Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/commands/gzip/gzip_tests.sh

101) Log Message:
Renumber testcases in the symlink01 file, reflecting some added tests: The indexes of tests in th symlink01 test are incorrect, which causes broken test results due to eg. unlink test invoked as part of the chmod tests. This patch fixes that. Signed-Off-By: Jiri Palecek <jpalecek@web.de>. 

Modified Files:
ltp/testcases/kernel/syscalls/symlink/symlink01.c

102) Log Message:
Amend cleanup procedure in mknod07: the cleanup in mknod07 didn't work for me, because the test yields root, removes search permission on its current directory and then tries to chdir("..") which fails due to the missing permission. This patch fixes that by re-gaining root before the cleanup.
 - restore root privileges before tmp directory cleanup. This is needed, because as nonprivileged user, we don't have search permission on the current directory,
 - because of that, do not drop root completely by setuid(), change effective uid instead,
 - call cleanup in one case when setup fails,
Signed-Off-By: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/mknod/mknod07.c

LTP-20081130

1) Log Message:
librttest.c: enhancement and fixes for options handling. 
- simplified check for duplicate options,
- better handling of unknown options and missing args: report missing args and   exit,
- exit if any option is wrong,
- indent fix,
Verified on all rt tests. Signed-off-by: Gilles Carry <gilles.carry@bull.net>, Acked-by: Darren Hart <dvhltc@us.ibm.com>.

Modified File(s):
ltp/testcases/realtime/lib/librttest.c

2) Log Message:
matrix_mult.c: set_affinity to work when there are offline cpus:
Syscall sched_setaffinity fails if choosen cpu is not online. In set_affinity, thread_id value is used as cpuid when calling sched_setaffinity. This fails when disabling cpus because threads ids and online cpu ids don't necessarly match. This patch simply increments cpuid (max. 8192) until it finds an online cpu. This guaranties that no more than one thread is assigned to one cpu. If set_affinity is called more times than there are online cpus then matrix_mult.c fails. Signed-off-by: Gilles Carry <gilles.carry@bull.net>, Acked-by: Darren Hart <dvhltc@us.ibm.com>,

Modified File(s):
ltp/testcases/realtime/func/matrix_mult/matrix_mult.c

3) Log Message:
matrix_mult.c: dynamic iterations configuration.
Dimension (128) of statistics arrays must be a multiple of number of cpu. This is a hassle as you have to recompile every time your arch changes or if you want to disable cpus. Failing to do so causes segfault when requiring statistics if 128 modulo nr_cpus != 0. This patch adds option -i to specify how many iterations are wanted (still defaulting to 128). It rounds up iterations to the nearest multiple of online cpus. Signed-off-by: Gilles Carry <gilles.carry@bull.net>, Acked-by: Darren Hart <dvhltc@us.ibm.com.

Modified File(s):
ltp/testcases/realtime/func/matrix_mult/matrix_mult.c

4) Log Message:
matrix_mult.c: thread synchronisation simplification:
In concurrent calculations:
- use a single pthread_barrier to start all threads together instead of a combination of barrier/mutex/condvar.
- main thread no longer participates to concurrent calculations and simply performs rt_gettime(s) for global time spent evaluation.
Signed-off-by: Gilles Carry <gilles.carry@bull.net>, Acked-by: Darren Hart <dvhltc@us.ibm.com>.

Modified File(s):
ltp/testcases/realtime/func/matrix_mult/matrix_mult.c

5) Log Message:
matrix_mult.c: concurrent calculation stats fix:
Array size for stats was iterations/numcpus. Concurrent threads used to write their stats in the same rows, overwriting each other's results. This patch makes array size = iterations and threads not overlapping their results by shifting their index. Signed-off-by: Gilles Carry <gilles.carry@bull.net>, Acked-by: Darren Hart <dvhltc@us.ibm.com>.

Modified File(s):
ltp/testcases/realtime/func/matrix_mult/matrix_mult.c

6) Log Message:
use feedback from Jan Kratochvil so we wait for the child to be stopped before we attempt to ptrace it.

Modified File(s):
ltp/testcases/kernel/syscalls/ptrace/spawn_ptrace_child.h

7) Log Message:
base {PEEK,POKE}USER on sizeof(user) rather than sizeof(pt_regs) and add a few more corner cases.

Modified File(s):
ltp/testcases/kernel/syscalls/ptrace/ptrace06.c

8) Log Message:
drop backup file configure~

Modified File(s):
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/configure~

9) Log Message:
start a .gitignore

Added File(s):
ltp/.gitignore

10) Log Message:
This patch fixes what I believe is a wrong logic in test 3 of this script right after the last "crontab -l ..." command. In my system the cron table is empty; this command will return false and the else clause will never be executed. If the command returns true (0) then the cron table is not empty as it was supposed to be and the script must indicate an error. Signed-Off-By: Elder Costa <elder.costa@terra.com.br>.

Modified File(s):
ltp/testcases/commands/cron/cron_tests.sh

11) Log Message:
Stop building numa test in cross environment: None of the tests for the existence of numa prereqs work in a cross build environment. This is a patch to skip erroneously checking for these prereqs on a host system if the $CROSS_COMPILER variable is set per the runltp script. Without this patch, the existing script checks for the existence of aheader file on the /usr/include, but our compiler only looks within the include directories of the target system, and stops cross building of the entire ltp suite, if the target does not have numa.h/no numa support. Signed-Off-By: Henry Yei <hyei@mvista.com>.

Modified File(s):
ltp/testcases/kernel/numa/test.sh

12) Log Message:
The following are errors while compiling ltp-full-20081031 with ARM architecture:
make[4]: Entering directory `/home/naresh/DIFF/11_2008/ltp-full-20081031/testcases/kernel/syscalls/eventfd' /usr/local/arm-sony-linux-gnueabi/devel/bin/arm-sony-linux-gnueabi-dev-gcc
-Wall  -I../../include -g -Wall -I../../../../include -Wall    eventfd01.c -L../../../../lib -lltp -o eventfd01
In file included from eventfd01.c:60:
../../include/linux_syscall_numbers.h:113:10: error: no macro name given in #ifndef directive
make[4]: *** [eventfd01] Error 1
make[4]: Leaving directory
`/home/naresh/DIFF/11_2008/ltp-full-20081031/testcases/kernel/syscalls/eventfd' 
make[3]: *** [all] Error 2
make[3]: Leaving directory
`/home/naresh/DIFF/11_2008/ltp-full-20081031/testcases/kernel/syscalls'
Here I am attaching the patch to resolve above error. Signed-Off-By: naresh kamboju <naresh.kernel@gmail.com>.

Modified File(s):
ltp/testcases/kernel/include/arm.in

13) Log Message:
Alan Cox [alan@lxorguk.ukuu.org.uk] wrote:
The test changes the window size using the slave-fd and expects that it won't affect the window-size on master-fd. With this change, we return the slave's window size and test fails. I've no idea why anyone would have thought the existing behaviour was correct. The pty/tty pair code tries to share the size and other information at all times and the old test was I think verifying a bug existed.
Sukadev <sukadev@linux.vnet.ibm.com> wrote:
We are referring to the last window size check in test2() of testcases/kernel/pty/ptem01.c. This check will cause the test to fail when some of the planned ttydev changes are merged. Would you happen to know if the check is really required or if it should be dropped ? 
Subrata Modak <subrata@linux.vnet.ibm.com> wrote: I would want the test to remain there, but introduce some checkings before running the test. As test2() is valid under present circumstances, we should retain it as people will keep using LTP on lower kernels. Having said that, i would like to come with a solution where test2() of testcases/kernel/pty/ptem01.c is not run after the planned ttydev changes are merged. Something compile/run time checking to either not to build that part of code and run it. Can we do something like that by checking some glibc/kernel exported definitions ?
Sukadev <sukadev@linux.vnet.ibm.com> wrote:
Just to be clear, the entire test2() is not broken. Only the last part (see patch below) Other parts of test2() should be fine even with new changes. Other than the kernel version when the changes are merged, I am not sure there is a way. Besides, it is not clear which assertion that part of test2() is testing and if it is even needed for older kernels. Here is the part of test2() I am referring to: Signed-Off-By: Sukadev <sukadev@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/pty/ptem01.c

14) Log Message:
Enable Kernel with the Option during build to test filecaps support. Subrata.

Modified File(s):
ltp/README
ltp/testcases/kernel/security/filecaps/README

15) Log Message:
check input files and abort if broken line is found

Modified File(s):
ltp/testcases/kernel/include/regen.sh

16) Log Message:
remove bogus line

Modified File(s):
ltp/testcases/kernel/include/sh.in

17) Log Message:
The attached Patch defines more about the keywords:
i) TPASS - Indicates that the test case had the expected result and passed.
ii) TFAIL - Indicates that the test case had an unexpected result and failed.
iii) TBROK - Indicates that the remaining test cases are broken and will not execute correctly, because some precondition not met, such as a resource not being available.
iv) TCONF - Indicates that the test case was not written to run on the current harware or software configuration such as machine type, or, kernel version. 
v) TRETR - Indicates that the test cases has been retired and should not be executed any longer.
vi) TWARN - Indicates that the test case experienced an unexpected or undesirable event that should not affect the test itself such as being unable to cleanup resources after the test finished.
vii) TINFO - Specifies useful information about the status of the test that does not affect the result and does not indicate a problem.

in the HTML file generated after test run. I believe it will be very useful for deciphering results better: Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/tools/html_report_header.txt

18) Log Message:
Added test case for checking cpuidle sysfs files. Signed-Off-By: Nageswara R Sastry <rnsastry@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/power_management/Makefile
ltp/testcases/kernel/power_management/runpwtests.sh

Added Files:
ltp/testcases/kernel/power_management/check_cpuidle_sysfs_files.sh

19) Log Message:
gcov-kernel: change comment to recommend CONFIG_GCOV_HAMMER=n. Background: CONFIG_GCOV_HAMMER indicates a modified gcc version which is not the majority of cases: Some Linux distributions ship a modified version of GCC 3.3.x that produces GCOV data incompatible with the format of the standard GCC 3.3.x. If you are using such a distribution, you need to enable this option for the GCOV kernel support to work correctly. Signed-Off-By: Peter Oberparleiter <oberpapr@users.sourceforge.net>.


Modified File(s):
ltp/utils/analysis/gcov-kernel/linux-2.6.27-gcov.patch

20) Log Message:
Following the footsteps of Masatake Yamato, i have decided to enable building, installing & running of some _16 & _64 bit syscalls tests in LTP. I have taken this trivial ones, and, would leave other porting to you. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>. 

Modified File(s):
ltp/runtest/syscalls
ltp/testcases/kernel/syscalls/chown/Makefile
ltp/testcases/kernel/syscalls/fchown/Makefile
ltp/testcases/kernel/syscalls/fcntl/Makefile
ltp/testcases/kernel/syscalls/fstat/Makefile
ltp/testcases/kernel/syscalls/fstatat/Makefile
ltp/testcases/kernel/syscalls/fstatfs/Makefile
ltp/testcases/kernel/syscalls/getdents/Makefile
ltp/testcases/kernel/syscalls/geteuid/Makefile
ltp/testcases/kernel/syscalls/getgroups/Makefile
ltp/testcases/kernel/syscalls/getuid/Makefile
ltp/testcases/kernel/syscalls/lchown/Makefile
ltp/testcases/kernel/syscalls/lstat/Makefile
ltp/testcases/kernel/syscalls/pread/Makefile
ltp/testcases/kernel/syscalls/pselect/Makefile
ltp/testcases/kernel/syscalls/setfsgid/Makefile
ltp/testcases/kernel/syscalls/setfsuid/Makefile
ltp/testcases/kernel/syscalls/setregid/Makefile
ltp/testcases/kernel/syscalls/setresgid/Makefile
ltp/testcases/kernel/syscalls/setresuid/Makefile
ltp/testcases/kernel/syscalls/setreuid/Makefile
ltp/testcases/kernel/syscalls/setuid/Makefile
ltp/testcases/kernel/syscalls/stat/Makefile
ltp/testcases/kernel/syscalls/statfs/Makefile

21) Log Message:
The following Patch adds the option to run filecaps tests from runalltests.sh and also provisions for installation of required libraries not present in the system. Also systematic execution of all tests run through runalltests.sh is added. Signed-Of-By: Subrata Modak <subrata@linux.vnet.ibm.com>. 

Modified File(s):
ltp/runalltests.sh

22) Log Message:
Submitting the testcase, which would try to kill the parent namespace pid from the container init. Also this tests a scenario of killing non existent pid from the container. Signed-off-by: Veerendra C <vechandr@in.ibm.com>. Acked-by: Sukadev Bhattiprolu <sukadev@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/containers/pidns/pidns06.c

23) Log Message:
Added Kernel .config options for building LTP SECURITY TESTS. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>. Reviewd-By: Stephen Smalley <sds@tycho.nsa.gov>.

Modified File(s):
ltp/README
ltp/testcases/kernel/security/selinux-testsuite/README

24) Log Message:
This patch fixes an issue with the sort command in netns testcases. Because of this all network namespace testcases were failing. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/containers/netns/initialize.sh

25) Log Message:
(previous mail got accidentally line-wrapped, sorry.). Attachted patch changes the location of thest test-binaries of aio-stress and aiodio runtest-files. Instead of the relative-build location just the binary get called,which is in the PATH of testcases/bin/ anyway when called by "pan". This patch should have no impact on testing inside ltp-build-tree. The idea of this patch is to allow easier packaging of LTP. (No runtest-file modification required when installting into the system environment) Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/runtest/ltp-aio-stress.part1
ltp/runtest/ltp-aio-stress.part2
ltp/runtest/ltp-aiodio.part1
ltp/runtest/ltp-aiodio.part2

26) Log Message:
Subrata and Daniel,
moving from ia64 to x86_64 arch I have got this at linking time: 
cc -o aio-stress aio-stress.o -Wall -O -g -DAIO -L /usr/lib -laio -lpthread
/usr/bin/ld: skipping incompatible /usr/lib/libpthread.so when searching for -lpthread
/usr/bin/ld: skipping incompatible /usr/lib/libpthread.a when searching for -lpthread
/usr/bin/ld: skipping incompatible /usr/lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/libc.a when searching for -lc
so , if you could  have a look to the suggested following  patch. Signed-Off-By: Jacky Malcles <Jacky.Malcles@bull.net>.

Modified File(s):
ltp/testcases/kernel/io/ltp-aiodio/Makefile

27) Log Message:
on SLES10 SP2 __NR_get_robust_list is not defined and cause following compiler warning:
---->8---------
make[4]: Entering directory
`/usr/src/packages/BUILD/ltp-full-20081031/testcases/kernel/syscalls/get_robust_list'
cc -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -g -Wall -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -g -I../../include -g -Wall -I../../../../include -Wall    get_robust_list01.c -L../../../../lib -lltp -o get_robust_list01
get_robust_list01.c: In function 'main':
get_robust_list01.c:252: warning: control reaches end of non-void function
make[4]: Leaving directory
`/usr/src/packages/BUILD/ltp-full-20081031/testcases/kernel/syscalls/get_robust_list'
----8<---------
And cause "unexpected" return value:
----8<---------
x86_64:~/:[1]# /usr/lib64/ltp/testcases/bin/get_robust_list01 get_robust_list: system call not available
x86_64:~/:[43]# echo $?
43
x86_64:~/:[0]# /usr/lib64/ltp/testcases/bin/get_robust_list01 | wc -c
43
---->8---------
Attached patch avoids "random"/43 return value. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/get_robust_list/get_robust_list01.c

28) Log Message:
This patch fixes a compilation warning:
timerfd01.c: In function `main':
timerfd01.c:128: warning: unused variable `tfd2'
Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/syscalls/timerfd/timerfd01.c

29) Log Message:
Hello, these are some little fixes I've created for ltp. They are typos, fixes for compiler warning, bashisms in the makefiles etc. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/pan/pan.c
ltp/pan/zoolib.c
ltp/testcases/kernel/power_management/runpwtests.sh
ltp/testcases/kernel/syscalls/eventfd/Makefile
ltp/testcases/kernel/syscalls/fallocate/fallocate02.c
ltp/testcases/kernel/syscalls/fallocate/fallocate03.c
ltp/testcases/kernel/syscalls/kill/kill03.c
ltp/testcases/kernel/syscalls/kill/kill04.c
ltp/testcases/kernel/syscalls/mount/mount03.c
ltp/testcases/kernel/syscalls/move_pages/Makefile

30) Log Message:
when building Debian ltp package on alpha, the package failed to build, because alpha lacks some of the syscalls (the xxx_16 ones). See:
http://experimental.debian.net/fetch.php?&pkg=ltp&ver=20081031%2Bdfsg-1&arch=alpha&stamp=1225968365&file=log&as=raw
I have created some patches, which fix this behaviour (ie. the build  doesn't fail then). They work like this:
1. Syscalls which are potentially missing on some architectures are listed in the stub-list,
2. If a syscall(x) is called and x is 0 (a value of undefined stub syscalls), the test is aborted by tst_brk(). This is accomplished by a macro wrapper over the syscall() function (this almost eliminates the need of changing the tests in question, and allows the compiler to eliminate parts of tests of nonexistent syscalls as dead code). The attached patches implement this. Some remarks:
- the syscalls added to the stub list are the ones which appear in the kernel sources as __IGNORE_name-of-syscall,
- the macro is for gcc only. The test using this mechanism (ie. #including linux_syscall_numbers.h and calling syscall()) must define static function void cleanup(void) to be called when the syscall is missing (the patch also handles this for tests that lack it).
Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/include/regen.sh
ltp/testcases/kernel/include/stub-list
ltp/testcases/kernel/syscalls/pwrite/pwrite04.c
ltp/testcases/kernel/syscalls/setgid/setgid01.c
ltp/testcases/kernel/syscalls/setgid/setgid02.c
ltp/testcases/kernel/syscalls/setgid/setgid03.c
ltp/testcases/kernel/syscalls/timerfd/timerfd01.c
ltp/testcases/kernel/syscalls/utimensat/utimensat01.c

31) Log Message:
Fix success detection in execve04 test:
The execve04 test works like this: It sets up the environment, calls execve() and expects failure. However, this has two bad consequences if the call actually succeeds 
1. The failure (ie. success of the call) is unnoticed,
2. The test leaves loads of files in the temporary directory.
all of them being caused by the fact that the test no longer runs after a succesful exec(). This patch fixes the situation by calling exec in a child only. The failure (or success) is gathered from the child's exit value. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/execve/execve04.c

32) Log Message:
This patch fixes the error, that code exhausting the file descriptor table in execve04 test actually doesn't exhaust the fd table at all. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/execve/execve04.c

33) Log Message:
Don't break chown tests on non-catastrophic failures. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/chown/chown03.c
ltp/testcases/kernel/syscalls/fchown/fchown02.c
ltp/testcases/kernel/syscalls/fchown/fchown03.c

34) Log Message:
Do not call tst_brkm from the cleanup function in some tests: It is bad for the cleanup function to abort by calling tst_brkm, because in that case, further cleanup will not be performed. This patch fixes it in some chmod*, chown*, fchmod* and fchown* tests by substituting tst_resm for tst_brkm. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/chmod/chmod06.c
ltp/testcases/kernel/syscalls/chown/chown04.c
ltp/testcases/kernel/syscalls/fchown/fchown02.c
ltp/testcases/kernel/syscalls/fchown/fchown03.c
ltp/testcases/kernel/syscalls/fchown/fchown04.c
ltp/testcases/kernel/syscalls/fchown/fchown05.c

35) Log Message:
Prevent leaving files in the temporary directory by calling tst_rmdir, or cleanup, where appropriate. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/fs/stream/stream04.c
ltp/testcases/kernel/syscalls/chown/chown03.c
ltp/testcases/kernel/syscalls/fallocate/fallocate03.c
ltp/testcases/kernel/syscalls/fchown/fchown04.c
ltp/testcases/kernel/syscalls/fdatasync/fdatasync01.c
ltp/testcases/kernel/syscalls/ftruncate/ftruncate03.c
ltp/testcases/kernel/syscalls/pwrite/pwrite04.c
ltp/testcases/network/lib6/runcc.c

36) Log Message:
Call cleanup() at the right places to prevent fallocate tests leaving files in the temporary directory. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/fallocate/fallocate01.c
ltp/testcases/kernel/syscalls/fallocate/fallocate02.c

37) Log Message:
I've clean my signalfd test case up with autoconf. After applying the patch, do at ltp/
    autoconf
    autoheader
    ./configure
    make (or cd testcases/kernel/syscalls/signalfd; make)
Benefits are:
- signalfd01.c doesn't depends on kernel version (it used KERNEL_VERSION macro.)
- Makefile becomes simple.
- #ifdef/#endif of signalfd01.c becomes readable.
- signalfd.m4 can use other program than ltp.
I revisied my patch.
- signalfd.m4 is renamed to ltp-signalfd.m4.
- configure is run by make if config.h is older than config.h.in.
- autoconf is run by make if configure is older than configure.ac.
- autoheader is run by make if config.h.in is older than configure.ac.
- dist-clean, a new make target, removes autom4te.cache, config.log and config.status.
- maintainer-clean, a new make target, removes configure and config.h.in.
Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified Files:
ltp/Makefile
ltp/include/Makefile
ltp/testcases/kernel/syscalls/signalfd/Makefile
ltp/testcases/kernel/syscalls/signalfd/signalfd01.c
Added Files:
ltp/configure.ac
ltp/m4/Makefile
ltp/m4/ltp-signalfd.m4

38) Log Message:
Use the SO_REUSEADDR option in sctp tests to prevent bind error shortly after another test ended: I've noticed a bunch of errors in the SCTP tests, all of them being for the same reason, "bind: address already in use". I tried using the SO_REUSEADDR option on the socket, as if it was TCP, and it helped. However, I know almost nothing about SCTP, and don't know whether the same situation (applications binding to the same port quickly one after another) has the same problems and solution, or if it is just a kernel bug/misconfiguration/whatever else. Signed-off-by: Jiri Palecek<jpalecek@web.de>.

Modified File(s):
ltp/testcases/network/sctp/testlib/sctputil.h

39) Log Message:
Quick and dirty fix to overflow in pipeio when computing the number of writes: the computation of the number of writes in pipeio can overflow, eg. if you want to run more than 4 GB through the pipe. The attached patch fixes that. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/ipc/pipeio/pipeio.c

40) Log Message:
regen linux_syscall_numbers.h whenever regen.sh changes. Mike Frysinger <vapier@users.sourceforge.net>.

Modified File(s):
ltp/testcases/kernel/include/Makefile

41) Log Message:
make syscall() wrapper a bit more readable. Mike Frysinger <vapier@users.sourceforge.net>.

Modified File(s):
ltp/testcases/kernel/include/regen.sh

42) Log Message:
only create symlink if it doesnt exist already. Mike Frysinger <vapier@users.sourceforge.net>.

Modified File(s):
ltp/testcases/kernel/include/Makefile

43) Log Message:
generate stub list on the fly based on *.in files

Modified File(s):
ltp/testcases/kernel/include/regen.sh

Removed File(s):
ltp/testcases/kernel/include/stub-list

44) Log Message:
cleanup style with Lindent

Modified File(s):
ltp/testcases/kernel/syscalls/signalfd/signalfd01.c

45) Log Message:
use a macroname that isnt crazy long.

Modified File(s):
ltp/testcases/kernel/syscalls/signalfd/signalfd01.c

46) Log Message:
fill out AC_INIT().

Modified File(s):
ltp/configure.ac

47) Log Message:
use AC_CHECK_HEADERS_ONCE().

Modified File(s):
ltp/ltp/m4/ltp-signalfd.m4

48) Log Message:
make autotools optional and start a sane config.h by default.

Modified File(s):
ltp/include/Makefile 
ltp/Makefile
Added File(s):
ltp/include/config.h.default 

49) Log Message:
add some compiled objects to the ignore list.

Modified File(s):
ltp/.gitignore

50) Log Message:
Integrate unzip tests to runtest/commands file. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/commands ltp/testcases/commands/Makefile
ltp/testcases/commands/unzip/unzip_tests.sh

51) Log Message:
Integrate tpm_tools into runalltests.sh. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runalltests.sh

53) Log Message:
Integrate gzip tests to runtest/commands file. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/commands

54) Log Message:
Integrate fileutils tests to runtest/commands file. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/commands

55) Log Message:
Integrate size01 tests to runtest/commands file. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/commands

56) Log Message:
Add ltp/runtest/commands file to ltp/runltp. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runltp

57) Log Message:
hugemmap02 "Segmentation fault" fix:
-----------------------------------------------------------
Iranna D. Ankad <iranna.ankad@in.ibm.com> Reported:
-----------------------------------------------------------
hugemmap02 "Segmentation fault" on a 32-bit system:
Linux 2.6.18-120.el5PAE #1 SMP Fri Oct 17 18:17:11 EDT 2008 i686 i686 i386 GNU/Linux
Allocate some huge pages:
# echo 50 > /proc/sys/vm/nr_hugepages
2. Create & mount hugetlbfs
#mkdir -p /hugetlbfs
#mount -t hugetlbfs none /hugetlbfs
3. Go to following directory in LTP i.e cd /root/ltp-full-20080930/testcases/kernel/mem/hugetlb/hugemmap
4. Run "hugemmap02" test
# ./hugemmap02 -H /hugetlbfs/
Segmentation fault
-----------------------------------------------------------
Cijurajan Kollanoor <cijurajan@in.ibm.com> Replied:
-----------------------------------------------------------
The program receives a segmentation fault here:
154                 /* Attempt to mmap a huge page into a low memory address
*/
155                 errno = 0;
156                 addr2 = mmap(LOW_ADDR2, MAP_SIZE, PROT_READ | PROT_WRITE,
==> Segfault
157                             MAP_SHARED | MAP_FIXED, fildes, 0);
158
-----------------------------------------------------------
Adam Litke <agl@us.ibm.com>Replied:
-----------------------------------------------------------
Unfortunately, when you mmap using the MAP_FIXED flag, you can overwrite an existing mmap in the address space.  Please do the following to check if this has happened:
1. Insert a 'getchar();' call above line 155 in the test source code above and recompile the test.
2. Run the test.  When it pauses (waiting for input at the getchar() call), hit <ctrl>-z to background the test.
3. Determine the pid of the test case using ps
4. Collect the /proc/<pid>/maps for the appropriate pid
5. Paste that output here in this bug.
-----------------------------------------------------------
Cijurajan Kollanoor Replied:
-----------------------------------------------------------
# cat maps
00000000-00001000 r-xs 00000000 00:11 1781       /dev/zero
00110000-0024e000 r-xp 00000000 08:02 19183585   /lib/libc-2.5.so
0024e000-00250000 r-xp 0013e000 08:02 19183585   /lib/libc-2.5.so
00250000-00251000 rwxp 00140000 08:02 19183585   /lib/libc-2.5.so
00251000-00254000 rwxp 00251000 00:00 0
005f1000-0060b000 r-xp 00000000 08:02 19183582   /lib/ld-2.5.so
0060b000-0060c000 r-xp 00019000 08:02 19183582   /lib/ld-2.5.so
0060c000-0060d000 rwxp 0001a000 08:02 19183582   /lib/ld-2.5.so
0073a000-0073b000 r-xp 0073a000 00:00 0          [vdso]
08048000-0804d000 r-xp 00000000 08:02 2586373
/root/ltp-full-20080930/testcases/kernel/mem/hugetlb/hugemmap/hugemmap02
0804d000-0804e000 rw-p 00004000 08:02 2586373
/root/ltp-full-20080930/testcases/kernel/mem/hugetlb/hugemmap/hugemmap02
0804e000-08052000 rw-p 0804e000 00:00 0
08248000-08269000 rw-p 08248000 00:00 0          [heap]
67ef8000-77ef8000 r--s 00000000 00:11 1781       /dev/zero
77ef8000-87ef8000 r--s 00000000 00:11 1781       /dev/zero
87ef8000-97ef8000 r--s 00000000 00:11 1781       /dev/zero
97ef8000-a7ef8000 r--s 00000000 00:11 1781       /dev/zero
a7ef8000-b7ef8000 r--s 00000000 00:11 1781       /dev/zero
b7ef8000-b7efa000 rw-p b7ef8000 00:00 0
b7f0a000-b7f0b000 rw-p b7f0a000 00:00 0
bf918000-bf92d000 rw-p bffea000 00:00 0          [stack]
-----------------------------------------------------------
ADAM G. LITKE Replied:
-----------------------------------------------------------
My suspicion is confirmed.  This is a LTP test case bug.  All of the above mappings will have been overwritten by the mmap call on the hugetlbfs file at address 0.  This will most certainly cause your program to crash and burn. To fix the test case, I would recommend removing the MAP_FIXED flag from that mmap call and checking the address you get from mmap.  If it's zero, you'll know a mapping could be created at the bottom of the address space.  If it's -1, the mmaping failed. But if it's >0, you'll have to decide how to handle the case where the mapping could not be placed in the spot you requested. This case would not be a failure, just a failure to test the scenario you wanted to test.  I assume the LTP test harness has a way to represent an insignificant test result.  You might just treat this case in the same way you handle mmap() == 0.
Signed-Off-By:  Cijurajan Kollanoor <cijurajan@in.ibm.com>,

Modified File(s):
ltp/testcases/kernel/mem/hugetlb/hugemmap/hugemmap02.c

58) Log Message:
This test case requires write permission for the dummy program. It would fail for those who put LTP on an read-only environment. So this patch copies the dummy test program to and performs the test in a private directory. p.s. this patch copy the one Renaud Lottiaux sent for execve02.c. Signed-Off-By: Roy Lee <roylee17@gmail.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/creat/creat07.c

59) Log Message:
Only define signalfd() when it actually gets used -- i.e. when !USE_STUB. Mike Frysinger <vapier@users.sourceforge.net>

Modified File(s):
ltp/testcases/kernel/syscalls/signalfd/signalfd01.c

60) Log Message:
require autoconf-2.61+. Mike Frysinger <vapier@users.sourceforge.net>.

Modified File(s):
ltp/configure.ac

61) Log Message:
lcov: preparations for release 1.7. Peter Oberparleiter <oberpapr@users.sourceforge.net>.

Modified File(s):
ltp/utils/analysis/lcov/CHANGES
ltp/utils/analysis/lcov/Makefile

62) Log Message:
lcov: update error and warning messages. Peter Oberparleiter <oberpapr@users.sourceforge.net>.

Modified File(s):
ltp/utils/analysis/lcov/CHANGES
ltp/utils/analysis/lcov/bin/gendesc
ltp/utils/analysis/lcov/bin/genhtml
ltp/utils/analysis/lcov/bin/geninfo
ltp/utils/analysis/lcov/bin/genpng
ltp/utils/analysis/lcov/bin/lcov


63) Log Message:
lcov: fix spec file bug. Peter Oberparleiter <oberpapr@users.sourceforge.net>.

Modified File(s):
ltp/utils/analysis/lcov/rpm/lcov.spec

64) Log Message:
lcov: version + date updates. Peter Oberparleiter <oberpapr@users.sourceforge.net>.

Modified File(s):
ltp/utils/analysis/lcov/README
ltp/utils/analysis/lcov/bin/gendesc
ltp/utils/analysis/lcov/bin/genhtml
ltp/utils/analysis/lcov/bin/geninfo
ltp/utils/analysis/lcov/bin/genpng
ltp/utils/analysis/lcov/bin/lcov
ltp/utils/analysis/lcov/man/gendesc.1
ltp/utils/analysis/lcov/man/genhtml.1
ltp/utils/analysis/lcov/man/geninfo.1
ltp/utils/analysis/lcov/man/genpng.1
ltp/utils/analysis/lcov/man/lcov.1
ltp/utils/analysis/lcov/man/lcovrc.5
ltp/utils/analysis/lcov/rpm/lcov.spec

65) Log Message:
lcov: updated CVS version to 1.8. Peter Oberparleiter <oberpapr@users.sourceforge.net>.

Modified File(s):
ltp/utils/analysis/lcov/man/gendesc.1
ltp/utils/analysis/lcov/man/genhtml.1
ltp/utils/analysis/lcov/man/geninfo.1
ltp/utils/analysis/lcov/man/genpng.1
ltp/utils/analysis/lcov/man/lcov.1
ltp/utils/analysis/lcov/man/lcovrc.5
ltp/utils/analysis/lcov/bin/gendesc
ltp/utils/analysis/lcov/bin/genhtml
ltp/utils/analysis/lcov/bin/geninfo
ltp/utils/analysis/lcov/bin/genpng
ltp/utils/analysis/lcov/bin/lcov
ltp/utils/analysis/lcov/rpm/lcov.spec
ltp/utils/analysis/lcov/Makefile

66) Log Message:
I've introduced autoconf to modify_ldt test cases. The modification is very similar to the modification to signalfd. Signed-off-by: Masatake YAMATO<yamato@redhat.com>.

Modified Files:
ltp/configure.ac
ltp/m4/ltp-signalfd.m4
ltp/runtest/syscalls
ltp/testcases/kernel/syscalls/modify_ldt/Makefile
ltp/testcases/kernel/syscalls/modify_ldt/modify_ldt01.c
ltp/testcases/kernel/syscalls/modify_ldt/modify_ldt02.c

Added Files:
ltp/m4/ltp-modify_ldt.m4

67) Log Message:
Please accept the patch for running the pidns tests for the containers. Also modified, to run all the testcases even when other testcase's fails. This patch contains the patches to run new tests pidns05 and pidns06. Also this patch will run all the pidns tests. And return back the exit code of the test, which failed first. Signed-off-by: Veerendra C <vechandr@in.ibm.com>. Acked-by: Serge Hallyn <serue@us.ibm.com>.

Modified File(s):
ltp/testcases/kernel/containers/pidns/runpidnstest.sh

68) Log Message:
[Bug # 2305878] fcntl17: fix short pid problem. Process ids (pids) are not necessary in "short" range, they might be larger (and are in SLES 10 e.g.). Signed_off-By: Marcus Meissner <marcusmeissner@users.sourceforge.net>.

Modified File(s):
ltp/testcases/kernel/syscalls/fcntl/fcntl17.c

69) Log Message:
Change "Buffer size is not positive" testcase readlink03 to use 0 as non-positive buffer size, instead of -1. To avoid a fortify-check-fail when using glibc and _FORTIFY_SOURCE=2. See discussion: http://lkml.org/lkml/2008/10/23/229. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/readlink/readlink03.c

70) Log Message:
Risrajak <risrajak@linux.vnet.ibm.com> reported:
mallocstress testcase is failing on: Linux 2.6.27-rc6-7-default #1 SMP 2008-09-15 10:58:05 +0200 x86_64
# ./testcases/kernel/mem/mtest07/mallocstress
Aborted
---Kernel Component Data---
Stack trace output: i am attaching full strace.
<snip>
clone(child_stack=0x7fe381a96250,
flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID,
parent_tidptr=0x7fe381a969e0, tls=0x7fe381a96950, child_tidptr=0x7fe381a969e0) = 27334
nanosleep({0, 0}, NULL)                 = 0
semop(34439172, 0x7fffa7cbef00, 1)      = 0
futex(0x7fe39f2d19e0, FUTEX_WAIT, 27275, NULL <unfinished ...>
+++ killed by SIGABRT +++
---------------------------------------
Nagesh Sharyathi Replied:
---------------------------------------
I was able to recreate the problem by spawning only 2 threads: This is what I found:
------------------------------------------------------------------------------------
[pid  8006] tgkill(8004, 8006, SIGABRT <unfinished ...>
[pid  8005] <... mmap resumed> )        = 0x7f8ba781b000
[pid  8006] <... tgkill resumed> )      = 0
[pid  8005] nanosleep({0, 0},  <unfinished ...>
[pid  8006] --- SIGABRT (Aborted) @ 0 (0) ---
Process 8006 detached
[pid  8005] <... nanosleep resumed> NULL) = 0
[pid  8005] +++ killed by SIGABRT +++
+++ killed by SIGABRT +++
------------------------------------------------------------------------------------
So one of the thread is sending tgkill to whole group. Need to look into glibc code to understand the problem. Test case is failing strangely while calling free()
=================================
         for (i = 0; i < num_alloc; i++)
         {
             dprt(("pid[%d]: freeing ptrs[i] %p\n", getpid(), ptrs[i]));
         if (ptrs[i][0] != i) {
         fprintf(stderr, "pid[%d]: fail: bad sentinel value\n", getpid());
         return 1;
         }
         free(ptrs[i]);  <== Problem area
             my_yield();
        }
=================================
Andrew Vagin Replied <avagin@gmail.com>:
Thanks. I found error for help valgrind.
==13393== Thread 56:
==13393== Invalid write of size 8
==13393==    at 0x400C27: allocate_free (mallocstress.c:198)
==13393==    by 0x400E4D: alloc_mem (mallocstress.c:281)
==13393==    by 0x3B5F007299: start_thread (in /lib64/libpthread-2.8.so)
==13393==    by 0x3B5E4E439C: clone (in /lib64/libc-2.8.so)
==13393==  Address 0x4c36a60 is 0 bytes inside a block of size 1 alloc'd
==13393==    at 0x4A0739E: malloc (vg_replace_malloc.c:207)
==13393==    by 0x400BF0: allocate_free (mallocstress.c:192)
==13393==    by 0x400E4D: alloc_mem (mallocstress.c:281)
==13393==    by 0x3B5F007299: start_thread (in /lib64/libpthread-2.8.so)
==13393==    by 0x3B5E4E439C: clone (in /lib64/libc-2.8.so)
(gdb) print i
$1 = 0
(gdb) print alloc_num
No symbol "alloc_num" in current context.
(gdb) print num_alloc
$2 = 0
(gdb) print size
$3 = 1
strick the eye, we have pointer with type long, but allocate one byte only.
size_t  size       = 1;
long    *ptrs[MAXPTRS];
......
ptrs[num_alloc] = (long *)malloc(size);
I use valgrind first time. Thanks for this possibility:). see the attached patch. test passed and valgrind don't report errors after my patch. 
Thread [34]: allocate_free() returned 0, succeeded.  Thread exiting.
main(): test passed.
==13299==
==13299== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 4 from 1)
==13299== malloc/free: in use at exit: 0 bytes in 0 blocks.
==13299== malloc/free: 233,080 allocs, 227,080 frees, 5,454,975,665,283 bytes allocated.
ps: I use oldsize = 5, because long will be equal 8 in more case. oldsize is previous value of fibannoci series. 
Signed-Off-By: "avagin@gmail.com" <avagin@gmail.com>.

Modified File(s):
ltp/testcases/kernel/mem/mtest07/Makefile
ltp/testcases/kernel/mem/mtest07/mallocstress.c

71) Log Message:
Initial Porting of accept4() syscall test to LTP by Subrata Modak <subrata@linux.vnet.ibm.com>. Originally written by Michael Kerrisk <mtk.manpages@gmail.com>. Later modified to suite compilation on different systems by Jiri Palecek <jpalecek@web.de>, who wrote the following:
I have some nitpicks, in decreasing severity: First, the syscall, I believe, is not targeted at i386 and x86-64 only. Therefore, it is not wise to have these explicitly mentioned in the code. Also, it would be better not to "#error" if the arch isn't one of those fortunate, because ltp should build on others too. This should be fixed by patch 1. Disclaimer: This patch should make it compile (and fail at runtime with TCONF) on all kernels that don't have the syscall, and actually run the test on all kernels that do, depending on kernel headers version. However, I didn't test this (especially the selection of the syscall), so it needs to be checked. Second, if any of the syscalls vital for the test fails, it's preferable to output the error message too, and call tst_brk() for cleanup (patch 2). Third, there it would probably be better to use TFAIL/TPASS for recording success and failure instead of manual boolean flags (patch 3). Last, I think a successful test should print as little as possible and multiline messages like "calling syscall..." are really not that useful. Patch 4 disables them.

Modified Files:
ltp/runtest/syscalls
ltp/testcases/kernel/include/x86_64.in
Added Files:
ltp/testcases/kernel/syscalls/accept4/Makefile
ltp/testcases/kernel/syscalls/accept4/accept4_01.c

72) Log Message:
I guess you want ">/dev/null 2>&1" to eliminate both STDERR and STDOUT. Attaching a small patch with the above change. Please accept. Signed-Off-By: Nageswara R Sastry <rnsastry@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/power_management/check_cpuidle_sysfs_files.sh

73) Log Message:
A small Fix. Signed-off-by: Masatake YAMATO<yamato@redhat.com>.

Modified File(s):
ltp/m4/ltp-signalfd.m4

74) Log Message:
- Type definitions defined in header files included from sys/signalfd.h and type definitions defined in sys/signalfd.h are conflicted.
- s/SIGNALFD_REFIX/SIGNALFD_PREFIX/
- if HAVE_SIGNALFD is not defined, use stub.
- if HAVE_LINUX_TYPES_H is defined, use our own implemention to call signalfd
  syscall.
Signed-of-by: Masatake YAMATO<yamato@redhat.com>.

Modified File(s):
ltp/m4/ltp-signalfd.m4
ltp/testcases/kernel/syscalls/signalfd/signalfd01.c

75) Log Message:
Update to OpenHPI 2.13.1. See http://openhpi.org/ for more details.

Modified File(s):

76) Log Message:
Add Kernel Config Info for compiling KDUMP/KEXEC kernel. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/README

77) Log Message:
This patch ensures that prio-preempt uses the librt debug mechanism. Tested: Running the test:
./prio_preempt
./prio_preempt -v3
./run_auto
Signed-Off-By: Chirag <chirag@linux.vnet.ibm.com>. Acked-by: Darren Hart <dvhltc@us.ibm.com>.

Modified File(s):
ltp/testcases/realtime/func/prio-preempt/prio-preempt.c

78) Log Message:
This patch adds librt debug support for prio-wake. The log level selected is 0, as it necessary to print all the buffered information. Tested:
./prio-wake
./run_auto.
Signed-Off-By: Chirag <chirag@linux.vnet.ibm.com>. Acked-by: Darren Hart <dvhltc@us.ibm.com>.

Modified File(s):
ltp/testcases/realtime/func/prio-wake/prio-wake.c

79) Log Message:
OK. I have implemented such a patch which does not overflow anymore. However, I could not test it, because:
pipeio -s 5000 -i 2000000000 -c 5
just runs too long. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/ipc/pipeio/pipeio.c

80) Log Message:
The test case gtod_latency in realtime causes soft lockups on some machines. This is because the test hogs the cpus for a long time, because it's main loop runs at SCHED_FIFO, 99. We have seen soft lockups mainly on LS20 machines (x86_64, Opterons). The following patch introduces a sleep after some iterations of the test. This ensures that the test doesn't hog the cpu completely and hence avoids soft lockups. 
Testing done:
Compiled with the patch and observed that the soft lockups are gone. Also observed that the latencies are not affected. In fact latencies improve with this patch on most hardware.
Changelog:
* Introduce periodic sleeps in the busy loop of gtod_latency to avoid soft lockups.
Signed-off-by: Sripathi Kodi <sripathik@in.ibm.com>. Acked-by: John Stultz <johnstul@us.ibm.com>.

Modified File(s):
ltp/testcases/realtime/func/gtod_latency/gtod_latency.c

81) Log Message:
Here is a patch to fix the error below.
/root/ltp-full-20081031/testcases/kernel/containers/netns/parentns.sh: 42: source: not found
Some shells are not having the cmd 'source' which inturn are failing the tests for netns in containers. I found few other ltp scripts are using the source cmd. Have others reported the same issue ? Just curious to know this. The below patch would replace the 'source with .' for containers in netns. Signed-Off-By: Veerendra <veeren@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/containers/netns/child_1.sh
ltp/testcases/kernel/containers/netns/child_2.sh
ltp/testcases/kernel/containers/netns/childipv6.sh
ltp/testcases/kernel/containers/netns/childns.sh
ltp/testcases/kernel/containers/netns/parent_1.sh
ltp/testcases/kernel/containers/netns/parent_2.sh
ltp/testcases/kernel/containers/netns/parent_share.sh
ltp/testcases/kernel/containers/netns/parentns.sh
ltp/testcases/kernel/containers/netns/paripv6.sh

82) Log Message:
The file testcases/kernel/include/stub-list was recently removed. It contained the list of syscall numbers which, if not present in the kernel headers or in one of the architecture-specific lists, should be defined as 0 (a stub value). Now, this list is automatically generated as union of the architecture-specific lists. However, some syscalls only appeared in stub-list, which means they are not stubbed now, so architectures lacking them will probably fail to build (alpha...). To overcome this, I have added these syscalls to the i386 list, which means they will be defined whenever they are defined in the kernel sources, on i386, and stubbed otherwise. See the attached patch. BTW, the list of syscalls is not exhaustive. In the attachment filtered-syscalls, there is a list of syscalls which appear as __IGNORE_syscall-nr in the kernel sources (which means they are missing on some architecture), but are not used in ltp or their use is guarded by an #ifdef. They would have to be added too, if some test explicitely mentions them (eg. getresgid16). Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/include/i386.in

83) Log Message:
umount can return error if /etc/mtab link to /proc/mounts
$ mount --rbind /tmp/1 /tmp/2
$ mount
...
/tmp/1 on /tmp/2 type none (rw,bind)
$ mv /etc/mtab{,.orig}
$ mount
...
/dev/root on /tmp/2 type ext3 (rw,data=ordered)
$ umount /tmp/1
umount: /tmp/1: not mounted
if umount return error, test_fs_bind.sh will hang up in the infinite loop:
( while grep_proc_mounts ; do
        grep_proc_mounts | awk '{print $2}' | xargs -r --max-args=1 umount -l
done ) >& /dev/null
but /proc/mounts contain next info:
/dev/root /tmp/2\040(deleted) ext3 rw,data=ordered 0 0
because source directory has been deleted. previous script try execute umount -l /tmp/2\040(deleted), umount fail correctly but all message from stdout and stderr redirecte to /dev/null. my patch fixed testcase fs_bind/regression/test02, that execute all umount commands with target directories. Signed-Off-By: Andrew Vagin <avagin@parallels.com>.

Modified File(s):
ltp/testcases/kernel/fs/fs_bind/regression/test02

84) Log Message:
Fix busy loop in realtime:
The routine busy_work_us(), which is the busy work loop function in realtime test suite is supposed run for as many microseconds as requested for. However, I have observed that it runs too fast on some hardware. I looked at the code and saw that we are statically setting the loop counters, which means the duration of the busy loop varies with the cpu speed. Further, the busy loop is affected by compiler optimizations. On some hardware it provides only 50% of requested delay, whereas with -O3, it finishes even faster. What we need is a method to dynamically tune the delay loop based on the machine where the test is being run. It should not be affected by compiler optimizations as well. The following patch does that. It applies on the latest cvs. Signed-off-by: Sripathi Kodi <sripathik@in.ibm.com>, Acked-by: Chirag <chirag at linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/realtime/include/librttest.h
ltp/testcases/realtime/lib/librttest.c

85) Log Message:
I've added new Makefile target to run both autoconf and autoheader. Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified File(s):
ltp/Makefile

86) Log Message:
CONTROLLERS: replace numbers by FILENAME_MAX: 32 bytes are really unsufficient for hoding dir names, changing it to FILENAME_MAX. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test01.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test02.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test03.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test04.c

87)  Log Message:
CONTROLLERS: do not redirect errors to /dev/null: Its no good to redirect the error messages from the binaries to /dev/null. One might not know what is the failure or what went wrong. This patch omits that redirection. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_stress_test.sh
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_test.sh

88) Log Message:
CONTROLLERS: rename the setup function: In case the file defining functions fails to load, the function setup() will run the setup utility, so changing it to do_setup(). Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/parameters.sh
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_stress_test.sh
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_test.sh

89) Log Message:
CONTROLLERS: set up for default group creation: This patch adds the code to do the setup for a default group which will be spinning  a task to create an ideal scenario for group fairness. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/parameters.sh

90) Log Message:
CONTROLLERS: binary to be run as a default task for test 1-2: This patch adds a binary which will be running as a default task for testcases 1 to create an ideal scenario. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_def_task01.c

91) Log Message:
CONTROLLERS: modify script to run default task for test 1-2: This patch adds the code to trigger the default task for the tests 1-3. Also the code is added to clean this default task setup. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/parameters.sh
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_test.sh

92) Log Message:
CONTROLLERS: Modify test to reflect kernel MAX_SHARES limit: The tests takes too long if we keep the time interval 60 seconds. Hence changing to 30 seconds. Also the kernel has now the max linit on shares values (1UL <<18). So taking readings upto 7th set will reach the max limit very soon(specialy on high end machines). Therefore we keep the multiplier to multiply at max 4 times. Hence we will reach till GROUP_NUM * 10^4. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test01.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test02.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test03.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test04.c

93) Log Message:
CONTROLLERS: pass the argument to the function: The function scan_shares_files() modifies a global variable, which in the current way was confusing, so passing the variable as argument. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test01.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test02.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test03.c
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test04.c
ltp/testcases/kernel/controllers/libcontrollers/libcontrollers.c
ltp/testcases/kernel/controllers/libcontrollers/libcontrollers.h

94) Log Message:
CONTROLLERS: modify def task binary for test 3: The patch modifies the default task binary to be run for test num 3 also. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_def_task01.c

95) Log Message:
CONTROLLERS:  binary for def task for test 4 & 5: This patch adds a binary which will be running as a default task for testcases 4 and 5 to create an ideal scenario. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_def_task02.c

96) Log Message:
CONTROLLERS: modify the script to run def task for test 4: This patch modifies the script to run the default task for test 4. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/parameters.sh
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_test.sh

97) Log Message:
CONTROLLERS: modify the script to run def task for test 5: This patch modifies the script to run the default task for test 5. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_test.sh

98) Log Message:
CONTROLLERS: add binary to run def task for test 6,7,8: This patch adds a binary which will be running as a default task for testcases 6, 7 and 8 to create an ideal scenario. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_def_task03.c

99) Log Message:
CONTROLLERS: modify the script to run def task for test 6,7,8: This patch modifiesadds a binary which will be running as a default task for testcases 6, 7 and 8 to create an ideal scenario. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_stress_test.sh

100) Log Message:
CONTROLLERS: change share values for the group: This patch changes the shares values for the groups in test num 9 to some practical values. (instead of 2,3,4,5...100,200,300,400.... ). Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_test04.c

101) Log Message:
CONTROLLERS: add binary to run def task for test 9,10: This patch adds a binary which will be running as a default task for testcases 9 and 10 to create an ideal scenario. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/controllers/cpuctl/cpuctl_def_task04.c

102) Log Message:
CONTROLLERS: modify script to run def task for test 9: This patch modifies the script to run the default task for test 9. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_stress_test.sh

103) Log Message:
CONTROLLERS: modify script to run def task for test 10: This patch modifies the script to run the default task for test 10. Signed-off-by: Sudhir Kumar <skumar@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/controllers/cpuctl/run_cpuctl_stress_test.sh

104) Log Message:
Re-enablement of TI-RPC tests to build/install/run in LTP:
Le Rouzic <aime.le-rouzic@bull.net> wrote: I get a first patch to deliver which improves the Sun-RPC and TIRPC Test Suite. The Sun-RPC tests part works quite well. About the TIRPC I still have some FAILED I am working on that I will fix in a second patch. There is no much time now for the November delivery so let me know if you want me to deliver right now the first patch.
Subrata Modak <subrata@linux.vnet.ibm.com> replied: I am not worried if the test case(s) of TI-RPC fails. The point is they should be able to build, install and run - irrespective of whether many of the tests fail. The issue(s) like linking to proper libraries while building and finding those libraries to run should be properly resolved. If they require specific libraries to to build/run, that should be properly documented. Users should be able to find those libraries and install them (if it does not come with the system in first place), so that they can start using those tests. If people can start using those tests, then there will be more people who can help fix issues related to tests themselves. It would be nice if you can send a patch (against latest CVS) which would re-enable the TI-RPC tests to build/install/run in LTP properly. We can see the test fails later.
Le Rouzic <aime.le-rouzic@bull.net> replied: OK. Here is the patch I tested against ltp-full-20081031.tgz. Signed-Off-By: Le Rouzic <aime.le-rouzic@bull.net>.

Modified Files:
ltp/runtest/rpc
ltp/runtest/stress.part3
ltp/testcases/network/rpc/Makefile
ltp/testcases/network/rpc/README
ltp/testcases/network/rpc/basic_tests/rpcinfo/rpcinfo01
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/README
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/configure.auto
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/configure.interactive
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/rpc_broadc_scalability_lib.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/rpc_tirpc_ts_run.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/rpc_ts_run.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/rpc_ts_wizard.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/run_rpc_tirpc_tests.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/inc/install.ftr
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/inc/rpc_ts_run.ftr
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_addrmanagmt_get_myaddress/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_addrmanagmt_pmap_getmaps/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_addrmanagmt_pmap_getport/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_addrmanagmt_pmap_rmtcall/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_addrmanagmt_pmap_rmtcall/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_addrmanagmt_pmap_rmtcall/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_addrmanagmt_pmap_set/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_addrmanagmt_pmap_unset/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_auth_auth_destroy/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_auth_authnone_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_auth_authunix_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_auth_authunix_create_default/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_broadc_clnt_broadcast/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_broadc_clnt_broadcast/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_broadc_clnt_broadcast/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_broadc_clnt_broadcast/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_broadc_clnt_broadcast/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_broadc_clnt_broadcast/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_clnt_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_clntudp_bufcreate/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_clntudp_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_clntudp_create/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_clntudp_create/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svc_destroy/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svc_destroy/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcfd_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcfd_create/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcraw_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcraw_create/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svctcp_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svctcp_create/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svctcp_create/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svctcp_create/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcudp_bufcreate/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcudp_bufcreate/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcudp_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcudp_create/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_createdestroy_svcudp_create/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_clnt_pcreateerror/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_clnt_perrno/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_clnt_perror/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_clnt_spcreateerror/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_clnt_sperrno/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_clnt_sperror/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_svcerr_auth/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_svcerr_noproc/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_svcerr_noprog/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_svcerr_progvers/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_svcerr_systemerr/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_err_svcerr_weakauth/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_regunreg_registerrpc/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_regunreg_svc_register/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_regunreg_svc_unregister/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_regunreg_xprt_register/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_regunreg_xprt_unregister/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_callrpc/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_callrpc/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_callrpc/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_callrpc/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_callrpc/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_call/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_call/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_call/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_call/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_call/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_call/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_control/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_control/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_freeres/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_clnt_geterr/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_svc_freeargs/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_svc_freeargs/svc.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_svc_getargs/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_svc_getargs/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_svc_getargs/client.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_svc_getcaller/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_svc_sendreply/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/rpc/rpc_stdcall_svc_sendreply/client.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_addrmanagmt_rpcb_getaddr/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_addrmanagmt_rpcb_getaddr/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_addrmanagmt_rpcb_getmaps/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_auth_authdes_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_auth_authdes_seccreate/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_auth_authnone_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_auth_authsys_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_auth_authsys_create_default/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_call/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_call/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_call/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_call/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_call/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_call/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_call/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_dg_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_dg_create/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_vc_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_clnt_vc_create/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_svc_dg_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_svc_dg_create/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_svc_vc_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_bottomlevel_svc_vc_create/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_clnt_pcreateerror/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_clnt_perrno/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_clnt_perrno/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_clnt_perror/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_clnt_perror/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_svcerr_noproc/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_svcerr_noprog/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_svcerr_progvers/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_svcerr_systemerr/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_err_svcerr_weakauth/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_call/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_call/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_call/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_call/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_call/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_call/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_call/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_tli_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_clnt_tli_create/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_rmtcall/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_rmtcall/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_rmtcall/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_rmtcall/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_rmtcall/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_rmtcall/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_rmtcall/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_set/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_rpcb_unset/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_svc_reg/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_svc_reg/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_svc_reg/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_svc_tli_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_svc_tli_create/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_svc_unreg/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_svc_unreg/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_expertlevel_svc_unreg/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_call/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_call/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_call/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_call/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_call/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_call/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_call/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_control/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_control/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_tp_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_tp_create_timed/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_interlevel_clnt_tp_create_timed/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast_exp/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast_exp/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast_exp/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast_exp/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast_exp/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast_exp/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast_exp/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_broadcast_exp/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_call/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_call/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_call/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_call/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_call/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_call/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_call/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_reg/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_reg/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_simple_rpc_reg/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_call/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_call/2-stress.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_call/4-mt.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_call/5-scalability.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_call/6-dataint.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_call/7-performance.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_call/8-complex.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_create_timed/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_create_timed/3-limits.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_clnt_destroy/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_svc_create/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_suite/tirpc/tirpc_toplevel_svc_destroy/1-basic.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/rpc_svc_1/rpc_svc_1.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/tirpc_svc_3/tirpc_svc_3.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/tirpc_svc_4/tirpc_svc_4.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/tirpc_svc_5/tirpc_svc_5.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/tirpc_svc_6/tirpc_svc_6.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/tirpc_svc_8/tirpc_svc_8.c
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/tests_pack/tirpc_svc_9/tirpc_svc_9.c
ltp/testscripts/ltpstress.sh

Added Files:
ltp/runtest/rpctirpc ltp/runtest/tirpc
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/run_rpc_test_auto.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/run_rpc_tests.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/run_rpc_tirpc_test_auto.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/run_rpc_tirpc_test_interactive.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/run_tirpc_test_auto.sh
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/run_tirpc_tests.sh

Removed Files:
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/Makefile
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/Makefile.clnt
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/Makefile.svc
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/install
ltp/testcases/network/rpc/rpc-tirpc-full-test-suite/install.sh

105) Log Message:
Please find the testcase for the below assertion. Assertions 1: Steps:
a) Create a  container .
b) Create many levels of child containers inside this container.
c) Now do kill -9 init , outside of the contaier.
d) This should kill all the child containers . (containers created at the level below ).
Signed-Off-By: Veerendra <veeren@linux.vnet.ibm.com>.

Added Files:
ltp/testcases/kernel/containers/pidns/pidns05.c

106) Log Message:
Fix typo in pselect01_64 testcase: pselect0_64->pselect01_64. Signed-Off-By: Dmitry Guryanov <dguryanov@parallels.com>.

Modified File(s):
ltp/runtest/syscalls

107) Log Message:
Remove references of jvmsim from the tests: Most of the testcases, have an option (-j) which runs the jvmsim as a background load so as to simulate the behavior of the JVM.This patch removes the references of jvmsim from all the testcases. Signed-Off-By: Chirag <chirag@linux.vnet.ibm.com>, Acked-by: Sripathi Kodi <sripathik@in.ibm.com>.

Modified File(s):
ltp/testcases/realtime/func/async_handler/async_handler.c
ltp/testcases/realtime/func/async_handler/async_handler_jk.c
ltp/testcases/realtime/func/async_handler/async_handler_tsc.c
ltp/testcases/realtime/func/gtod_latency/gtod_infinite.c
ltp/testcases/realtime/func/gtod_latency/gtod_latency.c
ltp/testcases/realtime/func/hrtimer-prio/hrtimer-prio.c
ltp/testcases/realtime/func/matrix_mult/matrix_mult.c
ltp/testcases/realtime/func/measurement/preempt_timing.c
ltp/testcases/realtime/func/periodic_cpu_load/periodic_cpu_load.c
ltp/testcases/realtime/func/periodic_cpu_load/periodic_cpu_load_single.c
ltp/testcases/realtime/func/pi-tests/sbrk_mutex.c
ltp/testcases/realtime/func/pi-tests/test-skeleton.c
ltp/testcases/realtime/func/pi-tests/testpi-0.c
ltp/testcases/realtime/func/pi-tests/testpi-1.c
ltp/testcases/realtime/func/pi-tests/testpi-2.c
ltp/testcases/realtime/func/pi-tests/testpi-4.c
ltp/testcases/realtime/func/pi-tests/testpi-5.c
ltp/testcases/realtime/func/pi-tests/testpi-6.c
ltp/testcases/realtime/func/pi-tests/testpi-7.c
ltp/testcases/realtime/func/prio-preempt/prio-preempt.c
ltp/testcases/realtime/func/prio-wake/prio-wake.c
ltp/testcases/realtime/func/pthread_kill_latency/pthread_kill_latency.c
ltp/testcases/realtime/func/sched_football/sched_football.c
ltp/testcases/realtime/func/sched_jitter/sched_jitter.c
ltp/testcases/realtime/func/sched_latency/sched_latency.c
ltp/testcases/realtime/func/thread_clock/tc-2.c
ltp/testcases/realtime/perf/latency/pthread_cond_latency.c
ltp/testcases/realtime/stress/pi-tests/lookup_pi_state.c
ltp/testcases/realtime/stress/pi-tests/testpi-3.c

108) Log Message:
Remove libjvmsim: This patch removes the libjvmsim itself. Hence no testcase can use it anymore. Signed-Off-By: Chirag <chirag@linux.vnet.ibm.com>, Acked-By: Sripathi Kodi <sripathik@in.ibm.com>.

Modified Files:
ltp/testcases/realtime/config.mk

Removed Files:
ltp/testcases/realtime/include/libjvmsim.h
ltp/testcases/realtime/lib/libjvmsim.c

109) Log Message:
ltp iptables testcase failed: Manas Kumar Nayak <maknayak@in.ibm.com> reported: While executing iptables testcases from ltp ,it failed to list iptables chain rules. iptables test case  gets failed  with following errors: 
# ./iptables_tests.sh
iptables    0  INFO  :  INIT: Inititalizing tests.
iptables    0  INFO  :  INIT: Flushing all rules.
iptables01    0  INFO  :  iptables01: iptables -L -t filter will list all rules in table filter.
iptables01    1  FAIL  :  iptables01: iptables -L -t filter failed to list rules. Reason:
Chain INPUT (policy ACCEPT) target prot opt source destination                  
Chain FORWARD (policy ACCEPT) target prot opt source destination                  
Chain OUTPUT (policy ACCEPT) target prot opt source destination                  
Chain RH-Firewall-1-INPUT (0 references) target prot opt source destination                  
Vinay Sridhar <vinay@linux.vnet.ibm.com> replied:
I looked through the iptables test. It fails because of mismatch in the number of chains after firewall is enabled. Under RH, enabling firewall adds a new chain to the "filter" table and under SLES, 3 new chains are added.  This patch can change this test accordingly. Signed-Off-By: Vinay Sridhar <vinay@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/network/iptables/iptables_tests.sh

LTP-20081031

1) Log Message:
Here is one fix for io-controller testcase. It might not have run when kernel supports io-controller. Description: Instead of block io testcases, memory controller testcase will run. Signed-off By: Rishikesh K Rajak <risrajak@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/controllers/test_controllers.sh

2) Log Message:
test_ioctl produces a 'Syntax error: Bad substitution: 28' under Ubuntu (and much probably Debian). The following patch solves this issue. I tested it with sh (aka dash) and bash. Signed-Off-By: Elder Costa <elder.costa@terra.com.br>.

Modified File(s):
ltp/testcases/kernel/syscalls/ioctl/test_ioctl

3) Log Message:
Add support of kernel syscall test to Renesas. Signed-off-by: Nobuhiro Iwamatsu <iwamatsu.nobuhiro@renesas.com>.

Modified Files:
ltp/testcases/kernel/include/order
Added Files:
ltp/testcases/kernel/include/sh.in

4) Log Message:
Reverting the Following Patch.
test_ioctl produces a 'Syntax error: Bad substitution: 28' under Ubuntu (and much probably Debian). The following patch solves this issue. I tested it with sh (aka dash) and bash. Signed-Off-By: Elder Costa <elder.costa@terra.com.br>.

Modified File(s):
ltp/testcases/kernel/syscalls/ioctl/test_ioctl

5) Log Message:
The clock source used in the gtod_infinite test should be CLOCK_MONOTONIC instead of CLOCK_REALTIME. This is to avoid plausible inconsistencies caused by NTP time adjustments. Tested: running gtod_infinite and then killing it. Signed-Off-By: Chirag <chirag@linux.vnet.ibm.com>, Acked-by: Darren Hart <dvhltc@us.ibm.com>.

Modified File(s):
ltp/testcases/realtime/func/gtod_latency/gtod_infinite.c

6) Log Message:
Hi Andrea, As you are using myfunctions.sh in your script, it will simply replace the installed myfunctions.sh in $LTP_ROOT/testcase/bin which is written by Sudhir. And if you will run this testcase from `./runltp` sudhir's memory controller tetscase will refer your myfuncitons.sh script. So i am just renaming this script to some other name and correspondingly changing the Makefile & run_io_throttle_test.sh . Attached is the patch. I might require your acknowledgement for this. Signed-Off-By: "Rishikesh K. Rajak" <risrajak@linux.vnet.ibm.com>, Acked-by: Andrea Righi <righi.andrea@gmail.com>.

Modified Files:
ltp/testcases/kernel/controllers/io-throttle/Makefile
ltp/testcases/kernel/controllers/io-throttle/run_io_throttle_test.sh
Added Files:
ltp/testcases/kernel/controllers/io-throttle/myfunctions-io.sh
Removed Files:
ltp/testcases/kernel/controllers/io-throttle/myfunctions.sh

7) Log Message:
dont use == or [[, and fix -z test

Modified File(s):
ltp/testcases/network/tcp_cmds/tcpdump/tcpdump01

8) Log Message:
convert all "source" commands in scripts to "." ... hopefully my sed-foo doesnt break anything ...

Modified File(s):
ltp/testcases/network/stress/broken_ip/broken_ip4-checksum
ltp/testcases/network/stress/broken_ip/broken_ip4-dstaddr
ltp/testcases/network/stress/broken_ip/broken_ip4-fragment
ltp/testcases/network/stress/broken_ip/broken_ip4-ihl
ltp/testcases/network/stress/broken_ip/broken_ip4-protcol
ltp/testcases/network/stress/broken_ip/broken_ip4-totlen
ltp/testcases/network/stress/broken_ip/broken_ip4-version
ltp/testcases/network/stress/broken_ip/broken_ip6-dstaddr
ltp/testcases/network/stress/broken_ip/broken_ip6-nexthdr
ltp/testcases/network/stress/broken_ip/broken_ip6-plen
ltp/testcases/network/stress/broken_ip/broken_ip6-version
ltp/testcases/network/stress/ftp/ftp4-download-stress
ltp/testcases/network/stress/ftp/ftp4-upload-stress
ltp/testcases/network/stress/ftp/ftp6-download-stress
ltp/testcases/network/stress/ftp/ftp6-upload-stress
ltp/testcases/network/stress/icmp/uni-basic/icmp4-uni-basic01
ltp/testcases/network/stress/icmp/uni-basic/icmp4-uni-basic02
ltp/testcases/network/stress/icmp/uni-basic/icmp4-uni-basic03
ltp/testcases/network/stress/icmp/uni-basic/icmp4-uni-basic04
ltp/testcases/network/stress/icmp/uni-basic/icmp4-uni-basic05
ltp/testcases/network/stress/icmp/uni-basic/icmp4-uni-basic06
ltp/testcases/network/stress/icmp/uni-basic/icmp4-uni-basic07
ltp/testcases/network/stress/icmp/uni-basic/icmp6-uni-basic01
ltp/testcases/network/stress/icmp/uni-basic/icmp6-uni-basic02
ltp/testcases/network/stress/icmp/uni-basic/icmp6-uni-basic03
ltp/testcases/network/stress/icmp/uni-basic/icmp6-uni-basic04
ltp/testcases/network/stress/icmp/uni-basic/icmp6-uni-basic05
ltp/testcases/network/stress/icmp/uni-basic/icmp6-uni-basic06
ltp/testcases/network/stress/icmp/uni-basic/icmp6-uni-basic07
ltp/testcases/network/stress/interface/if4-addr-change
ltp/testcases/network/stress/interface/if4-alias-adddel
ltp/testcases/network/stress/interface/if4-alias-addlarge
ltp/testcases/network/stress/interface/if4-mtu-change
ltp/testcases/network/stress/interface/if4-route-adddel
ltp/testcases/network/stress/interface/if4-route-addlarge
ltp/testcases/network/stress/interface/if4-updown
ltp/testcases/network/stress/interface/if6-addr-adddel
ltp/testcases/network/stress/interface/if6-addr-addlarge
ltp/testcases/network/stress/interface/if6-mtu-change
ltp/testcases/network/stress/interface/if6-route-adddel
ltp/testcases/network/stress/interface/if6-route-addlarge
ltp/testcases/network/stress/interface/if6-updown
ltp/testcases/network/stress/http/http4-stress
ltp/testcases/network/stress/http/http6-stress
ltp/testcases/network/stress/multicast/grp-operation/mcast4-grpope01
ltp/testcases/network/stress/multicast/grp-operation/mcast4-grpope02
ltp/testcases/network/stress/multicast/grp-operation/mcast4-grpope03
ltp/testcases/network/stress/multicast/grp-operation/mcast4-grpope04
ltp/testcases/network/stress/multicast/grp-operation/mcast6-grpope01
ltp/testcases/network/stress/multicast/grp-operation/mcast6-grpope02
ltp/testcases/network/stress/multicast/grp-operation/mcast6-grpope03
ltp/testcases/network/stress/multicast/grp-operation/mcast6-grpope04
ltp/testcases/network/stress/multicast/packet-flood/mcast4-pktfld01
ltp/testcases/network/stress/multicast/packet-flood/mcast4-pktfld02
ltp/testcases/network/stress/multicast/packet-flood/mcast6-pktfld01
ltp/testcases/network/stress/multicast/packet-flood/mcast6-pktfld02
ltp/testcases/network/stress/icmp/multi-diffip/icmp4-multi-diffip01
ltp/testcases/network/stress/icmp/multi-diffip/icmp4-multi-diffip02
ltp/testcases/network/stress/icmp/multi-diffip/icmp4-multi-diffip03
ltp/testcases/network/stress/icmp/multi-diffip/icmp4-multi-diffip04
ltp/testcases/network/stress/icmp/multi-diffip/icmp4-multi-diffip05
ltp/testcases/network/stress/icmp/multi-diffip/icmp4-multi-diffip06
ltp/testcases/network/stress/icmp/multi-diffip/icmp4-multi-diffip07
ltp/testcases/network/stress/icmp/multi-diffip/icmp6-multi-diffip01
ltp/testcases/network/stress/icmp/multi-diffip/icmp6-multi-diffip02
ltp/testcases/network/stress/icmp/multi-diffip/icmp6-multi-diffip03
ltp/testcases/network/stress/icmp/multi-diffip/icmp6-multi-diffip04
ltp/testcases/network/stress/icmp/multi-diffip/icmp6-multi-diffip05
ltp/testcases/network/stress/icmp/multi-diffip/icmp6-multi-diffip06
ltp/testcases/network/stress/icmp/multi-diffip/icmp6-multi-diffip07
ltp/testcases/network/stress/dns/dns4-stress
ltp/testcases/network/stress/dns/dns6-stress
ltp/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic01
ltp/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic02
ltp/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic03
ltp/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic04
ltp/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic05
ltp/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic06
ltp/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic07
ltp/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic01
ltp/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic02
ltp/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic03
ltp/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic04
ltp/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic05
ltp/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic06
ltp/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic07
ltp/testcases/network/stress/ssh/ssh4-stress
ltp/testcases/network/stress/ssh/ssh6-stress
ltp/testcases/network/stress/ns-tools/add_ipv6addr
ltp/testcases/network/stress/ns-tools/bg_tcp_traffic
ltp/testcases/network/stress/ns-tools/check_netem
ltp/testcases/network/stress/ns-tools/check_setkey
ltp/testcases/network/stress/ns-tools/get_ifname
ltp/testcases/network/stress/ns-tools/initialize_if
ltp/testcases/network/stress/ns-tools/killall_icmp_traffic
ltp/testcases/network/stress/ns-tools/killall_tcp_traffic
ltp/testcases/network/stress/ns-tools/killall_udp_traffic
ltp/testcases/network/stress/ns-tools/set_ipv4addr
ltp/testcases/network/stress/multicast/query-flood/mcast4-queryfld01
ltp/testcases/network/stress/multicast/query-flood/mcast4-queryfld02
ltp/testcases/network/stress/multicast/query-flood/mcast4-queryfld03
ltp/testcases/network/stress/multicast/query-flood/mcast4-queryfld04
ltp/testcases/network/stress/multicast/query-flood/mcast4-queryfld05
ltp/testcases/network/stress/multicast/query-flood/mcast4-queryfld06
ltp/testcases/network/stress/multicast/query-flood/mcast6-queryfld01
ltp/testcases/network/stress/multicast/query-flood/mcast6-queryfld02
ltp/testcases/network/stress/multicast/query-flood/mcast6-queryfld03
ltp/testcases/network/stress/multicast/query-flood/mcast6-queryfld04
ltp/testcases/network/stress/multicast/query-flood/mcast6-queryfld05
ltp/testcases/network/stress/multicast/query-flood/mcast6-queryfld06
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip01
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip02
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip03
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip04
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip05
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip06
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip07
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip08
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip09
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip10
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip11
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip12
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip13
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip14
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip01
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip02
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip03
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip04
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip05
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip06
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip07
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip08
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip09
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip10
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip11
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip12
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip13
ltp/testcases/network/stress/tcp/multi-diffip/tcp6-multi-diffip14
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic01
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic02
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic03
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic04
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic05
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic06
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic07
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic08
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic09
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic10
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic11
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic12
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic13
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic14
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic01
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic02
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic03
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic04
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic05
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic06
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic07
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic08
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic09
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic10
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic11
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic12
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic13
ltp/testcases/network/stress/tcp/multi-diffnic/tcp6-multi-diffnic14
ltp/testcases/network/stress/route/route4-change-dst
ltp/testcases/network/stress/route/route4-change-gw
ltp/testcases/network/stress/route/route4-change-if
ltp/testcases/network/stress/route/route4-ifdown
ltp/testcases/network/stress/route/route4-redirect
ltp/testcases/network/stress/route/route4-rmmod
ltp/testcases/network/stress/route/route6-change-dst
ltp/testcases/network/stress/route/route6-change-gw
ltp/testcases/network/stress/route/route6-change-if
ltp/testcases/network/stress/route/route6-ifdown
ltp/testcases/network/stress/route/route6-redirect
ltp/testcases/network/stress/route/route6-rmmod
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport01
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport02
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport03
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport04
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport05
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport06
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport07
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport08
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport09
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport10
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport11
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport12
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport13
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport14
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport01
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport02
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport03
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport04
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport05
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport06
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport07
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport08
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport09
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport10
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport11
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport12
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport13
ltp/testcases/network/stress/tcp/multi-diffport/tcp6-multi-diffport14
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport01
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport02
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport03
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport04
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport05
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport06
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport07
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport08
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport09
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport10
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport11
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport12
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport13
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport14
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport01
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport02
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport03
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport04
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport05
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport06
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport07
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport08
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport09
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport10
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport11
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport12
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport13
ltp/testcases/network/stress/tcp/multi-sameport/tcp6-multi-sameport14
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff01
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff02
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff03
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff04
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff05
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff06
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff07
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff08
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff09
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff10
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff11
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff12
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff13
ltp/testcases/network/stress/tcp/uni-sackoff/tcp4-uni-sackoff14
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff01
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff02
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff03
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff04
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff05
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff06
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff07
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff08
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff09
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff10
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff11
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff12
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff13
ltp/testcases/network/stress/tcp/uni-sackoff/tcp6-uni-sackoff14
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend01
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend02
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend03
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend04
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend05
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend06
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend07
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend08
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend09
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend10
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend11
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend12
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend13
ltp/testcases/network/stress/tcp/uni-smallsend/tcp4-uni-smallsend14
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend01
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend02
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend03
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend04
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend05
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend06
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend07
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend08
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend09
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend10
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend11
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend12
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend13
ltp/testcases/network/stress/tcp/uni-smallsend/tcp6-uni-smallsend14
ltp/testcases/network/stress/udp/multi-diffip/udp4-multi-diffip01
ltp/testcases/network/stress/udp/multi-diffip/udp4-multi-diffip02
ltp/testcases/network/stress/udp/multi-diffip/udp4-multi-diffip03
ltp/testcases/network/stress/udp/multi-diffip/udp4-multi-diffip04
ltp/testcases/network/stress/udp/multi-diffip/udp4-multi-diffip05
ltp/testcases/network/stress/udp/multi-diffip/udp4-multi-diffip06
ltp/testcases/network/stress/udp/multi-diffip/udp4-multi-diffip07
ltp/testcases/network/stress/udp/multi-diffip/udp6-multi-diffip01
ltp/testcases/network/stress/udp/multi-diffip/udp6-multi-diffip02
ltp/testcases/network/stress/udp/multi-diffip/udp6-multi-diffip03
ltp/testcases/network/stress/udp/multi-diffip/udp6-multi-diffip04
ltp/testcases/network/stress/udp/multi-diffip/udp6-multi-diffip05
ltp/testcases/network/stress/udp/multi-diffip/udp6-multi-diffip06
ltp/testcases/network/stress/udp/multi-diffip/udp6-multi-diffip07
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale01
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale02
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale03
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale04
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale05
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale06
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale07
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale08
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale09
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale10
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale11
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale12
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale13
ltp/testcases/network/stress/tcp/uni-winscale/tcp4-uni-winscale14
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale01
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale02
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale03
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale04
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale05
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale06
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale07
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale08
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale09
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale10
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale11
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale12
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale13
ltp/testcases/network/stress/tcp/uni-winscale/tcp6-uni-winscale14
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso01
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso02
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso03
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso04
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso05
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso06
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso07
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso08
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso09
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso10
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso11
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso12
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso13
ltp/testcases/network/stress/tcp/uni-tso/tcp4-uni-tso14
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso01
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso02
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso03
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso04
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso05
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso06
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso07
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso08
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso09
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso10
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso11
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso12
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso13
ltp/testcases/network/stress/tcp/uni-tso/tcp6-uni-tso14
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup01
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup02
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup03
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup04
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup05
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup06
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup07
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup08
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup09
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup10
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup11
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup12
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup13
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp4-uni-pktlossdup14
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup01
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup02
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup03
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup04
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup05
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup06
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup07
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup08
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup09
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup10
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup11
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup12
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup13
ltp/testcases/network/stress/tcp/uni-pktlossdup/tcp6-uni-pktlossdup14
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff01
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff02
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff03
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff04
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff05
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff06
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff07
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff08
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff09
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff10
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff11
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff12
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff13
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp4-uni-dsackoff14
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff01
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff02
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff03
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff04
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff05
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff06
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff07
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff08
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff09
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff10
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff11
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff12
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff13
ltp/testcases/network/stress/tcp/uni-dsackoff/tcp6-uni-dsackoff14
ltp/testcases/network/stress/udp/multi-diffport/udp4-multi-diffport01
ltp/testcases/network/stress/udp/multi-diffport/udp4-multi-diffport02
ltp/testcases/network/stress/udp/multi-diffport/udp4-multi-diffport03
ltp/testcases/network/stress/udp/multi-diffport/udp4-multi-diffport04
ltp/testcases/network/stress/udp/multi-diffport/udp4-multi-diffport05
ltp/testcases/network/stress/udp/multi-diffport/udp4-multi-diffport06
ltp/testcases/network/stress/udp/multi-diffport/udp4-multi-diffport07
ltp/testcases/network/stress/udp/multi-diffport/udp6-multi-diffport01
ltp/testcases/network/stress/udp/multi-diffport/udp6-multi-diffport02
ltp/testcases/network/stress/udp/multi-diffport/udp6-multi-diffport03
ltp/testcases/network/stress/udp/multi-diffport/udp6-multi-diffport04
ltp/testcases/network/stress/udp/multi-diffport/udp6-multi-diffport05
ltp/testcases/network/stress/udp/multi-diffport/udp6-multi-diffport06
ltp/testcases/network/stress/udp/multi-diffport/udp6-multi-diffport07
ltp/testcases/network/stress/udp/multi-diffnic/udp4-multi-diffnic01
ltp/testcases/network/stress/udp/multi-diffnic/udp4-multi-diffnic02
ltp/testcases/network/stress/udp/multi-diffnic/udp4-multi-diffnic03
ltp/testcases/network/stress/udp/multi-diffnic/udp4-multi-diffnic04
ltp/testcases/network/stress/udp/multi-diffnic/udp4-multi-diffnic05
ltp/testcases/network/stress/udp/multi-diffnic/udp4-multi-diffnic06
ltp/testcases/network/stress/udp/multi-diffnic/udp4-multi-diffnic07
ltp/testcases/network/stress/udp/multi-diffnic/udp6-multi-diffnic01
ltp/testcases/network/stress/udp/multi-diffnic/udp6-multi-diffnic02
ltp/testcases/network/stress/udp/multi-diffnic/udp6-multi-diffnic03
ltp/testcases/network/stress/udp/multi-diffnic/udp6-multi-diffnic04
ltp/testcases/network/stress/udp/multi-diffnic/udp6-multi-diffnic05
ltp/testcases/network/stress/udp/multi-diffnic/udp6-multi-diffnic06
ltp/testcases/network/stress/udp/multi-diffnic/udp6-multi-diffnic07
ltp/testcases/network/stress/udp/uni-basic/udp4-uni-basic01
ltp/testcases/network/stress/udp/uni-basic/udp4-uni-basic02
ltp/testcases/network/stress/udp/uni-basic/udp4-uni-basic03
ltp/testcases/network/stress/udp/uni-basic/udp4-uni-basic04
ltp/testcases/network/stress/udp/uni-basic/udp4-uni-basic05
ltp/testcases/network/stress/udp/uni-basic/udp4-uni-basic06
ltp/testcases/network/stress/udp/uni-basic/udp4-uni-basic07
ltp/testcases/network/stress/udp/uni-basic/udp6-uni-basic01
ltp/testcases/network/stress/udp/uni-basic/udp6-uni-basic02
ltp/testcases/network/stress/udp/uni-basic/udp6-uni-basic03
ltp/testcases/network/stress/udp/uni-basic/udp6-uni-basic04
ltp/testcases/network/stress/udp/uni-basic/udp6-uni-basic05
ltp/testcases/network/stress/udp/uni-basic/udp6-uni-basic06
ltp/testcases/network/stress/udp/uni-basic/udp6-uni-basic07

9) Log Message:
fix typo pointed out by Elder Costa: dulation -> duration

Modified File(s):
ltp/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic01
ltp/testcases/network/stress/broken_ip/broken_ip4-checksum
ltp/testcases/network/stress/broken_ip/broken_ip4-dstaddr
ltp/testcases/network/stress/broken_ip/broken_ip4-fragment
ltp/testcases/network/stress/broken_ip/broken_ip4-ihl
ltp/testcases/network/stress/broken_ip/broken_ip4-protcol
ltp/testcases/network/stress/broken_ip/broken_ip4-totlen
ltp/testcases/network/stress/broken_ip/broken_ip4-version
ltp/testcases/network/stress/broken_ip/broken_ip6-dstaddr
ltp/testcases/network/stress/broken_ip/broken_ip6-nexthdr
ltp/testcases/network/stress/broken_ip/broken_ip6-plen
ltp/testcases/network/stress/broken_ip/broken_ip6-version
ltp/testcases/network/stress/icmp/multi-diffip/icmp4-multi-diffip01
ltp/testcases/network/stress/icmp/uni-basic/icmp4-uni-basic01
ltp/testcases/network/stress/tcp/multi-diffip/tcp4-multi-diffip01
ltp/testcases/network/stress/tcp/multi-diffnic/tcp4-multi-diffnic01
ltp/testcases/network/stress/udp/multi-diffnic/udp4-multi-diffnic01
ltp/testcases/network/stress/udp/uni-basic/udp4-uni-basic01
ltp/testcases/network/stress/tcp/multi-diffport/tcp4-multi-diffport01
ltp/testcases/network/stress/tcp/multi-sameport/tcp4-multi-sameport01
ltp/testcases/network/stress/udp/multi-diffip/udp4-multi-diffip01
ltp/testcases/network/stress/udp/multi-diffport/udp4-multi-diffport01
ltp/testcases/network/stress/tcp/uni-basic/tcp4-uni-basic01

10) Log Message:
lcov: geninfo chokes on spaces in the directory name

From: Jeff Connelly <jeffconnelly@users.sourceforge.net>

In lcov 1.6, geninfo fails to find gcno/gcda files if the source directory has spaces in the name, because it uses backticks to shell out to "find", passing $directory on the command-line. Attached is a patch that double-quotes the variable, allowing geninfo to operate on directories with spaces in their name. The fix isn't perfect; it won't work on directories with a " character, but it works fine for my purposes (I don't have any directories with quotes). A better fix would be to use IPC::System::Simple's capturex from http://search.cpan.org/~pjf/IPC-System-Simple-0.15/lib/IPC/System/Simple.pm #runx(),_systemx()_and_capturex(). capturex() is a multiple-argument form of the backticks, so it avoids any interpolation errors.

Modified File(s):
ltp/utils/analysis/lcov/bin/geninfo
ltp/utils/analysis/lcov/bin/lcov
ltp/utils/analysis/lcov/CHANGES

11) Log Message:
gcov-kernel: added patches for linux-2.6.27

Added File(s):
ltp/utils/analysis/gcov-kernel/linux-2.6.27-gcov-arm-eabi.patch
ltp/utils/analysis/gcov-kernel/linux-2.6.27-gcov-arm-hack.patch
ltp/utils/analysis/gcov-kernel/linux-2.6.27-gcov.patch

12) Log Message:
If we unshare pidns without unsharing mounts namespace, and then do a mount -t proc none /proc, then the new proc sits over the original proc for the whole system. Since pidns03 wasn't using CLONE_NEWNS, when it exited /proc showed zero tasks.  This can be fixed by doing 'umount -l /proc', but 'umount /proc' is insufficient.  More to the point, pidns03 wasn't trying to clean up /proc at all.  So make it use CLONE_NEWNS so its private procfs will be automatically cleaned up. Signed-off-by: Serge E. Hallyn <serue@us.ibm.com>. 

Modified File(s):
ltp/testcases/kernel/containers/pidns/pidns03.c

13) Log Message:
netns: fix restoration of original /proc values (ip_forward...). This small patches make the restoration of /proc/sys/net/ipv4/ip_forward /proc/sys/net/ipv4/conf/$netdev/proxy_arp works as expected in netns/initialize.sh. Also removed some unneeded /dev/null redirections. Signed-off-by: Benjamin Thery <benjamin.thery@bull.net>.

Modified File(s):
ltp/testcases/kernel/containers/netns/initialize.sh

14) Log Message:
The script run_semaphore_test_01 fails the first time it is run as the semaphore id is zero (subsequent runs are successful as the ids are nonzero.) The attached patch fixes this behavior. Signed-Off-By: Elder Costa <elder.costa@terra.com.br>.

Modified File(s):
ltp/testcases/kernel/ipc/ipc_stress/run_semaphore_test_01.sh

15) Log Message:
On ppc/ppc64, PTRACE_GETREGS and PTRACE_SETREGS don't be defined in /usr/include/sys/ptrace.h. So add checks before use them. Signed-off-by: Jin Bing Guo <guojb@cn.ibm.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/ptrace/ptrace06.c
ltp/testcases/kernel/syscalls/ptrace/spawn_ptrace_child.c

16) Log Message:
Simple bug in logic that defines when to run the test makes it run exclusively when support is NOT implemented. Tested on mips64 system running Cavium Networks Octeon chip, Linux 2.6.27. Signed-Off-By: "Malov, Vlad" <Vlad.Malov@caviumnetworks.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/getcpu/getcpu01.c

17) Log Message:
The new ltp-full-20080930.tgz seems to include some new ptrace tests (ptrace04 and ptrace06) that do a #include for spawn_ptrace_child.c. Now I find that if I do a "make clean" it removes this spawn_ptrace_child.c ... is this expected and desired? Also is there supposed to be a way to generate the spawn_ptrace_child.c and any other files removed after "make clean" ? Thanks, - Mark Ver.
Yes, I believe it's an error. The spawn_ptrace_child.c file is necessary to ptrace04 and ptrace06. To do a #include *.c file is not a good coding style. The simplest solution is to rename the spawn_ptrace_child.c to spawn_ptrace_child.h. Also you can add __inline__ as the prefix of functions, then the spawn_ptrace_child.h file looks more like a header file. Thanks, - Jin Bing Guo.

Modified Files:
ltp/testcases/kernel/syscalls/ptrace/ptrace04.c
ltp/testcases/kernel/syscalls/ptrace/ptrace06.c
Added Files:
ltp/testcases/kernel/syscalls/ptrace/spawn_ptrace_child.h
Removed Files:
ltp/testcases/kernel/syscalls/ptrace/spawn_ptrace_child.c

18) Log Message:
With Exec-Shield in place, the Kernel automatically adjusts the stack downward by a random amount of bytes. This will cause the test failed occasionally on IA-32, because the 11th requested chunk of address space (bfe00000-bff00000) has already been used by the stack. For example, stack could be at bfe0b000-bfe20000, and then, shmat(2) failed, mykey to uniquely identify the shared memory segment 0x451005ae. Get shared memory segment (1048576 bytes). Attach shared memory segment to process: ERROR [line: 205] shmat failed - return: 0xffffffff: Invalid argument. It looks like the stack adjustment has a range that it could be chosen, so I changed the start of 11th address space to a lower address. Tests showed that the stack will not go downward that much. In addition, there are a few minor fixes, - keep the width of comments within 72 characters. - remove unnecessary 0x prefix. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/ipc/ipc_stress/shmem_test_06.c

19) Log Message:
Adding support for mips64. Use 64 bit variable to store the 64 bit address. Tested on mips64 system running Cavium Networks Octeon chip, Linux 2.6.27. Signed-Off-By: "Malov, Vlad" <Vlad.Malov@caviumnetworks.com>. 

Modified File(s):
ltp/testcases/kernel/syscalls/profil/profil01.c

20) Log Message:
Remap_file_pages01 and remap_file_pages02 tests always failed on IA-64 with Kernel 2.6.9 as below. So, I added a check to the existing Kernel version checking (< 2.6.12). If anybody happens to know the exactly version it has started to be implemented, I'll be happy to re-send the revised patch. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/syscalls/remap_file_pages/remap_file_pages01.c
ltp/testcases/kernel/syscalls/remap_file_pages/remap_file_pages02.c

21) Log Message:
I'm using an embedded arm processor (Xscale) and I get the following compile error: timerfd01.c:90: error: '__NR_timerfd_settime' undeclared (first use in this function). I have dug through past patches for this exact problem and have seen it come up with other processors and I have put together a patch that *should* address the issue.  I tested it on my system and everything seems to work.  I based the macro info off of: http://kerneltrap.org/mailarchive/git-commits-head/2008/4/22/1543584/thread. Here is the patch. Signed-Off-By: Shane Volpe <shanevolpe@gmail.com>.

Modified File(s):
ltp/testcases/kernel/include/arm.in

22) Log Message:
This patch adds some debug messages when shmat(2) failed, so we could tell if the failure was because the requested address space has been used. In addition, it fixes the output of failed error code to a more meaningful form. This patch should be applied on the top of another patch I sent earlier with title "shmem_test_06 Failed with Stack Randomization". Tested successfully on a x86_64 machine. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/ipc/ipc_stress/shmem_test_06.c

23) Log Message:
When I tested the inotify02 on ppc64, it passed all tests and returned 1 with an unnecessary event. After looking into the code, there were 9 tests in sum in inotify02. So I think the unnecessary event should not be regarded as a failure when the 9 tests all passed. Same problem was in inotify01. The patches fixed them. Signed-off-by: Jin Bing Guo <guojb@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/inotify/inotify01.c
ltp/testcases/kernel/syscalls/inotify/inotify02.c

24) Log Message:
Attaching the patch for the testcase on PIDNS. Assertion: 1. kill -9 1 from inside a container does not kill container, Steps: a) create container, b) kill -9 1, c) Should not kill the containers. Signed-Off-By: Veerendra <veeren@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/pidns/runpidnstest.sh
Added Files:
ltp/testcases/kernel/containers/pidns/pidns04.c

25) Log Message:
This patch fixes build failures seen on RHEL 4 (2.6.9 based Kernel), and several warnings. The build failures are caused by pec_listener.c and then ptrace06.c, It because the Kernel version checking code is incorrect from it, as you can see from the error message above, "/bin/sh: ../../bin/tst_kvercmp: No such file or directory". I solve it by querying an entry in proc file system instead. For ptrace06.c case, PTRACE_GETSIGINFO and PTRACE_SETSIGINFO are unavailable in this version of Kernel, Given that this test also fails to compile for IA-64 entirely (please see more details on one of my previous emails sent not long ago), I disable this test temperately until those problems have been fixed. In addition, it fixed the following unnecessary compiling warnings. Finally, check_for_unshare.c:21: warning: implicit declaration of function `tst_kvercmp'. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/pan/Makefile
ltp/testcases/kernel/connectors/Makefile
ltp/testcases/kernel/containers/check_for_unshare.c
ltp/testcases/kernel/controllers/Makefile
ltp/testcases/kernel/syscalls/ptrace/Makefile

26) Log Message:
The gethostid01 test fails when the host id is not set on a system. The gethostid() call retrieves "00000000" as the host id. Added a check to compare the return value with "000000" (omitted 1st two 0's as they could also be 0x on some systems; needs confirmation). Signed-off by : Vinay Sridhar <vinay@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/gethostid/gethostid01.c

27) Log Message:
This patch cleans code a little bit by removing leftovers. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/syscalls/ipc/lib/libipc.c
ltp/testcases/kernel/syscalls/nanosleep/nanosleep01.c

28) Log Message:
Hello. I had two errors when compiling the CVS version with Ubuntu. The one in regen.sh might have to do with some dash limitation (it complains about not supporting more than 32 shifts.) The one with the Makefile  has to do with the version of lex I have here (lex 2.5.33) complaining about -l not accepting an extra argument (I believe it interprets the w as such). I did a quick check after applying the changes and they seem not to break anything. Signed-Off-By: Elder Costa <elder.costa@terra.com.br>.

Modified File(s):
ltp/pan/Makefile
ltp/testcases/kernel/include/regen.sh

29) Log Message:
Fixing the runpidnstest.sh in containers/pidns, to handle the return code properly. Also removed the obsolete file runtests_noltp.sh, which is no longer required. Signed-Off-By: Veerendra <veeren@linux.vnet.ibm.com>.

Modified Files:
ltp/testcases/kernel/containers/pidns/runpidnstest.sh
Removed Files:
ltp/testcases/kernel/containers/pidns/runtests_noltp.sh

30) Log Message:
After tested the latest LTP cases, the connector cases failed on RHEL5.2. Test fails with following error:
<<<test_output>>>
incrementing stop
/home/ltp/cvs_ltp.orig/testcases/bin/connector_test.sh: line 9:
/home/ltp/cvs_ltp.orig/testcases/bin/run_pec_test: No such file or directory
<<<execution_status>>>
Post Patching:
<<<test_output>>>
incrementing stop Connectors 0 CONF : system doesn't support execution of the test
<<<execution_status>>>
Signed-off-by: Jin Bing Guo <guojb@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/connectors/connector_test.sh

31) Log Message:
Disabling this till TIRPC is built, installed and run properly. Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/runtest/stress.part3

32) Log Message:
Avoid buffer overflow when PID exceeds to 4-digit limit. char array root has to contain at least 'A' +  pid + '\0', which only works pid of testprcess is a 4-digit PID. PID_MAX_DEFAULT in kernel (when CONFIG_BASE_SMALL is NOT set) is set up to 4 million, which requires at least 7-digit pid. Author: Frank Seidel <fseidel@suse.de>. Signed-off-by: Frank Seidel <fseidel@suse.de>. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/fs/inode/inode01.c

33) Log Message:
Array size of path_list_string gets exceeded and cause an buffer overflow, when building with -D_FORTIFY_SOURCE=2
======= Backtrace: =========
/lib64/libc.so.6(__chk_fail+0x2f)[0x2b3f94ec831f]
/lib64/libc.so.6[0x2b3f94ec73c3]
/root/ltp/ltp-full-20080916/testcases/kernel/fs/inode/inode01[0x4020e3]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x2b3f94e13184]
/root/ltp/ltp-full-20080916/testcases/kernel/fs/inode/inode01[0x401609]
======= Memory map: ========
[...]
Program received signal SIGABRT, Aborted. 0x00002b3f94e25bb5 in raise () from /lib64/libc.so.6 (gdb) bt
#0  0x00002b3f94e25bb5 in raise () from /lib64/libc.so.6
#1  0x00002b3f94e26fb0 in abort () from /lib64/libc.so.6
#2  0x00002b3f94e5c32b in __libc_message () from /lib64/libc.so.6
#3  0x00002b3f94ec831f in __chk_fail () from /lib64/libc.so.6
#4  0x00002b3f94ec73c3 in __strcat_chk () from /lib64/libc.so.6
#5  0x00000000004020e3 in main () at inode01.c:169
(gdb) up
[...]
#5  0x00000000004020e3 in main () at inode01.c:169
169             strcat(path_list_string, "path_list");
Array size of path_list_string needs to be increased to handle PIDs which exceed 4-digits. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/fs/inode/inode01.c

34) Log Message:
When compiling with -D_FORTIFY_SOURCE=2 following buffer-overflow gets detected: 
Starting program:
/root/ltp/ltp-full-20080916/testcases/kernel/syscalls/symlink/symlink01
symlink01    1  PASS  :  Creation of symbolic link file to no object file is ok
symlink01    2  PASS  :  Creation of symbolic link file to no object file is ok
symlink01    3  PASS  :  Creation of symbolic link file and object file via symbolic link is ok
symlink01    4  PASS  :  Creating an existing symbolic link file error is caught
  *** buffer overflow detected ***:
/root/ltp/ltp-full-20080916/testcases/kernel/syscalls/symlink/symlink01 terminated
  ======= Backtrace: =========
  /lib64/libc.so.6(__chk_fail+0x2f)[0x2b5ae730f31f]
  /lib64/libc.so.6[0x2b5ae730e3c3]
  /root/ltp/ltp-full-20080916/testcases/kernel/syscalls/symlink/symlink01[0x4048fe]
  /root/ltp/ltp-full-20080916/testcases/kernel/syscalls/symlink/symlink01[0x403e7b]
  /root/ltp/ltp-full-20080916/testcases/kernel/syscalls/symlink/symlink01[0x4047b7]
  /lib64/libc.so.6(__libc_start_main+0xf4)[0x2b5ae725a184]
  /root/ltp/ltp-full-20080916/testcases/kernel/syscalls/symlink/symlink01[0x401c39]
  (gdb) bt
  #0  0x00002b5ae726cbb5 in raise () from /lib64/libc.so.6
  #1  0x00002b5ae726dfb0 in abort () from /lib64/libc.so.6
  #2  0x00002b5ae72a332b in __libc_message () from /lib64/libc.so.6
  #3  0x00002b5ae730f31f in __chk_fail () from /lib64/libc.so.6
  #4  0x00002b5ae730e3c3 in __strcat_chk () from /lib64/libc.so.6
  #5  0x00000000004048fe in creat_path_max (path1=0x409d88 "object", path2=<value optimized out>, path3=<value optimized out>) Read from remote host
  #6  0x0000000000403e7b in do_syscalltests (tcs=0x50cec0) at symlink01.c:958
  #7  0x00000000004047b7 in main (argc=<value optimized out>, argv=<value optimized out>) at symlink01.c:569 (gdb) up
  #1  0x00002b5ae726dfb0 in abort () from /lib64/libc.so.6 (gdb)  
  #2  0x00002b5ae72a332b in __libc_message () from /lib64/libc.so.6 (gdb)  
  #3  0x00002b5ae730f31f in __chk_fail () from /lib64/libc.so.6 (gdb)  
  #4  0x00002b5ae730e3c3 in __strcat_chk () from /lib64/libc.so.6 (gdb)  
  #5  0x00000000004048fe in creat_path_max (path1=0x409d88 "object", path2=<value optimized out>,path3=<value optimized out>) at symlink01.c:844 844 strcat(full_path, "Z");
Variable full_path exceeds PATH_MAX limit in creat_path_max(), to avoid a buffer overflow the size of full_path needs to be incremented by one. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/symlink/symlink01.c

35) Log Message:
Now that fsx-linux is the same for fs, nfs and ios (I'm working with ltp-full-20080831.tgz) we have to adapt the runtest/ltp-aiodio.part3 file: (-A and -Z options are no more supported by fsx-linux). Signed-Off-By: Jacky Malcles <Jacky.Malcles@bull.net>.

Modified File(s):
ltp/runtest/ltp-aiodio.part3

36) Log Message:
Introduced PREFIX and LIBSUFFIX variables. DESTDIR is often used within packaging scripts/spec files. Use PREFIX variable instead to manipulate the installation destination directory. Introduced LIBSUFFIX to allow to manipulate library directory to lib64 e.g. for distribution packaging for x86_64 or others architectures. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified Files:
ltp/doc/man1/Makefile ltp/doc/man3/Makefile
ltp/include/Makefile ltp/lib/Makefile ltp/pan/Makefile

37) Log Message:
Dont install ltp.pc and libltp.a with excutable flags. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified Files:
ltp/lib/Makefile

38) Log Message:
Apply CFLAGS to compiler to ballista, kernel/syscalls/utimestat. Compile everything with (user-defined) CFLAGS. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified Files:
ltp/testcases/ballista/ballista/Makefile
ltp/testcases/kernel/syscalls/utimensat/Makefile

39) Log Message:
Avoid overwriting of compiler specific flags in open posix testsuite. Instead of overwriting CFLAGS, append custom flags. Don't append debugging info, optimizing or warning related compiler flags. This would "overwrite" the user definied CFLAGS again. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

ltp/testcases/open_posix_testsuite/Makefile

40) Log Message:
Logfiles of the ltp testdriver "runltp" can get corrupted due to "unsafe" temporary directories and not failing when temporary already exist. The temp directory is /tmp/ltp-$$ which can cause logfile corruption once the PID overflows, since "mkdir -p" will NOT fail, and runltp starts writing into an already existing log directory. This patch creates a temporary directory by using "mktemp", which replaces the "mkdir -p" call. runltp will fail once "mktemp" runs out of combinations (instead of corrupting logfiles silently). Patch is based on the idea from Erik Hamera to create more "safe" temp directories. Various patch improvements/fixes got contributed by Klaus Wagner as well. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified Files:
ltp/runltp

41) Log Message:
This patch fixes most of warnings and badness including the following. Compiled successfully on Fedora 10 Beta x86_64. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
include/databin.h
lib/databin.c
testcases/kernel/containers/libclone/libnetns.c
testcases/kernel/containers/libclone/Makefile
testcases/kernel/containers/pidns/pidns03.c
testcases/kernel/containers/sysvipc/shmnstest.c
testcases/kernel/controllers/cpuctl/cpuctl_test01.c
testcases/kernel/controllers/cpuctl/cpuctl_test02.c
testcases/kernel/controllers/cpuctl/cpuctl_test03.c
testcases/kernel/controllers/cpuctl/cpuctl_test04.c
testcases/kernel/controllers/memctl/memctl_test01.c
testcases/kernel/io/disktest/childmain.c
testcases/kernel/io/disktest/dump.c
testcases/kernel/io/disktest/dump.h
testcases/kernel/io/disktest/main.c
testcases/kernel/io/disktest/timer.c
testcases/kernel/ipc/ipc_stress/signal_test_01.c
testcases/kernel/ipc/ipc_stress/signal_test_03.c
testcases/kernel/mem/hugetlb/lib/libipc.c
testcases/kernel/mem/mtest07/mallocstress.c
testcases/kernel/mem/mtest07/shm_test.c
testcases/kernel/sched/clisrv/pthserv.c
testcases/kernel/sched/tool/trace_sched.c
testcases/kernel/security/filecaps/checkforlibcap.sh
testcases/kernel/syscalls/clone/clone03.c
testcases/kernel/syscalls/clone/clone04.c
testcases/kernel/syscalls/clone/clone06.c
testcases/kernel/syscalls/fmtmsg/fmtmsg01.c
testcases/kernel/syscalls/ipc/lib/libipc.c
testcases/kernel/syscalls/ipc/msgget/msgget01.c
testcases/kernel/syscalls/nftw/lib64.c
testcases/kernel/syscalls/nftw/lib.c
testcases/misc/crash/crash01.c
testcases/network/nfsv4/locks/netsync.c
testcases/network/sctp/func_tests/test_1_to_1_threads.c
testcases/network/sctp/func_tests/test_sctp_sendrecvmsg.c
testcases/network/sctp/func_tests/test_timetolive.c
testcases/network/sockets/ltpClient.c
testcases/network/sockets/ltpServer.c
testcases/kernel/syscalls/switch/endian_switch01.c
testcases/kernel/fs/doio/doio.c

42) Log Message:
ltin___memset_chk overflow warning for kernel/connectors/pec/pec_listener.c. with GCC 4.3 and with LTP CVS snapshot from today i got following warning when using the GCC Object Checking Builtins: Signed-off-by: Daniel Gollub <dgollub@suse.de>. 
It's not a correct fix, the patch initializes the message header only. Below is a correct one: Allocate a buffer large enough to hold NLMSG_SPACE(MAX_MSG_SIZE). Signed-off-by: Li Zefan <lizf@cn.fujitsu.com>. 

Modified File(s):
ltp/testcases/kernel/connectors/pec/pec_listener.c

43) Log Message:
Compiled the latest CVS tree on a x86_64 machine yelling a warning, 
"acl1.c: In function ‘do_file_op’:
 acl1.c:62: warning: not enough variable arguments to fit a sentinel"
Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/network/nfsv4/acl/acl1.c

44) Log Message:
CAI Qian <caiqian@cclom.cn> reported that Setgroups01_16 test always fails for x86_64:
setgroups01_16    1  FAIL  :  setgroups(65536, list) Failed, errno=14 : Bad address,
Seen it on both of those Kernels, 2.6.27-0.392.rc8.git7.fc10.x86_64, 2.6.18-92.el5. Any idea on if it is a test code issue or OS bug?
Daniel Gollub <dgollub@suse.de> replied that I just sent some patches for setgroups02_16 - looks like it's a similar problem for setgroups01_16 (for some reason setgroups01_16 didn't failed for me, only setgroups02_16). Anyway, i guess the reason is the use of the uninitialized groups list and passing the _full_ length to the syscalls. Could you try attached patch? Signed-Off-By: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/setgroups/compat_16.h
ltp/testcases/kernel/syscalls/setgroups/setgroups01.c

45) Log Message:
Change argument list of GETGROUPS/SETGROUPS to represent the argument list of the syscalls. getgroups() first argument is a signed int!. Signed-off-by: Daniel Gollub <dgollub@suse.de>. Also, setgroups02(_16) is working with an uninitialized list, expect the first GID field. setgroups() and getgroups() additionally get called with the full length  of the uninitialized list. The uninitialized values cause setgroups02_16 to fail:
===
setgroups02_16    1  BROK  :  gid returned from getgroups is too large for testing setgroups32
===
Since the uninitialized values could be greater then 0xffff. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/setgroups/compat_16.h
ltp/testcases/kernel/syscalls/setgroups/setgroups02.c

46) Log Message:
Hi. Here I am getting the following error (with Ubuntu 7.04):
elder@Yosemite:/tmp/ltp/testcases/ballista$ LANG= make -f Makefile
WARNING: No perl detected; skipping ballista tests
This is caused by a bashism in the makefile (see patch 1). I've compiled & ran ballista on Debian lenny, and found out some patches are needed to make it work. Patches 1 and 2 are fix bashisms causing failures when using Debian's dash. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/ballista/Makefile
ltp/testcases/ballista/ballista/ostest_new.pl

47) Log Message:
This fixes a problem when generated the test executable source, which causes the last argument of the tested syscall to be repeated (eg. call chdir(char*) would end up as chdir(char*, char*)). Signed-off-by: Jiri Palecek <jpalecek@web.de>. 

Modified Files:
ltp/testcases/ballista/ballista/callGen.cpp
ltp/testcases/ballista/ballista/callGen_standAlone.cpp

48) Log Message:
Adds using declarations to generated sources, where needed. Added using namespace std; directives to files that use unqualified names from std:: Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/ballista/ballista/compile/bparser.cpp
ltp/testcases/ballista/ballista/templates/bTypes.cpp

49) Log Message:
Fixed some bashisms. Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/security/filecaps/checkforlibcap.sh

50)  Log Message:
Typo in file_test.sh. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/commands/ade/file/file_test.sh

51) Log Message:
Fix bashisms in inintialize.sh. This includes two atypical cases: a lexicographical comparison of two strings, which has been emulated by "sort", and some strange bash-array-ism, which has been emulated through "eval". Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/containers/netns/initialize.sh

52) Log Message:
Fix some bashisms. Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/commands/ade/ar/ar01
ltp/testcases/commands/ade/file/file_test.sh
ltp/testcases/commands/cpio/cpio_tests.sh
ltp/testcases/commands/eject/eject-tests.sh
ltp/testcases/commands/fileutils/cp/cp_tests.sh
ltp/testcases/commands/fileutils/ln/ln_tests.sh
ltp/testcases/commands/fileutils/mkdir/mkdir_tests.sh
ltp/testcases/commands/fileutils/mv/mv_tests.sh
ltp/testcases/commands/gzip/gzip_tests.sh
ltp/testcases/commands/logrotate/logrotate_tests.sh
ltp/testcases/commands/mail/mail_tests.sh
ltp/testcases/commands/tar/tar_tests.sh
ltp/testcases/kernel/fs/acls/acl_test01
ltp/testcases/network/dhcpd/dhcpd_tests.sh
ltp/testcases/network/iptables/iptables_tests.sh
ltp/testcases/network/traceroute/traceroute_tests.sh
ltp/testcases/network/xinetd/xinetd_tests.sh

53) Log Message:
Fix bashisms (function keyword in utimensat_tests.sh). Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/utimensat/utimensat_tests.sh

54) Log Message:
When building ltp on 2.6.24 kernel, the timerfd test failed to build. This is caused by NR_timerfd being defined without NR_timerfd_create, because the test checks for NR_timerfd, but uses NR_timerfd_create. The attached patch should fix that. Correct the condition of compiling the timerfd test; should fix FTBFS with some kernel versions. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified Files:
ltp/testcases/kernel/syscalls/timerfd/timerfd01.c

55) Log Message:
The file_test detects MSB architectures by grepping for "power" or "ppc" in /proc/cpuinfo. This is unfortunate if, on a LSB architecture, /proc/cpuinfo contains the word "power_management". The attached patch should fix it. Implement a (hopefully) proper way of getting machine endiannes in file_test.sh. The old way tested if cpuinfo contained the word "power" for big endian machine; this was easily confused by "power_management". Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/commands/ade/file/file_test.sh

56) Log Message:
Running hugemmap02 test case on IA-32 generated SIGSEGV. It also gives warnings when compiling:      
cc -I../../../../../include -g -Wall    hugemmap02.c -L../../../../../lib -lltp   -o hugemmap02
hugemmap02.c: In function ‘main’:
hugemmap02.c:149: warning: integer constant is too large for ‘long’ type
hugemmap02.c:156: warning: integer constant is too large for ‘long’ type
The following patch fixes it by making low memory addresses falling in a 2G - 3G range. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/mem/hugetlb/hugemmap/hugemmap02.c

57) Log Message:
The mc_cmds script under ltp network test returns "fail" when /proc/sys/net/ipv4/icmp_echo_ignore_broadcasts is set to 1. This just means that this feature is disabled. Added a check to report this message and exit. Vinay Sridhar <vinay@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/network/multicast/mc_cmds/mc_cmds

58) Log Message:
This patch fixes file_test failure on s390(x). Signed-off-by: Jeff Burke <jburke@redhat.com>. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/commands/ade/file/file_test.sh

59) Log Message:
The runltp has the parameter "-d" to identify the temporary directory by user. But in the latest runltp, there're two problem:
1> Always use "/tmp" as the temporary directory and never use the one that user defined.
2> It will be in error if the parameter "TMPDIR" is a relative path. 
This patch fixes those issues. Signed-off-by: Jin Bing Guo <guojb@linux.vnet.ibm.com>.

Modified File(s):
ltp/runltp

60) Log Message:
This patch fixes the ld01 test failure on x86_64. Signed-off-by: Jeff Burke <jburke@redhat.com>. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/commands/ade/ld/Makefile

61) Log Message:
I found no reason why they should not be run: Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/mm
ltp/runtest/syscalls
ltp/testcases/kernel/syscalls/mount/Makefile
ltp/testcases/kernel/syscalls/umount/Makefile

Added Files:
ltp/testcases/kernel/syscalls/mount/test_mount
ltp/testcases/kernel/syscalls/umount/test_umount

62) Log Message:
Re-introduce locals. The issue I was solving when making this patch was checkbashisms (http://packages.debian.org/sid/devscripts) complaining about it, so I had to patch it to get rid of lintian warnings. I've checked that:
- the variables are always initialised before use in the testXX functions,
- the testXX functions don't recurse nor call each other,
- the variables are not used outside testXX functions,

so IIUC, the transformation should be safe. However, if you're seriously worried about it, you can reintroduce the locals by applying the attached patch, it wouldn't matter to me. Signed-Off-By: Jiri Palecek <jpalecek@web.de>. Mike Frysinger <vapier@gentoo.org> wanted them back.

Modified File(s):
ltp/testcases/network/iptables/iptables_tests.sh

63) Log Message:
The current fork09 test case breaks if there is an FD (with a higher number) opened for the testcase. This would fail as the test is not able to detect the fact that it has already opened 1024 files ! This situation is quite possible in an automated environment where people could run the LTP tests from. The patch attached fixes the issue. Please apply ! This will make the test more robust and free from assumptions ! ;). Signed-off-by: Suzuki K P <suzuki@in.ibm.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/fork/fork09.c

64) Log Message:
This patch fixes the following compilation warning seen on PPC64. Signed-off-by: CAI Qian <caiqian@cclom.cn>.

Modified File(s):
ltp/testcases/kernel/syscalls/getsid/getsid02.c

65) Log Message:
I tested the connectors case on SLES11 beta2 for ppc. Some tests fail. It's the getopt() error in connectors/pec/event_generator.c file. The type of return value in getopt() is "int", not "char". This Patch solves the problem. Signed-off-by: Jin Bing Guo <guojb@linux.vnet.ibm.com>. 

Modified File(s):
ltp/testcases/kernel/connectors/pec/event_generator.c

66) Log Message:
I've understood the explanation and I've confirmed the correctness. But I think the behavior of io_submit(ctx, 0, (void*)-1 ) on ppc64 is interesting. So I don't like to throw io_submit(ctx, 0, (void*)-1 ) test case away <A>. Also I'd like to dig the kernel more <B>. For <B> I'd like to submit following patch to lkml in the future: For <A> I've revised the patch. Signed-off-by: Sridhar Vinay <vinaysridhar@in.ibm.com>, Signed-off-by: Jin Bing Guo <guojb@linux.vnet.ibm.com>, Signed-off-by: Masatake YAMATO <yamato@redhat.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/io_submit/io_submit01.c

67) Log Message:
Addition of gcov-kdump tool to LTP. The files attached is gcovdump tool. Could you please upload the code into LTP CVS repository? Signed-Off-By: Huang Ying <ying.huang@intel.com>.

Added Files:
utils/analysis/gcov-kdump/Makefile
utils/analysis/gcov-kdump/README
utils/analysis/gcov-kdump/gcov.h
utils/analysis/gcov-kdump/gcovdump.c
utils/analysis/gcov-kdump/mem_image.c
utils/analysis/gcov-kdump/mem_image.h
utils/analysis/gcov-kdump/util.c
utils/analysis/gcov-kdump/util.h

68) Log Message:
I found no reason why they should not be run: Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/runtest/syscalls

69) Log Message:
Addition of additional epoll() test cases run to LTP. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/syscalls

Added Files:
ltp/testcases/kernel/syscalls/libevent/run_libevent.sh

70) Log Message:
Thanks. Attached page is based on your advise. Signed-off-by: Masatake YAMATO <yamato@redhat.com>. However, the page tells *older* version of 2.6.23 uses signo instead of ssi_signo as a field name. Subrata, could you try the patch on your 2.6.27 first. 

Modified File(s):
ltp/testcases/kernel/syscalls/signalfd/signalfd01.c

71) Log Message:
Subrata <subrata@linux.vnet.ibm.com> wrote: I found some compilation errors for the connectors at today´s CVS snapshot on the following machine. Can you please look into this: 1) uname -a, Linux 2.6.27-autokern1 #1 SMP Mon Oct 20 00:45:37 PDT 2008 i686 GNU/Linux.  How about: check if NETLINK_CONNECTOR is defined (in netlink.h). If not, we can't include connector.h, so we break the test. If yes, we check if CN_IDX_PROC is defined. Subrata, can you try the following patch? Signed-off-by: Li Zefan <lizf@cn.fujitsu.com>.

Modified Files:
ltp/testcases/kernel/connectors/pec/pec_listener.c
ltp/testcases/kernel/connectors/pec/run_pec_test

72) Log Message:
The getcpu() test-function returns the current scheduled CPU id of the test-process for archiectures expect i386, which is not the intended return value of a syscall test. Attached patch returns instead 0, for non-i386 ARCH and __GLIBC_PREREQ(2,6). Tested on x86_64. Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/syscalls/getcpu/getcpu01.c

73) Log Message:
openposix testsuite is skipping PPC64 builds due to different location of the "main" function symbol on PPC64. Author: Erik Hamera <ehamera@suse.cz>, Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/open_posix_testsuite/Makefile

74) Log Message:
please find attached a fix for potential overflows in sched_tc4 and sched_driver. sched_tc4: RAWDEV could be much large then 16 chars - e.g. /dev/cciss/c0d0p6 (18) (only use of RAWDEV in entire sched_stress module). sched_driver: pathname could be much large then 50 - increased to PATH_MAX. Problem observed and original fixed by Yi Xu. Patch got slightly cleaned-up/modified. Reviewed-by: Daniel Gollub <dgollub@suse.de>, Signed-off-by: Daniel Gollub <dgollub@suse.de>.

Modified File(s):
ltp/testcases/kernel/sched/sched_stress/sched_driver.c
ltp/testcases/kernel/sched/sched_stress/sched_tc4.c


75) Log Message:
Again, the patch deals with _NR_fstatat64 and __NR_newfstatat stubs when builds the test. We do not really want to test stubs when a good definition is available. See attached patch file, copy here. Tested with _fstatat64 or __NR_newfstatat defined, not tested  when both stubbed. Signed-off by : Vlad Malov <vlad.malov@caviumnetworks.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/fstatat/fstatat01.c

76) Log Message:
Replacement of deprecated interfaces: The update_refpolicy.sh fixes some of deprecated interfaces and inject an interface to kick test script from unconfined domain. So, I can run the testsuite which includs bounds test without any problems on Rawhide. However, I got some warnings for deprecated interfaces/macros like r_dir_perms, userdom_sysadm_bin_spec_domtrans_to or userdom_use_sysadm_ptys. The attached patch is a new test case of the boundary feature, which contains six tests, as follows: 
test01: It tries to invoke setcon() with bounded domain in a multi-threaded process. The expected result is success.
test02: It tries to invoke setcon() with unrelated domain in a multi-threaded process. The expected result is fail.
test03: It makes a bounded domain try to read a file, when its bounds domain can read the file. The expected result is success. test04: It makes a bounded domain try to write a file, when its bounds domain cannot write the file. The expected result is fail, because write permission is boundary violated.
test05: It tries to write a bounded type, even if the domain cannot write to its bounds type. The expected result is fail. 
test06: It makes a bounded domain try to set an attribute of bounded type.Thanks,
Signed-Off-By: KaiGai Kohei <kaigai@ak.jp.nec.com>.

Modified Files:
ltp/testcases/kernel/security/selinux-testsuite/refpolicy/Makefile
ltp/testcases/kernel/security/selinux-testsuite/tests/Makefile

Added Files:
ltp/testcases/kernel/security/selinux-testsuite/refpolicy/test_bounds.te
ltp/testcases/kernel/security/selinux-testsuite/tests/bounds/Makefile
ltp/testcases/kernel/security/selinux-testsuite/tests/bounds/selinux_bounds.sh
ltp/testcases/kernel/security/selinux-testsuite/tests/bounds/selinux_bounds_thread.c

77) Log Message:
Integrate execution of epoll() syscall testcase. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/runtest/syscalls
ltp/testcases/kernel/syscalls/Makefile

78) Log Message:
Integrated TIMERS tests
(http://ltp.cvs.sourceforge.net/viewvc/ltp/ltp/testcases/kernel/timers/) to default LTP run: runltp. Signed-Off-By: Subrata Modak
<subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/runltp

79) Log Message:
Integrated SCHEDULER Client Server Tests to default LTP run ./runltp. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified Files:
ltp/runtest/sched
ltp/testcases/kernel/sched/clisrv/Makefile

Added Files:
ltp/testcases/kernel/sched/clisrv/run_sched_cliserv.sh

80) Log Message:
Integrated the sched_stress to default LTP run for 2 minutes. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/runtest/sched
ltp/testcases/kernel/sched/sched_stress/sched_stress.sh

81) Log Message:
Addition of Initial Set of POWER MANAGEMENT Testcases to LTP. Signed-Off-By: Nageswara R Sastry <rnsastry@linux.vnet.ibm.com>.

Modified Files:
ltp/runltp
ltp/testcases/kernel/Makefile

Added Files:
ltp/runtest/power_management_tests
ltp/testcases/kernel/power_management/Makefile
ltp/testcases/kernel/power_management/README
ltp/testcases/kernel/power_management/change_freq.sh
ltp/testcases/kernel/power_management/change_govr.sh
ltp/testcases/kernel/power_management/check_config.sh
ltp/testcases/kernel/power_management/check_cpufreq_sysfs_files.sh
ltp/testcases/kernel/power_management/check_kv_arch.c
ltp/testcases/kernel/power_management/config_cpu_freq
ltp/testcases/kernel/power_management/config_cpu_idle
ltp/testcases/kernel/power_management/config_sched_mc
ltp/testcases/kernel/power_management/pm_include.sh
ltp/testcases/kernel/power_management/pwkm_load_unload.sh
ltp/testcases/kernel/power_management/runpwtests.sh
ltp/testcases/kernel/power_management/test_sched_mc.sh

82) Log Message:
Fixed Build errors on s390x. Signed-Off-By: Ramon de Carvalho Valle <rcvalle@linux.vnet.ibm.com>.

Modified File(s):
ltp/testcases/kernel/syscalls/get_robust_list/get_robust_list01.c
ltp/testcases/kernel/syscalls/set_robust_list/set_robust_list01.c

83) Log Message:
Added the Kernel Options that need to be set after applying the Patch and for successfull loading of the GCOV kernel during usage of lcov. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
utils/analysis/gcov-kernel/linux-2.6.27-gcov.patch

84) Log Message:
I wanted to have all the special configuration parameters needed in the kernel .config file for enabling some features, for which test cases are there in LTP, but those tests will not run until the running kernel was enabled. I wanted the consolidated list in the ltp/README itself. I have generated a small patch for this. I would request others also to add to this when they find out such scenarios in LTP. Please feel free to add. We do not want situations where test cases are available in LTP, but they cannot be tested just because that the kernel was not built with configuration(s) set. Signed-Off-By: Subrata Modak <subrata@linux.vnet.ibm.com>.

Modified File(s):
ltp/README

85) Log Message:
The result of alloc_mem thread could be either NULL, ptr to some allocated memory or (void*)-1. The code reading this result actually handled cases 1 & 2 only, and even case "NULL" was mishandled, causing a segfault. This patch fixes it, by:
- removing the case when alloc_mem would return -1, change it to the "allocated memory" case,
- not checking for *th_status, if th_status might be null,
Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/kernel/mem/mtest07/mallocstress.c

86) Log Message:
In the i2ntest1 testcase, the call if_nametoindex(TEST_RETURN) was segfaulting, because TEST_RETURN was actually result of comparison (ifname==if_indextoname(...)). The fix is to call it with real ifname. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
ltp/testcases/network/lib6/in6_02.c

87) Log Message:
Fix segfaults on getaddrinfo failures in pingpong6.c. pingpong6.c would segfault if getaddrinfo fails, because it would go on after the failure and read invalid data (ie. the hp pointer). The fix is to exit immediately on getaddrinfo errors. Signed-off-by: Jiri Palecek <jpalecek@web.de>.

Modified File(s):
